#-
**********************************************************************************
*
* J. Bluemlein, M. Kauers, S. Klein, and C. Schneider: 
*
*                                     code:  momm.frm [n odd branch]
*
*--------------------------------------------------------------------------------
* Condition of use: citation of the publication:
* J. Bl\"umlein, M. Kauers, S. Klein, C. Schneider, arxiv:0902.4091
*-------------------------------------------------------------------------------- 
*
* The code uses summer.h by J. Vermaseren in the test version for certain fixed 
* values of N.
*
* Representation of: The different color and zeta value projections for the 
*                    unpolarized anomalous dimensions and Wilson coefficients 
*                    in deeply inelastic scattering to 3-loop order. 
*                    Complete algebraic reduction is applied.
*
* Number of functions    :   16
* Number of combinations :    7
* 
* Test code for the moments: n=3,5,7,9,11,13
* print:                     Tqq0m,Tqq1m,Tqq2m,Tqq2mdabc;
* The formulae are displayed if n remains unspecified.
* print:                     Pqq0m,Pqq1m,Pqq2m,Pqq2mdabc;
*
**********************************************************************************
nwrite statistics;
S n,CF,CA,NF,NC,dabc,z3,z4,z5,a;
S fl02,fl11,flg11;
CF S,R,den;
CF gqq0m,gqq1m,gqq2m;
CF gqq0,gqq1p,gqq2p;
CF gqg0,gqg1,gqg2;
CF ggq0,ggq1,ggq2;
CF ggg0,ggg1,ggg2;
CF gps1,gps2;
CF gqq2dabc,gqqv2;
CF c2q0,c2q1,c2q2,c2q3;
CF c2g0,c2g1,c2g2,c2g3;
CF clq0,clq1,clq2,clq3;
CF clg0,clg1,clg2,clg3;
CF c2ps2,c2ps3,clps2,clps3,c2q3dabc,clq3dabc,clg3dabc;
#include summer.h
L   Pqq0
  = CF*( -((2+3*n+3*n^2)*den(n)*den(1+n))+4*S(R(1),n) );

L   Pqq1mcf2
  = CF^2*( -((-24-32*n-24*n^2-5*n^3+9*n^4+9*n^5+3*n^6)*den(n)^3*den(1+n)^3)/2+16*den(1+n)^3*(-1)^n-16*S(R(-3),n)+S(R(-2),n)*(16*den(n)*den(1+n)-32*S(R(1),n))+S(R(1),n)*(8*(1+2*n)*den(n)^2*den(1+n)^2-16*S(R(2),n))+4*(2+3*n+3*n^2)*den(n)*den(1+n)*S(R(2),n)-16*S(R(3),n)+32*S(R(-2,1),n) );

L   Pqq1mcacf
  = CA*CF*( -((144+12*n+484*n^2+655*n^3+102*n^4+51*n^5)*den(n)^3*den(1+n)^2)/18-8*den(1+n)^3*(-1)^n+8*S(R(-3),n)+(268*S(R(1),n))/9+S(R(-2),n)*(-8*den(n)*den(1+n)+16*S(R(1),n))-(44*S(R(2),n))/3+8*S(R(3),n)-16*S(R(-2,1),n) );

L   Pqq1mcfnf
  = CF*NF*( ((-12+20*n+47*n^2+6*n^3+3*n^4)*den(n)^2*den(1+n)^2)/9-(40*S(R(1),n))/9+(8*S(R(2),n))/3 );

L   Pqq2mcf3
  = CF^3*( -((-160-752*n-1600*n^2-1748*n^3-464*n^4-11*n^5-479*n^6-146*n^7+130*n^8+145*n^9+29*n^10)*den(n)^5*den(1+n)^5)/2-576*S(R(-5),n)+S(R(-4),n)*(-16*(-26+9*n+9*n^2)*den(n)*den(1+n)-832*S(R(1),n))+S(R(-2),n)^2*(64*den(n)*den(1+n)-128*S(R(1),n))+S(R(-3),n)*(16*(20+17*n+21*n^2)*den(n)^2*den(1+n)^2-320*S(R(-2),n)-32*(20+3*n+3*n^2)*den(n)*den(1+n)*S(R(1),n)+640*S(R(1),n)^2-2240*S(R(2),n))-16*(2+3*n+3*n^2)*den(n)*den(1+n)*S(R(2),n)^2+(-1)^n*(-48*(1-n+2*n^2)*den(1+n)^5+128*den(1+n)^3*S(R(-2),n)+96*(3+5*n)*den(1+n)^4*S(R(1),n)-64*den(1+n)^3*S(R(2),n))+4*(-20-16*n+13*n^2+26*n^3+13*n^4)*den(n)^2*den(1+n)^2*S(R(3),n)-16*(2+15*n+15*n^2)*den(n)*den(1+n)*S(R(4),n)-192*S(R(5),n)-832*S(R(-4,1),n)+896*den(n)*den(1+n)*S(R(-3,1),n)+1152*S(R(-3,2),n)+S(R(1),n)^2*(-32*(1+3*n+3*n^2)*den(n)^3*den(1+n)^3-768*S(R(-2,1),n))-32*(16+11*n+15*n^2)*den(n)^2*den(1+n)^2*S(R(-2,1),n)+S(R(2),n)*(2*(-16-4*n+12*n^2+19*n^3+9*n^4+9*n^5+3*n^6)*den(n)^3*den(1+n)^3+64*S(R(3),n)+2176*S(R(-2,1),n))+32*(-26+3*n+3*n^2)*den(n)*den(1+n)*S(R(2,-2),n)+S(R(-2),n)*(16*(2+8*n+6*n^2+17*n^3+9*n^4+9*n^5+3*n^6)*den(n)^3*den(1+n)^3+S(R(1),n)*(64*(1-n+3*n^2)*den(n)^2*den(1+n)^2-1408*S(R(2),n))-64*(-11+3*n+3*n^2)*den(n)*den(1+n)*S(R(2),n)+1536*S(R(3),n)+128*S(R(-2,1),n)-2304*S(R(2,1),n))-1472*S(R(3,-2),n)+64*(-2+3*n+3*n^2)*den(n)*den(1+n)*S(R(3,1),n)+192*S(R(3,2),n)+192*S(R(4,1),n)+2304*S(R(-3,1,1),n)+512*S(R(-2,1,-2),n)+384*(-4+n+n^2)*den(n)*den(1+n)*S(R(-2,1,1),n)+S(R(1),n)*(4*(-44-120*n-115*n^2-40*n^3+167*n^4+186*n^5+22*n^6)*den(n)^4*den(1+n)^4-64*(1+2*n)*den(n)^2*den(1+n)^2*S(R(2),n)+64*S(R(2),n)^2-192*S(R(3),n)+64*S(R(4),n)-1792*S(R(-3,1),n)-192*(-4+n+n^2)*den(n)*den(1+n)*S(R(-2,1),n)+1664*S(R(2,-2),n)+256*S(R(3,1),n)+3072*S(R(-2,1,1),n))+2304*S(R(-2,2,1),n)+2304*S(R(2,1,-2),n)-384*S(R(3,1,1),n)-4608*S(R(-2,1,1,1),n) );

L   Pqq2mcf3z3
  = CF^3*z3*( -24*(4+4*n+9*n^2+10*n^3+5*n^4)*den(n)^2*den(1+n)^2-192*S(R(-2),n) );

L   Pqq2mcacf2z3
  = CA*CF^2*z3*( 36*(4+4*n+9*n^2+10*n^3+5*n^4)*den(n)^2*den(1+n)^2+288*S(R(-2),n) );

L   Pqq2mcacf2
  = CA*CF^2*( -((3456+17616*n+32592*n^2+12280*n^3-34648*n^4-35089*n^5+3851*n^6+15646*n^7+15246*n^8+6795*n^9+1359*n^10)*den(n)^5*den(1+n)^5)/36+672*S(R(-5),n)+S(R(-2),n)^2*(-16*(8+3*n+3*n^2)*den(n)*den(1+n)+256*S(R(1),n))+S(R(-4),n)*((8*(-210+97*n+97*n^2)*den(n)*den(1+n))/3+1120*S(R(1),n))+(176*S(R(2),n)^2)/3+S(R(-3),n)*((-8*(450+507*n+811*n^2+536*n^3+268*n^4)*den(n)^2*den(1+n)^2)/9+480*S(R(-2),n)+(16*(108+31*n+31*n^2)*den(n)*den(1+n)*S(R(1),n))/3-576*S(R(1),n)^2+2656*S(R(2),n))+(-1)^n*((8*(-161+41*n+382*n^2)*den(1+n)^5)/9-256*den(1+n)^3*S(R(-2),n)-(16*(121+127*n)*den(1+n)^4*S(R(1),n))/3+32*den(1+n)^3*S(R(2),n))-(8*(-126+6*n+427*n^2+770*n^3+385*n^4)*den(n)^2*den(1+n)^2*S(R(3),n))/9+(8*(-30+151*n+151*n^2)*den(n)*den(1+n)*S(R(4),n))/3+384*S(R(5),n)+864*S(R(-4,1),n)-960*den(n)*den(1+n)*S(R(-3,1),n)-1344*S(R(-3,2),n)+S(R(2),n)*((2*(144-120*n+488*n^2+1325*n^3+906*n^4+453*n^5)*den(n)^3*den(1+n)^2)/9-32*S(R(3),n)-2624*S(R(-2,1),n))+(16*(414+321*n+625*n^2+536*n^3+268*n^4)*den(n)^2*den(1+n)^2*S(R(-2,1),n))/9+S(R(1),n)^2*(128*S(R(3),n)+896*S(R(-2,1),n))-(16*(-174+31*n+31*n^2)*den(n)*den(1+n)*S(R(2,-2),n))/3+S(R(-2),n)*((-8*(72+228*n-130*n^2-389*n^3-229*n^4+243*n^5+81*n^6)*den(n)^3*den(1+n)^3)/9+(32*(-81+31*n+31*n^2)*den(n)*den(1+n)*S(R(2),n))/3+S(R(1),n)*((-32*(54+45*n+215*n^2+268*n^3+134*n^4)*den(n)^2*den(1+n)^2)/9+1728*S(R(2),n))-1792*S(R(3),n)-192*S(R(-2,1),n)+2688*S(R(2,1),n))+1824*S(R(3,-2),n)-(32*(-24+29*n+29*n^2)*den(n)*den(1+n)*S(R(3,1),n))/3-384*S(R(3,2),n)-384*S(R(4,1),n)-2688*S(R(-3,1,1),n)-768*S(R(-2,1,-2),n)+S(R(1),n)*((-8*(-144-309*n-395*n^2-617*n^3+245*n^4+731*n^5+135*n^6)*den(n)^4*den(1+n)^4)/9-(2144*S(R(2),n))/9+(32*(-12+31*n+31*n^2)*den(n)*den(1+n)*S(R(3),n))/3+160*S(R(4),n)+1920*S(R(-3,1),n)+(32*(-84+31*n+31*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/3-1856*S(R(2,-2),n)-512*S(R(3,1),n)-3584*S(R(-2,1,1),n))-(64*(-84+31*n+31*n^2)*den(n)*den(1+n)*S(R(-2,1,1),n))/3-2688*S(R(-2,2,1),n)-2688*S(R(2,1,-2),n)+768*S(R(3,1,1),n)+5376*S(R(-2,1,1,1),n) );

L   Pqq2mca2cf
  = CA^2*CF*( ((2592+15840*n+22824*n^2-18992*n^3-85692*n^4-135893*n^5-150929*n^6-86322*n^7+11770*n^8+24855*n^9+4971*n^10)*den(n)^5*den(1+n)^5)/108-192*S(R(-5),n)+S(R(-4),n)*((-8*(-66+35*n+35*n^2)*den(n)*den(1+n))/3-352*S(R(1),n))+S(R(-2),n)^2*(24*(2+n+n^2)*den(n)*den(1+n)-96*S(R(1),n))+(-1)^n*((-16*(-47+17*n+82*n^2)*den(1+n)^5)/9+96*den(1+n)^3*S(R(-2),n)+(16*(47+41*n)*den(1+n)^4*S(R(1),n))/3)+S(R(-3),n)*((8*(135+177*n+311*n^2+268*n^3+134*n^4)*den(n)^2*den(1+n)^2)/9-160*S(R(-2),n)-(16*(24+11*n+11*n^2)*den(n)*den(1+n)*S(R(1),n))/3+128*S(R(1),n)^2-768*S(R(2),n))+(4*(-81+9*n+398*n^2+778*n^3+389*n^4)*den(n)^2*den(1+n)^2*S(R(3),n))/9-(8*(-24+55*n+55*n^2)*den(n)*den(1+n)*S(R(4),n))/3-160*S(R(5),n)-224*S(R(-4,1),n)+256*den(n)*den(1+n)*S(R(-3,1),n)+384*S(R(-3,2),n)+S(R(1),n)^2*(-64*S(R(3),n)-256*S(R(-2,1),n))-(16*(135+111*n+245*n^2+268*n^3+134*n^4)*den(n)^2*den(1+n)^2*S(R(-2,1),n))/9+S(R(2),n)*(-4172/27+768*S(R(-2,1),n))+(16*(-48+11*n+11*n^2)*den(n)*den(1+n)*S(R(2,-2),n))/3+S(R(-2),n)*((8*(27+78*n-92*n^2-271*n^3-155*n^4+81*n^5+27*n^6)*den(n)^3*den(1+n)^3)/9+S(R(1),n)*((16*(45+54*n+188*n^2+268*n^3+134*n^4)*den(n)^2*den(1+n)^2)/9-512*S(R(2),n))-(32*(-24+11*n+11*n^2)*den(n)*den(1+n)*S(R(2),n))/3+512*S(R(3),n)+64*S(R(-2,1),n)-768*S(R(2,1),n))-544*S(R(3,-2),n)+(32*(-12+11*n+11*n^2)*den(n)*den(1+n)*S(R(3,1),n))/3+192*S(R(3,2),n)+192*S(R(4,1),n)+768*S(R(-3,1,1),n)+256*S(R(-2,1,-2),n)+(64*(-24+11*n+11*n^2)*den(n)*den(1+n)*S(R(-2,1,1),n))/3+S(R(1),n)*((2*(-6+22*n+36*n^2+100*n^3+851*n^4+1524*n^5+1542*n^6+980*n^7+245*n^8)*den(n)^4*den(1+n)^4)/3-8*(-8+11*n+11*n^2)*den(n)*den(1+n)*S(R(3),n)-128*S(R(4),n)-512*S(R(-3,1),n)-(32*(-24+11*n+11*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/3+512*S(R(2,-2),n)+256*S(R(3,1),n)+1024*S(R(-2,1,1),n))+768*S(R(-2,2,1),n)+768*S(R(2,1,-2),n)-384*S(R(3,1,1),n)-1536*S(R(-2,1,1,1),n) );

L   Pqq2mca2cfz3
  = CA^2*CF*z3*( -12*(4+4*n+9*n^2+10*n^3+5*n^4)*den(n)^2*den(1+n)^2-96*S(R(-2),n) );

L   Pqq2mcfnf2
  = CF*NF^2*( ((-24+16*n+96*n^2+35*n^3+57*n^4+153*n^5+51*n^6)*den(n)^3*den(1+n)^3)/27-(16*S(R(1),n))/27-(80*S(R(2),n))/27+(16*S(R(3),n))/9 );

L   Pqq2mcf2nf
  = CF^2*NF*( ((120-632*n^2-779*n^3-38*n^4+1123*n^5+1443*n^6+828*n^7+207*n^8)*den(n)^4*den(1+n)^4)/9-(128*S(R(-4),n))/3+S(R(-3),n)*((32*(3+10*n+10*n^2)*den(n)*den(1+n))/9-(64*S(R(1),n))/3)+(-1)^n*((-128*(1+4*n)*den(1+n)^4)/9+(64*den(1+n)^3*S(R(1),n))/3)+S(R(-2),n)*((-32*(-3+10*n+16*n^2)*den(n)^2*den(1+n)^2)/9+(640*S(R(1),n))/9-(128*S(R(2),n))/3)-(4*(-24+16*n+79*n^2+30*n^3+15*n^4)*den(n)^2*den(1+n)^2*S(R(2),n))/9-(32*S(R(2),n)^2)/3+(16*(12+29*n+29*n^2)*den(n)*den(1+n)*S(R(3),n))/9-(128*S(R(4),n))/3+S(R(1),n)*((-2*(-96-16*n+160*n^2+165*n^3+330*n^4+165*n^5)*den(n)^3*den(1+n)^2)/9+(320*S(R(2),n))/9-(128*S(R(3),n))/3-(128*S(R(-2,1),n))/3)-(64*(-3+10*n+10*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/9+(64*S(R(2,-2),n))/3+(64*S(R(3,1),n))/3+(256*S(R(-2,1,1),n))/3 );

L   Pqq2mcf2nfz3
  = CF^2*NF*z3*( -8*(2+3*n+3*n^2)*den(n)*den(1+n)+32*S(R(1),n) );

L   Pqq2mcacfnf
  = CA*CF*NF*( (-2*(144-156*n-206*n^2-211*n^3-1392*n^4-463*n^5+810*n^6+270*n^7)*den(n)^4*den(1+n)^3)/27+(64*S(R(-4),n))/3+S(R(-3),n)*((-16*(3+10*n+10*n^2)*den(n)*den(1+n))/9+(32*S(R(1),n))/3)+(-1)^n*((64*(1+4*n)*den(1+n)^4)/9-(32*den(1+n)^3*S(R(1),n))/3)+(1336*S(R(2),n))/27+S(R(-2),n)*((16*(-3+10*n+16*n^2)*den(n)^2*den(1+n)^2)/9-(320*S(R(1),n))/9+(64*S(R(2),n))/3)-(8*(3+14*n+14*n^2)*den(n)*den(1+n)*S(R(3),n))/3+(80*S(R(4),n))/3+(32*(-3+10*n+10*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/9+S(R(1),n)*((-4*(18+36*n+36*n^2+281*n^3+627*n^4+627*n^5+209*n^6)*den(n)^3*den(1+n)^3)/27+16*S(R(3),n)+(64*S(R(-2,1),n))/3)-(32*S(R(2,-2),n))/3-(64*S(R(3,1),n))/3-(128*S(R(-2,1,1),n))/3 );

L   Pqq2mcacfnfz3
  = CA*CF*NF*z3*( 8*(2+3*n+3*n^2)*den(n)*den(1+n)-32*S(R(1),n) );

L   Pqq2mdabc
  = (dabc*NF)/NC*( (-4*(48+336*n+1184*n^2+2412*n^3+3017*n^4+2416*n^5+1399*n^6+720*n^7+326*n^8+97*n^9+13*n^10)*den(n)^5*den(1+n)^5*den(2+n)^3)/3+4*(2+n+n^2)*den(n)^2*den(1+n)^2*S(R(-3),n)-(2*(-144-768*n-2032*n^2-3092*n^3-2951*n^4-1719*n^5-505*n^6-3*n^7+41*n^8+9*n^9)*den(n)^4*den(1+n)^4*den(2+n)^3*S(R(1),n))/3+S(R(-2),n)*(-4*(-4-12*n-23*n^2-21*n^3-8*n^4+3*n^5+n^6)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)-8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n))+(-1)^n*((-4*(64+352*n+816*n^2+1000*n^3+644*n^4+314*n^5+179*n^6+74*n^7+13*n^8)*den(-1+n)*den(n)^3*den(1+n)^4*den(2+n)^3)/3+(16*(16+72*n+114*n^2+118*n^3+78*n^4+29*n^5+5*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(1),n))/3)-2*(2+n+n^2)*den(n)^2*den(1+n)^2*S(R(3),n)-8*(2+n+n^2)*den(n)^2*den(1+n)^2*S(R(-2,1),n) );


L   Tqq0m=Pqq0-gqq0m(n);

L   Pqq0m=Pqq0;

L   Tqq1m=(Pqq1mcf2+Pqq1mcacf+Pqq1mcfnf)-gqq1m(n);

L   Pqq1m=(Pqq1mcf2+Pqq1mcacf+Pqq1mcfnf);

L   Tqq2m= Pqq2mcf3+Pqq2mcf3z3+Pqq2mcacf2z3+Pqq2mcacf2+Pqq2mca2cf
          +Pqq2mca2cfz3+Pqq2mcfnf2+Pqq2mcf2nf+Pqq2mcf2nfz3+Pqq2mcacfnf
          +Pqq2mcacfnfz3-gqq2m(n);

L   Pqq2m= Pqq2mcf3+Pqq2mcf3z3+Pqq2mcacf2z3+Pqq2mcacf2+Pqq2mca2cf
          +Pqq2mca2cfz3+Pqq2mcfnf2+Pqq2mcf2nf+Pqq2mcf2nfz3+Pqq2mcacfnf
          +Pqq2mcacfnfz3;

L   Tqq2mdabc = Pqq2mdabc- gqqv2(n);


.sort

id den(a?)=1/a;
argument;
id n=3;
endargument;
id n=3;
id 1/n=1/3;
#call subesses(S);
.sort
*----------------------------
id gqq0m(3) =CF*25/6;
id gqq0m(5) =CF*91/15;
id gqq0m(7) =CF*1027/140;
id gqq0m(9) =CF*1045/126;
id gqq0m(11)=CF*31408/3465;
id gqq0m(13)=CF*874733/90090;
*----------------------------
id gqq1m(3) =CF*CA*535/27-CF*NF*415/108-CF^2*2035/432;
id gqq1m(5) =CF*CA*73223/2700-CF*NF*7783/1350-CF^2*2891/500; 
id gqq1m(7) =CF*CA*67710257/2116800-CF*NF*3745727/529200-CF^2*106801937/16464000; 
id gqq1m(9) =CF*CA*242855129/6804000-CF*NF*19247947/2381400-CF^2*6993510271/1000188000; 
id gqq1m(11)=CF*CA*1448235599/37422000-CF*NF*512808781/57629880
            -CF^2*2454220717793/332812557000;
id gqq1m(13)=CF*CA*31236494566127/757512756000-CF*NF*93360116539/9739449720
            -CF^2*22445960639039759/2924756750916000;
*----------------------------
id gqq2m(3)  =-CF*CA*NF*(62249/3888+100/3*z3)+CF*CA^2*(889433/7776+55/3*z3)
            -CF*NF^2*2569/1944-CF^2*CA*(311213/15552+55*z3)
            +CF^2*NF*(-203627/7776+100/3*z3)
            +CF^3*(-244505/15552+110/3*z3);
id gqq2m(5)  =-CF*CA*NF*(38587/2000+728/15*z3)+CF*CA^2*(305342801/1944000+1414/75*z3)
            -CF*NF^2*215621/121500-CF^2*CA*(63892213/2430000+1414/25*z3)
            +CF^2*NF*(-5494973/135000+728/15*z3)
            +CF^3*(-51831073/3037500+2828/75*z3);
id gqq2m(7)  =-CF*CA*NF*(2257057261/106686720+2054/35*z3)
            +CF*CA^2*(219582793861/1185408000+92741/4900*z3)
            -CF*NF^2*1369936511/666792000
            -CF^2*CA*(629922436973/20744640000+278223/4900*z3)
            +CF^2*NF*(-3150205788689/62233920000+2054/35*z3)
            +CF^3*(-151689902637457/8712748800000+92741/2450*z3);
id gqq2m(9)  =-CF*CA*NF*(63405201707/2813028750+4180/63*z3)
            +CF*CA^2*(744184331602493/3600676800000+1253219/66150*z3)
            -CF*NF^2*20297329837/9001692000
            -CF^2*CA*(5022136344247/150028200000+1253219/22050*z3)
            +CF^2*NF*(-1630263834317/28005264000+4180/63*z3)
            +CF^3*(-13829238556849837/793949234400000+1253219/33075*z3);
id gqq2m(11) =-CF*CA*NF*(1031510572686647/43568189280000+251264/3465*z3)
            +CF*CA^2*(390549244457621303/1742727571200000+151689577/8004150*z3)
            -CF*NF^2*28869611542843/11981252052000
            -CF^2*CA*(43074459020106191/1198125205200000+151689577/2668050*z3)
            +CF^2*NF*(-1188145134622636787/18451128160080000+251264/3465*z3)
            +CF^3*(-221430869576690083141/12786631814935440000+151689577/4002075*z3);
id gqq2m(13) =-CF*CA*NF*(90849626920977361109/3685193506154160000+3498932/45045*z3)
            +CF*CA^2*(41070753377638233401027/171975696953860800000+3662719609/193243050*z3) 
            -CF*NF^2*66727681292862571/26322810758244000
            -CF^2*CA*(1400874681707762602284653/36888786996603141600000+3662719609/64414350*z3)
            +CF^2*NF*(-36688336888519925613757/526982671380044880000+3498932/45045*z3)
            +CF^3*(-40795447722180713788820819/2373793443231412161960000+3662719609/96621525*z3);
*----------------------------
id gqqv2(3)  =NF*dabc/NC*205/288;
id gqqv2(5)  =NF*dabc/NC*931/4050;
id gqqv2(7)  =NF*dabc/NC*56527729/508032000;
id gqqv2(9)  =NF*dabc/NC*13172190779/200037600000;
id gqqv2(11) =NF*dabc/NC*5083969985783/116181838080000;
id gqqv2(13) =NF*dabc/NC*62160363128061559/1984334964852240000;
*-----------------------------------------------------------------------------
B CF,CA,NF,NC,dabc;
print +s 
Tqq0m,Tqq1m,Tqq2m,Tqq2mdabc;
*Pqq0m,Pqq1m,Pqq2m,Pqq2mdabc;
.end

