(*
**********************************************************************************
*
* J. Bluemlein, M. Kauers, S. Klein, and C. Schneider: 
*
*                                     code:  momm.m [n odd branch]
*
*--------------------------------------------------------------------------------
* Condition of use: citation of the publication:
* J. Bl\"umlein, M. Kauers, S. Klein, C. Schneider, arxiv:0902.4091
*-------------------------------------------------------------------------------- 
*
*
* Representation of: The different color and zeta value projections for the 
*                    unpolarized anomalous dimensions and Wilson coefficients 
*                    in deeply inelastic scattering to 3-loop order. 
*                    Complete algebraic reduction is applied.
*
* Number of functions    :   16
*
**********************************************************************************
*)

Pqq0=CF*(-((2 + 3*n + 3*n^2)/(n*(1 + n))) + 4*S[1, n]);

Pqq1mcf2=CF^2*((16*(-1)^n)/(1 + n)^3 - (-24 - 32*n - 24*n^2 - 5*n^3 + 9*n^4 + 9*n^5 + 3*n^6)/(2*n^3*(1 + n)^3) - 16*S[-3, n] + S[-2, n]*(16/(n*(1 + n)) - 32*S[1, n]) + S[1, n]*((8*(1 + 2*n))/(n^2*(1 + n)^2) - 16*S[2, n]) + (4*(2 + 3*n + 3*n^2)*S[2, n])/(n*(1 + n)) - 16*S[3, n] + 32*S[-2, 1, n]);

Pqq1mcacf=CA*CF*((-8*(-1)^n)/(1 + n)^3 - (144 + 12*n + 484*n^2 + 655*n^3 + 102*n^4 + 51*n^5)/(18*n^3*(1 + n)^2) + 8*S[-3, n] + (268*S[1, n])/9 + S[-2, n]*(-8/(n*(1 + n)) + 16*S[1, n]) - (44*S[2, n])/3 + 8*S[3, n] - 16*S[-2, 1, n]);

Pqq1mcfnf=CF*NF*((-12 + 20*n + 47*n^2 + 6*n^3 + 3*n^4)/(9*n^2*(1 + n)^2) - (40*S[1, n])/9 + (8*S[2, n])/3);

Pqq2mcf3=CF^3*(-(-160 - 752*n - 1600*n^2 - 1748*n^3 - 464*n^4 - 11*n^5 - 479*n^6 - 146*n^7 + 130*n^8 + 145*n^9 + 29*n^10)/(2*n^5*(1 + n)^5) - 576*S[-5, n] + S[-4, n]*((-16*(-26 + 9*n + 9*n^2))/(n*(1 + n)) - 832*S[1, n]) + S[-2, n]^2*(64/(n*(1 + n)) - 128*S[1, n]) + S[-3, n]*((16*(20 + 17*n + 21*n^2))/(n^2*(1 + n)^2) - 320*S[-2, n] - (32*(20 + 3*n + 3*n^2)*S[1, n])/(n*(1 + n)) + 640*S[1, n]^2 - 2240*S[2, n]) - (16*(2 + 3*n + 3*n^2)*S[2, n]^2)/(n*(1 + n)) + (-1)^n*((-48*(1 - n + 2*n^2))/(1 + n)^5 + (128*S[-2, n])/(1 + n)^3 + (96*(3 + 5*n)*S[1, n])/(1 + n)^4 - (64*S[2, n])/(1 + n)^3) + (4*(-20 - 16*n + 13*n^2 + 26*n^3 + 13*n^4)*S[3, n])/(n^2*(1 + n)^2) - (16*(2 + 15*n + 15*n^2)*S[4, n])/(n*(1 + n)) - 192*S[5, n] - 832*S[-4, 1, n] + (896*S[-3, 1, n])/(n*(1 + n)) + 1152*S[-3, 2, n] + S[1, n]^2*((-32*(1 + 3*n + 3*n^2))/(n^3*(1 + n)^3) - 768*S[-2, 1, n]) - (32*(16 + 11*n + 15*n^2)*S[-2, 1, n])/(n^2*(1 + n)^2) + S[2, n]*((2*(-16 - 4*n + 12*n^2 + 19*n^3 + 9*n^4 + 9*n^5 + 3*n^6))/(n^3*(1 + n)^3) + 64*S[3, n] + 2176*S[-2, 1, n]) + (32*(-26 + 3*n + 3*n^2)*S[2, -2, n])/(n*(1 + n)) + S[-2, n]*((16*(2 + 8*n + 6*n^2 + 17*n^3 + 9*n^4 + 9*n^5 + 3*n^6))/(n^3*(1 + n)^3) + S[1, n]*((64*(1 - n + 3*n^2))/(n^2*(1 + n)^2) - 1408*S[2, n]) - (64*(-11 + 3*n + 3*n^2)*S[2, n])/(n*(1 + n)) + 1536*S[3, n] + 128*S[-2, 1, n] - 2304*S[2, 1, n]) - 1472*S[3, -2, n] + (64*(-2 + 3*n + 3*n^2)*S[3, 1, n])/(n*(1 + n)) + 192*S[3, 2, n] + 192*S[4, 1, n] + 2304*S[-3, 1, 1, n] + 512*S[-2, 1, -2, n] + (384*(-4 + n + n^2)*S[-2, 1, 1, n])/(n*(1 + n)) + S[1, n]*((4*(-44 - 120*n - 115*n^2 - 40*n^3 + 167*n^4 + 186*n^5 + 22*n^6))/(n^4*(1 + n)^4) - (64*(1 + 2*n)*S[2, n])/(n^2*(1 + n)^2) + 64*S[2, n]^2 - 192*S[3, n] + 64*S[4, n] - 1792*S[-3, 1, n] - (192*(-4 + n + n^2)*S[-2, 1, n])/(n*(1 + n)) + 1664*S[2, -2, n] + 256*S[3, 1, n] + 3072*S[-2, 1, 1, n]) + 2304*S[-2, 2, 1, n] + 2304*S[2, 1, -2, n] - 384*S[3, 1, 1, n] - 4608*S[-2, 1, 1, 1, n]);

Pqq2mcf3z3=CF^3*z3*((-24*(4 + 4*n + 9*n^2 + 10*n^3 + 5*n^4))/(n^2*(1 + n)^2) - 192*S[-2, n]);

Pqq2mcacf2z3=CA*CF^2*z3*((36*(4 + 4*n + 9*n^2 + 10*n^3 + 5*n^4))/(n^2*(1 + n)^2) + 288*S[-2, n]);

Pqq2mcacf2=CA*CF^2*(-(3456 + 17616*n + 32592*n^2 + 12280*n^3 - 34648*n^4 - 35089*n^5 + 3851*n^6 + 15646*n^7 + 15246*n^8 + 6795*n^9 + 1359*n^10)/(36*n^5*(1 + n)^5) + 672*S[-5, n] + S[-2, n]^2*((-16*(8 + 3*n + 3*n^2))/(n*(1 + n)) + 256*S[1, n]) + S[-4, n]*((8*(-210 + 97*n + 97*n^2))/(3*n*(1 + n)) + 1120*S[1, n]) + (176*S[2, n]^2)/3 + S[-3, n]*((-8*(450 + 507*n + 811*n^2 + 536*n^3 + 268*n^4))/(9*n^2*(1 + n)^2) + 480*S[-2, n] + (16*(108 + 31*n + 31*n^2)*S[1, n])/(3*n*(1 + n)) - 576*S[1, n]^2 + 2656*S[2, n]) + (-1)^n*((8*(-161 + 41*n + 382*n^2))/(9*(1 + n)^5) - (256*S[-2, n])/(1 + n)^3 - (16*(121 + 127*n)*S[1, n])/(3*(1 + n)^4) + (32*S[2, n])/(1 + n)^3) - (8*(-126 + 6*n + 427*n^2 + 770*n^3 + 385*n^4)*S[3, n])/(9*n^2*(1 + n)^2) + (8*(-30 + 151*n + 151*n^2)*S[4, n])/(3*n*(1 + n)) + 384*S[5, n] + 864*S[-4, 1, n] - (960*S[-3, 1, n])/(n*(1 + n)) - 1344*S[-3, 2, n] + S[2, n]*((2*(144 - 120*n + 488*n^2 + 1325*n^3 + 906*n^4 + 453*n^5))/(9*n^3*(1 + n)^2) - 32*S[3, n] - 2624*S[-2, 1, n]) + (16*(414 + 321*n + 625*n^2 + 536*n^3 + 268*n^4)*S[-2, 1, n])/(9*n^2*(1 + n)^2) + S[1, n]^2*(128*S[3, n] + 896*S[-2, 1, n]) - (16*(-174 + 31*n + 31*n^2)*S[2, -2, n])/(3*n*(1 + n)) + S[-2, n]*((-8*(72 + 228*n - 130*n^2 - 389*n^3 - 229*n^4 + 243*n^5 + 81*n^6))/(9*n^3*(1 + n)^3) + (32*(-81 + 31*n + 31*n^2)*S[2, n])/(3*n*(1 + n)) + S[1, n]*((-32*(54 + 45*n + 215*n^2 + 268*n^3 + 134*n^4))/(9*n^2*(1 + n)^2) + 1728*S[2, n]) - 1792*S[3, n] - 192*S[-2, 1, n] + 2688*S[2, 1, n]) + 1824*S[3, -2, n] - (32*(-24 + 29*n + 29*n^2)*S[3, 1, n])/(3*n*(1 + n)) - 384*S[3, 2, n] - 384*S[4, 1, n] - 2688*S[-3, 1, 1, n] - 768*S[-2, 1, -2, n] + S[1, n]*((-8*(-144 - 309*n - 395*n^2 - 617*n^3 + 245*n^4 + 731*n^5 + 135*n^6))/(9*n^4*(1 + n)^4) - (2144*S[2, n])/9 + (32*(-12 + 31*n + 31*n^2)*S[3, n])/(3*n*(1 + n)) + 160*S[4, n] + 1920*S[-3, 1, n] + (32*(-84 + 31*n + 31*n^2)*S[-2, 1, n])/(3*n*(1 + n)) - 1856*S[2, -2, n] - 512*S[3, 1, n] - 3584*S[-2, 1, 1, n]) - (64*(-84 + 31*n + 31*n^2)*S[-2, 1, 1, n])/(3*n*(1 + n)) - 2688*S[-2, 2, 1, n] - 2688*S[2, 1, -2, n] + 768*S[3, 1, 1, n] + 5376*S[-2, 1, 1, 1, n]);

Pqq2mca2cf=CA^2*CF*((2592 + 15840*n + 22824*n^2 - 18992*n^3 - 85692*n^4 - 135893*n^5 - 150929*n^6 - 86322*n^7 + 11770*n^8 + 24855*n^9 + 4971*n^10)/(108*n^5*(1 + n)^5) - 192*S[-5, n] + S[-4, n]*((-8*(-66 + 35*n + 35*n^2))/(3*n*(1 + n)) - 352*S[1, n]) + S[-2, n]^2*((24*(2 + n + n^2))/(n*(1 + n)) - 96*S[1, n]) + (-1)^n*((-16*(-47 + 17*n + 82*n^2))/(9*(1 + n)^5) + (96*S[-2, n])/(1 + n)^3 + (16*(47 + 41*n)*S[1, n])/(3*(1 + n)^4)) + S[-3, n]*((8*(135 + 177*n + 311*n^2 + 268*n^3 + 134*n^4))/(9*n^2*(1 + n)^2) - 160*S[-2, n] - (16*(24 + 11*n + 11*n^2)*S[1, n])/(3*n*(1 + n)) + 128*S[1, n]^2 - 768*S[2, n]) + (4*(-81 + 9*n + 398*n^2 + 778*n^3 + 389*n^4)*S[3, n])/(9*n^2*(1 + n)^2) - (8*(-24 + 55*n + 55*n^2)*S[4, n])/(3*n*(1 + n)) - 160*S[5, n] - 224*S[-4, 1, n] + (256*S[-3, 1, n])/(n*(1 + n)) + 384*S[-3, 2, n] + S[1, n]^2*(-64*S[3, n] - 256*S[-2, 1, n]) - (16*(135 + 111*n + 245*n^2 + 268*n^3 + 134*n^4)*S[-2, 1, n])/(9*n^2*(1 + n)^2) + S[2, n]*(-4172/27 + 768*S[-2, 1, n]) + (16*(-48 + 11*n + 11*n^2)*S[2, -2, n])/(3*n*(1 + n)) + S[-2, n]*((8*(27 + 78*n - 92*n^2 - 271*n^3 - 155*n^4 + 81*n^5 + 27*n^6))/(9*n^3*(1 + n)^3) + S[1, n]*((16*(45 + 54*n + 188*n^2 + 268*n^3 + 134*n^4))/(9*n^2*(1 + n)^2) - 512*S[2, n]) - (32*(-24 + 11*n + 11*n^2)*S[2, n])/(3*n*(1 + n)) + 512*S[3, n] + 64*S[-2, 1, n] - 768*S[2, 1, n]) - 544*S[3, -2, n] + (32*(-12 + 11*n + 11*n^2)*S[3, 1, n])/(3*n*(1 + n)) + 192*S[3, 2, n] + 192*S[4, 1, n] + 768*S[-3, 1, 1, n] + 256*S[-2, 1, -2, n] + (64*(-24 + 11*n + 11*n^2)*S[-2, 1, 1, n])/(3*n*(1 + n)) + S[1, n]*((2*(-6 + 22*n + 36*n^2 + 100*n^3 + 851*n^4 + 1524*n^5 + 1542*n^6 + 980*n^7 + 245*n^8))/(3*n^4*(1 + n)^4) - (8*(-8 + 11*n + 11*n^2)*S[3, n])/(n*(1 + n)) - 128*S[4, n] - 512*S[-3, 1, n] - (32*(-24 + 11*n + 11*n^2)*S[-2, 1, n])/(3*n*(1 + n)) + 512*S[2, -2, n] + 256*S[3, 1, n] + 1024*S[-2, 1, 1, n]) + 768*S[-2, 2, 1, n] + 768*S[2, 1, -2, n] - 384*S[3, 1, 1, n] - 1536*S[-2, 1, 1, 1, n]);

Pqq2mca2cfz3=CA^2*CF*z3*((-12*(4 + 4*n + 9*n^2 + 10*n^3 + 5*n^4))/(n^2*(1 + n)^2) - 96*S[-2, n]);

Pqq2mcfnf2=CF*NF^2*((-24 + 16*n + 96*n^2 + 35*n^3 + 57*n^4 + 153*n^5 + 51*n^6)/(27*n^3*(1 + n)^3) - (16*S[1, n])/27 - (80*S[2, n])/27 + (16*S[3, n])/9);

Pqq2mcf2nf=CF^2*NF*((120 - 632*n^2 - 779*n^3 - 38*n^4 + 1123*n^5 + 1443*n^6 + 828*n^7 + 207*n^8)/(9*n^4*(1 + n)^4) - (128*S[-4, n])/3 + S[-3, n]*((32*(3 + 10*n + 10*n^2))/(9*n*(1 + n)) - (64*S[1, n])/3) + (-1)^n*((-128*(1 + 4*n))/(9*(1 + n)^4) + (64*S[1, n])/(3*(1 + n)^3)) + S[-2, n]*((-32*(-3 + 10*n + 16*n^2))/(9*n^2*(1 + n)^2) + (640*S[1, n])/9 - (128*S[2, n])/3) - (4*(-24 + 16*n + 79*n^2 + 30*n^3 + 15*n^4)*S[2, n])/(9*n^2*(1 + n)^2) - (32*S[2, n]^2)/3 + (16*(12 + 29*n + 29*n^2)*S[3, n])/(9*n*(1 + n)) - (128*S[4, n])/3 + S[1, n]*((-2*(-96 - 16*n + 160*n^2 + 165*n^3 + 330*n^4 + 165*n^5))/(9*n^3*(1 + n)^2) + (320*S[2, n])/9 - (128*S[3, n])/3 - (128*S[-2, 1, n])/3) - (64*(-3 + 10*n + 10*n^2)*S[-2, 1, n])/(9*n*(1 + n)) + (64*S[2, -2, n])/3 + (64*S[3, 1, n])/3 + (256*S[-2, 1, 1, n])/3);

Pqq2mcf2nfz3=CF^2*NF*z3*((-8*(2 + 3*n + 3*n^2))/(n*(1 + n)) + 32*S[1, n]);

Pqq2mcacfnf=CA*CF*NF*((-2*(144 - 156*n - 206*n^2 - 211*n^3 - 1392*n^4 - 463*n^5 + 810*n^6 + 270*n^7))/(27*n^4*(1 + n)^3) + (64*S[-4, n])/3 + S[-3, n]*((-16*(3 + 10*n + 10*n^2))/(9*n*(1 + n)) + (32*S[1, n])/3) + (-1)^n*((64*(1 + 4*n))/(9*(1 + n)^4) - (32*S[1, n])/(3*(1 + n)^3)) + (1336*S[2, n])/27 + S[-2, n]*((16*(-3 + 10*n + 16*n^2))/(9*n^2*(1 + n)^2) - (320*S[1, n])/9 + (64*S[2, n])/3) - (8*(3 + 14*n + 14*n^2)*S[3, n])/(3*n*(1 + n)) + (80*S[4, n])/3 + (32*(-3 + 10*n + 10*n^2)*S[-2, 1, n])/(9*n*(1 + n)) + S[1, n]*((-4*(18 + 36*n + 36*n^2 + 281*n^3 + 627*n^4 + 627*n^5 + 209*n^6))/(27*n^3*(1 + n)^3) + 16*S[3, n] + (64*S[-2, 1, n])/3) - (32*S[2, -2, n])/3 - (64*S[3, 1, n])/3 - (128*S[-2, 1, 1, n])/3);

Pqq2mcacfnfz3=CA*CF*NF*z3*((8*(2 + 3*n + 3*n^2))/(n*(1 + n)) - 32*S[1, n]);

Pqq2mdabc=(dabc*NF*((-4*(48 + 336*n + 1184*n^2 + 2412*n^3 + 3017*n^4 + 2416*n^5 + 1399*n^6 + 720*n^7 + 326*n^8 + 97*n^9 + 13*n^10))/(3*n^5*(1 + n)^5*(2 + n)^3) + (4*(2 + n + n^2)*S[-3, n])/(n^2*(1 + n)^2) - (2*(-144 - 768*n - 2032*n^2 - 3092*n^3 - 2951*n^4 - 1719*n^5 - 505*n^6 - 3*n^7 + 41*n^8 + 9*n^9)*S[1, n])/(3*n^4*(1 + n)^4*(2 + n)^3) + S[-2, n]*((-4*(-4 - 12*n - 23*n^2 - 21*n^3 - 8*n^4 + 3*n^5 + n^6))/((-1 + n)*n^3*(1 + n)^3*(2 + n)) - (8*(2 + n + n^2)^2*S[1, n])/((-1 + n)*n^2*(1 + n)^2*(2 + n))) + (-1)^n*((-4*(64 + 352*n + 816*n^2 + 1000*n^3 + 644*n^4 + 314*n^5 + 179*n^6 + 74*n^7 + 13*n^8))/(3*(-1 + n)*n^3*(1 + n)^4*(2 + n)^3) + (16*(16 + 72*n + 114*n^2 + 118*n^3 + 78*n^4 + 29*n^5 + 5*n^6)*S[1, n])/(3*(-1 + n)*n^2*(1 + n)^3*(2 + n)^3)) - (2*(2 + n + n^2)*S[3, n])/(n^2*(1 + n)^2) - (8*(2 + n + n^2)*S[-2, 1, n])/(n^2*(1 + n)^2)))/NC;

