#-
**********************************************************************************
*
* J. Bluemlein, M. Kauers, S. Klein, and C. Schneider: 
*
*                                     code:  momp.frm [n even branch]
*
*--------------------------------------------------------------------------------
* Condition of use: citation of the publication:
* J. Bl\"umlein, M. Kauers, S. Klein, C. Schneider, arxiv:0902.4091
*-------------------------------------------------------------------------------- 
*
* code: mom3p.frm     [uses summer.h by J. Vermaseren for the tests for 
*                      certain fixed values of N]
*
* Representation of: The different color and zeta value projections for the 
*                    unpolarized anomalous dimensions and Wilson coefficients 
*                    in deeply inelastic scattering to 3-loop order. 
*                    Complete algebraic reduction is applied.
*
* Number of functions    :  170
* Number of combinations :   34
*
* Test code for the moments: n=2,4,6,8 (n=2 cannot be evaluated for some terms due 
*                                       to a 1/(n-2) term.) 
* print:                     Tqq0,Tqq1p ,Tqq2p     ,
*                                 Tps1  ,Tps2      ,
*                            Tqg0,Tqg1  ,Tqg2      , 
*                            Tgq0,Tgq1  ,Tgq2      , 
*                            Tgg0,Tgg1  ,Tgg2      , 
*                                 TC2ps2,TC2ps3    ,  
*                                 TClps2,TClps3    , 
*                            TC2q1,TC2q2 ,TC2q3    ,
*                                         TC2q3dabc,
*                            TC2g1,TC2g2 ,TC2g3    ,
*                                         TC2g3dabc,
*                            TClq1,TClq2 ,TClq3    ,
*                                         TClq3dabc, 
*                            TClg1,TClg2 ,TClg3    , 
*                                         TClg3dabc.
*
* The formulae are displayed if n remains unspecified.
* print:                     Pqq0,Pqq1p,Pqq2p    ,
*                            Pqg0,Pqg1 ,Pqg2     , 
*                            Pgq0,Pgq1 ,Pgq2     , 
*                            Pgg0,Pgg1 ,Pgg2     , 
*                                 Pps1 ,Pps2     ,
*                            C2q1,C2q2 ,C2q3     ,
*                            C2g1,C2g2 ,C2g3     ,
*                            Clq1,Clq2 ,Clq3     ,
*                            Clg1,Clg2 ,Clg3     , 
*                                 C2ps2,C2ps3    , 
*                                 Clps2,Clps3    , 
*                                       C2q3dabc ,
*                                       Clq3dabc ,
*                                       C2g3dabc ,
*                                       Clg3dabc .
*
* **********************************************************************************
nwrite,statistics;
S n,CF,CA,NF,NC,dabc,z3,z4,z5,a;
S fl02,fl11,flg11;
CF S,R,den;
CF gqq0,gqq1p,gqq2p;
CF gqg0,gqg1,gqg2;
CF ggq0,ggq1,ggq2;
CF ggg0,ggg1,ggg2;
CF gps1,gps2;
CF c2q0,c2q1,c2q2,c2q3;
CF c2g0,c2g1,c2g2,c2g3;
CF clq0,clq1,clq2,clq3;
CF clg0,clg1,clg2,clg3;
CF c2ps2,c2ps3,clps2,clps3,c2q3dabc,clq3dabc,c2g3dabc,clg3dabc;
#include summer.h
L   Pqq0
  = CF*( -((2+3*n+3*n^2)*den(n)*den(1+n))+4*S(R(1),n) );

L   Pqq1pcf2
  = CF^2*( -((8+32*n+40*n^2+59*n^3+9*n^4+9*n^5+3*n^6)*den(n)^3*den(1+n)^3)/2+16*den(1+n)^3*(-1)^n-16*S(R(-3),n)+S(R(-2),n)*(16*den(n)*den(1+n)-32*S(R(1),n))+S(R(1),n)*(8*(1+2*n)*den(n)^2*den(1+n)^2-16*S(R(2),n))+4*(2+3*n+3*n^2)*den(n)*den(1+n)*S(R(2),n)-16*S(R(3),n)+32*S(R(-2,1),n) );

L   Pqq1pcacf
  = CA*CF*( -((-132+208*n+851*n^2+757*n^3+153*n^4+51*n^5)*den(n)^2*den(1+n)^3)/18-8*den(1+n)^3*(-1)^n+8*S(R(-3),n)+(268*S(R(1),n))/9+S(R(-2),n)*(-8*den(n)*den(1+n)+16*S(R(1),n))-(44*S(R(2),n))/3+8*S(R(3),n)-16*S(R(-2,1),n) );

L   Pqq1pcfnf
  = CF*NF*( ((-12+20*n+47*n^2+6*n^3+3*n^4)*den(n)^2*den(1+n)^2)/9-(40*S(R(1),n))/9+(8*S(R(2),n))/3 );

L   Pqq2pcf3
  = CF^3*( -((32+208*n+576*n^2+940*n^3+976*n^4+501*n^5+353*n^6+110*n^7+226*n^8+145*n^9+29*n^10)*den(n)^5*den(1+n)^5)/2-576*S(R(-5),n)+S(R(-4),n)*(-16*(-26+9*n+9*n^2)*den(n)*den(1+n)-832*S(R(1),n))+S(R(-2),n)^2*(64*den(n)*den(1+n)-128*S(R(1),n))+S(R(-3),n)*(16*(8+5*n+9*n^2)*den(n)^2*den(1+n)^2-320*S(R(-2),n)-32*(20+3*n+3*n^2)*den(n)*den(1+n)*S(R(1),n)+640*S(R(1),n)^2-2240*S(R(2),n))-16*(2+3*n+3*n^2)*den(n)*den(1+n)*S(R(2),n)^2+(-1)^n*(16*(1+11*n+2*n^2)*den(1+n)^5+128*den(1+n)^3*S(R(-2),n)+96*(3+5*n)*den(1+n)^4*S(R(1),n)-64*den(1+n)^3*S(R(2),n))+4*(-20-16*n+13*n^2+26*n^3+13*n^4)*den(n)^2*den(1+n)^2*S(R(3),n)-16*(2+15*n+15*n^2)*den(n)*den(1+n)*S(R(4),n)-192*S(R(5),n)-832*S(R(-4,1),n)+896*den(n)*den(1+n)*S(R(-3,1),n)+1152*S(R(-3,2),n)+S(R(1),n)^2*(-32*(1+3*n+3*n^2)*den(n)^3*den(1+n)^3-768*S(R(-2,1),n))-32*(4-n+3*n^2)*den(n)^2*den(1+n)^2*S(R(-2,1),n)+S(R(2),n)*(2*(16+60*n+76*n^2+83*n^3+9*n^4+9*n^5+3*n^6)*den(n)^3*den(1+n)^3+64*S(R(3),n)+2176*S(R(-2,1),n))+32*(-26+3*n+3*n^2)*den(n)*den(1+n)*S(R(2,-2),n)+S(R(-2),n)*(16*(2+4*n+2*n^2+n^3+9*n^4+9*n^5+3*n^6)*den(n)^3*den(1+n)^3+S(R(1),n)*(-64*(5+7*n+3*n^2)*den(n)^2*den(1+n)^2-1408*S(R(2),n))-64*(-11+3*n+3*n^2)*den(n)*den(1+n)*S(R(2),n)+1536*S(R(3),n)+128*S(R(-2,1),n)-2304*S(R(2,1),n))-1472*S(R(3,-2),n)+64*(-2+3*n+3*n^2)*den(n)*den(1+n)*S(R(3,1),n)+192*S(R(3,2),n)+192*S(R(4,1),n)+2304*S(R(-3,1,1),n)+512*S(R(-2,1,-2),n)+384*(-4+n+n^2)*den(n)*den(1+n)*S(R(-2,1,1),n)+S(R(1),n)*(4*(52+160*n+197*n^2+88*n^3+23*n^4-54*n^5+22*n^6)*den(n)^4*den(1+n)^4-64*(1+2*n)*den(n)^2*den(1+n)^2*S(R(2),n)+64*S(R(2),n)^2-192*S(R(3),n)+64*S(R(4),n)-1792*S(R(-3,1),n)-192*(-4+n+n^2)*den(n)*den(1+n)*S(R(-2,1),n)+1664*S(R(2,-2),n)+256*S(R(3,1),n)+3072*S(R(-2,1,1),n))+2304*S(R(-2,2,1),n)+2304*S(R(2,1,-2),n)-384*S(R(3,1,1),n)-4608*S(R(-2,1,1,1),n) );

L   Pqq2pcf3z3
  = CF^3*z3*( -24*(-4-4*n+n^2+10*n^3+5*n^4)*den(n)^2*den(1+n)^2-192*S(R(-2),n) );

L   Pqq2pcacf2
  = CA*CF^2*( -((-1584-2560*n+4120*n^2+12528*n^3+11103*n^4+24524*n^5+8274*n^6+5436*n^7+1359*n^8)*den(n)^4*den(1+n)^4)/36+672*S(R(-5),n)+S(R(-2),n)^2*(-16*(8+3*n+3*n^2)*den(n)*den(1+n)+256*S(R(1),n))+S(R(-4),n)*((8*(-210+97*n+97*n^2)*den(n)*den(1+n))/3+1120*S(R(1),n))+(176*S(R(2),n)^2)/3+S(R(-3),n)*((-8*(126+183*n+487*n^2+536*n^3+268*n^4)*den(n)^2*den(1+n)^2)/9+480*S(R(-2),n)+(16*(108+31*n+31*n^2)*den(n)*den(1+n)*S(R(1),n))/3-576*S(R(1),n)^2+2656*S(R(2),n))+(-1)^n*((8*(-125+346*n)*den(1+n)^4)/9-256*den(1+n)^3*S(R(-2),n)-(16*(73+103*n)*den(1+n)^4*S(R(1),n))/3+32*den(1+n)^3*S(R(2),n))-(8*(-126+6*n+427*n^2+770*n^3+385*n^4)*den(n)^2*den(1+n)^2*S(R(3),n))/9+(8*(-30+151*n+151*n^2)*den(n)*den(1+n)*S(R(4),n))/3+384*S(R(5),n)+864*S(R(-4,1),n)-960*den(n)*den(1+n)*S(R(-3,1),n)-1344*S(R(-3,2),n)+S(R(2),n)*((2*(-264+80*n+1525*n^2+2231*n^3+1359*n^4+453*n^5)*den(n)^2*den(1+n)^3)/9-32*S(R(3),n)-2624*S(R(-2,1),n))+(16*(90-3*n+301*n^2+536*n^3+268*n^4)*den(n)^2*den(1+n)^2*S(R(-2,1),n))/9+S(R(1),n)^2*(128*S(R(3),n)+896*S(R(-2,1),n))-(16*(-174+31*n+31*n^2)*den(n)*den(1+n)*S(R(2,-2),n))/3+S(R(-2),n)*((-8*(-60-526*n-1181*n^2-337*n^3+243*n^4+81*n^5)*den(n)^2*den(1+n)^3)/9+(32*(-81+31*n+31*n^2)*den(n)*den(1+n)*S(R(2),n))/3+S(R(1),n)*((-32*(-72-81*n+89*n^2+268*n^3+134*n^4)*den(n)^2*den(1+n)^2)/9+1728*S(R(2),n))-1792*S(R(3),n)-192*S(R(-2,1),n)+2688*S(R(2,1),n))+1824*S(R(3,-2),n)-(32*(-24+29*n+29*n^2)*den(n)*den(1+n)*S(R(3,1),n))/3-384*S(R(3,2),n)-384*S(R(4,1),n)-2688*S(R(-3,1,1),n)-768*S(R(-2,1,-2),n)+S(R(1),n)*((-8*(216+621*n+487*n^2-569*n^3-1039*n^4-649*n^5+135*n^6)*den(n)^4*den(1+n)^4)/9-(2144*S(R(2),n))/9+(32*(-12+31*n+31*n^2)*den(n)*den(1+n)*S(R(3),n))/3+160*S(R(4),n)+1920*S(R(-3,1),n)+(32*(-84+31*n+31*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/3-1856*S(R(2,-2),n)-512*S(R(3,1),n)-3584*S(R(-2,1,1),n))-(64*(-84+31*n+31*n^2)*den(n)*den(1+n)*S(R(-2,1,1),n))/3-2688*S(R(-2,2,1),n)-2688*S(R(2,1,-2),n)+768*S(R(3,1,1),n)+5376*S(R(-2,1,1,1),n) );

L   Pqq2pcacf2z3
  = CA*CF^2*z3*( 36*(-4-4*n+n^2+10*n^3+5*n^4)*den(n)^2*den(1+n)^2+288*S(R(-2),n) );

L   Pqq2pca2cf
  = CA^2*CF*( ((-2904+1216*n+10692*n^2-40901*n^3-92033*n^4-57138*n^5+10762*n^6+24855*n^7+4971*n^8)*den(n)^3*den(1+n)^5)/108-192*S(R(-5),n)+S(R(-4),n)*((-8*(-66+35*n+35*n^2)*den(n)*den(1+n))/3-352*S(R(1),n))+S(R(-2),n)^2*(24*(2+n+n^2)*den(n)*den(1+n)-96*S(R(1),n))+(-1)^n*((-16*(-29+80*n+91*n^2)*den(1+n)^5)/9+96*den(1+n)^3*S(R(-2),n)+(16*(23+29*n)*den(1+n)^4*S(R(1),n))/3)+S(R(-3),n)*((8*(27+69*n+203*n^2+268*n^3+134*n^4)*den(n)^2*den(1+n)^2)/9-160*S(R(-2),n)-(16*(24+11*n+11*n^2)*den(n)*den(1+n)*S(R(1),n))/3+128*S(R(1),n)^2-768*S(R(2),n))+(4*(-81+9*n+398*n^2+778*n^3+389*n^4)*den(n)^2*den(1+n)^2*S(R(3),n))/9-(8*(-24+55*n+55*n^2)*den(n)*den(1+n)*S(R(4),n))/3-160*S(R(5),n)-224*S(R(-4,1),n)+256*den(n)*den(1+n)*S(R(-3,1),n)+384*S(R(-3,2),n)+S(R(1),n)^2*(-64*S(R(3),n)-256*S(R(-2,1),n))-(16*(27+3*n+137*n^2+268*n^3+134*n^4)*den(n)^2*den(1+n)^2*S(R(-2,1),n))/9+S(R(2),n)*(-4172/27+768*S(R(-2,1),n))+(16*(-48+11*n+11*n^2)*den(n)*den(1+n)*S(R(2,-2),n))/3+S(R(-2),n)*((8*(-9-48*n-272*n^2-595*n^3-209*n^4+81*n^5+27*n^6)*den(n)^3*den(1+n)^3)/9+S(R(1),n)*((16*(-27-18*n+116*n^2+268*n^3+134*n^4)*den(n)^2*den(1+n)^2)/9-512*S(R(2),n))-(32*(-24+11*n+11*n^2)*den(n)*den(1+n)*S(R(2),n))/3+512*S(R(3),n)+64*S(R(-2,1),n)-768*S(R(2,1),n))-544*S(R(3,-2),n)+(32*(-12+11*n+11*n^2)*den(n)*den(1+n)*S(R(3,1),n))/3+192*S(R(3,2),n)+192*S(R(4,1),n)+768*S(R(-3,1,1),n)+256*S(R(-2,1,-2),n)+(64*(-24+11*n+11*n^2)*den(n)*den(1+n)*S(R(-2,1,1),n))/3+S(R(1),n)*((2*(90+222*n+156*n^2-60*n^3+211*n^4+964*n^5+1542*n^6+980*n^7+245*n^8)*den(n)^4*den(1+n)^4)/3-8*(-8+11*n+11*n^2)*den(n)*den(1+n)*S(R(3),n)-128*S(R(4),n)-512*S(R(-3,1),n)-(32*(-24+11*n+11*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/3+512*S(R(2,-2),n)+256*S(R(3,1),n)+1024*S(R(-2,1,1),n))+768*S(R(-2,2,1),n)+768*S(R(2,1,-2),n)-384*S(R(3,1,1),n)-1536*S(R(-2,1,1,1),n) );

L   Pqq2pca2cfz3
  = CA^2*CF*z3*( -12*(-4-4*n+n^2+10*n^3+5*n^4)*den(n)^2*den(1+n)^2-96*S(R(-2),n) );

L   Pqq2pcf2nf
  = CF^2*NF*( ((-72-160*n-8*n^2+453*n^3+1338*n^4+2291*n^5+1491*n^6+828*n^7+207*n^8)*den(n)^4*den(1+n)^4)/9-(128*S(R(-4),n))/3+S(R(-3),n)*((32*(3+10*n+10*n^2)*den(n)*den(1+n))/9-(64*S(R(1),n))/3)+(-1)^n*((-128*(1+4*n)*den(1+n)^4)/9+(64*den(1+n)^3*S(R(1),n))/3)+S(R(-2),n)*((-32*(-3+10*n+16*n^2)*den(n)^2*den(1+n)^2)/9+(640*S(R(1),n))/9-(128*S(R(2),n))/3)-(4*(-24+16*n+79*n^2+30*n^3+15*n^4)*den(n)^2*den(1+n)^2*S(R(2),n))/9-(32*S(R(2),n)^2)/3+(16*(12+29*n+29*n^2)*den(n)*den(1+n)*S(R(3),n))/9-(128*S(R(4),n))/3+S(R(1),n)*((-2*(80+336*n+517*n^2+495*n^3+495*n^4+165*n^5)*den(n)^2*den(1+n)^3)/9+(320*S(R(2),n))/9-(128*S(R(3),n))/3-(128*S(R(-2,1),n))/3)-(64*(-3+10*n+10*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/9+(64*S(R(2,-2),n))/3+(64*S(R(3,1),n))/3+(256*S(R(-2,1,1),n))/3 );

L   Pqq2pcf2nfz3
  = CF^2*NF*z3*( -8*(2+3*n+3*n^2)*den(n)*den(1+n)+32*S(R(1),n) );

L   Pqq2pcfnf2
  = CF*NF^2*( ((-24+16*n+96*n^2+35*n^3+57*n^4+153*n^5+51*n^6)*den(n)^3*den(1+n)^3)/27-(16*S(R(1),n))/27-(80*S(R(2),n))/27+(16*S(R(3),n))/9 );

L   Pqq2pcacfnf
  = CA*CF*NF*( (-2*(-132+106*n+507*n^2-571*n^3-979*n^4+383*n^5+1080*n^6+270*n^7)*den(n)^3*den(1+n)^4)/27+(64*S(R(-4),n))/3+S(R(-3),n)*((-16*(3+10*n+10*n^2)*den(n)*den(1+n))/9+(32*S(R(1),n))/3)+(-1)^n*((64*(1+4*n)*den(1+n)^4)/9-(32*den(1+n)^3*S(R(1),n))/3)+(1336*S(R(2),n))/27+S(R(-2),n)*((16*(-3+10*n+16*n^2)*den(n)^2*den(1+n)^2)/9-(320*S(R(1),n))/9+(64*S(R(2),n))/3)-(8*(3+14*n+14*n^2)*den(n)*den(1+n)*S(R(3),n))/3+(80*S(R(4),n))/3+(32*(-3+10*n+10*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/9+S(R(1),n)*((-4*(-54-108*n-108*n^2+137*n^3+627*n^4+627*n^5+209*n^6)*den(n)^3*den(1+n)^3)/27+16*S(R(3),n)+(64*S(R(-2,1),n))/3)-(32*S(R(2,-2),n))/3-(64*S(R(3,1),n))/3-(128*S(R(-2,1,1),n))/3 );

L   Pqq2pcacfnfz3
  = CA*CF*NF*z3*( 8*(2+3*n+3*n^2)*den(n)*den(1+n)-32*S(R(1),n) );

L   Pps1cfnf
  = CF*NF*( -4*(2+5*n+n^2)*(4+4*n+7*n^2+5*n^3)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2 );

L   Pps2cfnf2
  = CF*NF^2*( (-8*(144-48*n-1496*n^2-2672*n^3-2103*n^4-1689*n^5-317*n^6+1353*n^7+1200*n^8+392*n^9+52*n^10)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^3)/27+(8*(-48-104*n-56*n^2-86*n^3-11*n^4+68*n^5+37*n^6+8*n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(1),n))/9-(4*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^2)/3-(4*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))/3 );

L   Pps2cacfnf
  = CA*CF*NF*( (4*(-6912-42912*n-109968*n^2-183088*n^3-293880*n^4-421954*n^5-357069*n^6-120782*n^7+23170*n^8+67882*n^9+102402*n^10+90274*n^11+40614*n^12+8804*n^13+731*n^14)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^4)/27+8*(2+n+n^2)*(10+7*n+7*n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-3),n)+(2*(2+n+n^2)*(-24-80*n-32*n^2+113*n^3+99*n^4+51*n^5+17*n^6)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(1),n)^2)/3-(8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^3)/3+S(R(-2),n)*(8*(40+132*n+158*n^2+155*n^3+102*n^4+37*n^5+14*n^6+2*n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2+16*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n))+(-1)^n*((-32*(192+1760*n+7040*n^2+17068*n^3+24861*n^4+22898*n^5+14498*n^6+6903*n^7+2553*n^8+646*n^9+77*n^10)*den(-1+n)*den(n)^3*den(1+n)^5*den(2+n)^4)/9+(32*(16+72*n+114*n^2+118*n^3+78*n^4+29*n^5+5*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(1),n))/3)+(2*(2+n+n^2)*(-24-128*n+64*n^2+65*n^3+39*n^4+99*n^5+29*n^6)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2),n))/3+S(R(1),n)*((-4*(72+924*n+298*n^2-3359*n^3-3663*n^4-2352*n^5-2360*n^6+78*n^7+1458*n^8+713*n^9+127*n^10)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2)/9+8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))+(4*(2+n+n^2)*(58+23*n+23*n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(3),n))/3-16*(2+n+n^2)*(2+3*n+3*n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1),n)-16*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,1),n) );

L   Pps2nfcacfnfz3
  = CA*CF*NF*z3*( -48*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n) );

L   Pps2cf2nf
  = CF^2*NF*( -2*(256+1504*n+4176*n^2+8160*n^3+12760*n^4+14934*n^5+13445*n^6+10189*n^7+6831*n^8+3868*n^9+1619*n^10+417*n^11+49*n^12)*den(-1+n)*den(n)^5*den(1+n)^5*den(2+n)^3-2*(2+n+n^2)*(4+20*n+25*n^2+10*n^3+5*n^4)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)*S(R(1),n)^2+(8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^3)/3-2*(-112-352*n-416*n^2-420*n^3-213*n^4+11*n^5+25*n^6+5*n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2),n)+S(R(1),n)*(8*(96+400*n+824*n^2+1116*n^3+1124*n^4+724*n^5+410*n^6+345*n^7+219*n^8+69*n^9+9*n^10)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^3-8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))-(56*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(3),n))/3+16*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,1),n) );

L   Pps2cf2nfz3
  = CF^2*NF*z3*( 48*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n) );

L   Pqg0
  = NF*( -2*(2+n+n^2)*den(n)*den(1+n)*den(2+n) );

L   Pqg1canf
  = CA*NF*( -4*(16+48*n+56*n^2+52*n^3+25*n^4+23*n^5+14*n^6+5*n^7+n^8)*den(-1+n)*den(n)^3*den(1+n)^2*den(2+n)^3+16*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*(-1)^n+8*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)-16*(3+2*n)*den(1+n)^2*den(2+n)^2*S(R(1),n)+4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2+4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n) );

L   Pqg1cfnf
  = CF*NF*( -2*(4+8*n+25*n^2+51*n^3+36*n^4+15*n^5+5*n^6)*den(n)^3*den(1+n)^3*den(2+n)+8*den(n)^2*S(R(1),n)-4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2+4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n) );

L   Pqg2canf2
  = CA*NF^2*( (2*(1152+7296*n+19904*n^2+30864*n^3+25512*n^4+4616*n^5-11780*n^6-7723*n^7+5333*n^8+9398*n^9+5362*n^10+1485*n^11+165*n^12)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^4)/27-(16*(16+107*n+166*n^2+117*n^3+43*n^4+7*n^5)*den(1+n)^4*den(2+n)^4*(-1)^n)/9+(16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3),n))/3-(16*(10+8*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n))/9-(8*(20+49*n+41*n^2+20*n^3+5*n^4)*den(n)*den(1+n)^2*den(2+n)^2*S(R(1),n)^2)/9+(4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^3)/9-(8*(20+43*n+47*n^2+26*n^3+5*n^4)*den(n)*den(1+n)^2*den(2+n)^2*S(R(2),n))/9+S(R(1),n)*((8*(152+712*n+1362*n^2+1153*n^3+492*n^4+124*n^5+19*n^6)*den(n)*den(1+n)^3*den(2+n)^3)/27-(4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/3)+(8*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/9+(16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))/3 );

L   Pqg2cfnf2
  = CF*NF^2*( ((-27648-122112*n-269760*n^2-455168*n^3-586928*n^4-479472*n^5-267524*n^6-95592*n^7+32283*n^8+72446*n^9+46649*n^10+17916*n^11+4925*n^12+990*n^13+99*n^14)*den(-1+n)*den(n)^5*den(1+n)^5*den(2+n)^4)/54+(4*(6+29*n+13*n^2+10*n^3)*den(n)^2*den(1+n)*den(2+n)*S(R(1),n)^2)/9-(4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^3)/9+(4*(2+3*n+5*n^2)*den(n)^2*den(1+n)*den(2+n)*S(R(2),n))/3+S(R(1),n)*((-4*(120+412*n+426*n^2+145*n^3+47*n^4)*den(n)^2*den(1+n)^2*den(2+n))/27-(4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/3)+(40*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/9 );

L   Pqg2ca2nf
  = CA^2*NF*( (-2*(27648+160128*n+449664*n^2+932960*n^3+1682560*n^4+2463856*n^5+2446192*n^6+1259534*n^7-59212*n^8-651563*n^9-739675*n^10-556069*n^11-223921*n^12-10229*n^13+25363*n^14+8151*n^15+741*n^16)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^5)/27+24*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-4),n)-24*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)^2-(2*(48+28*n+268*n^2-13*n^3-87*n^4+33*n^5+11*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(1),n)^3)/9-(4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^4)/3+S(R(-3),n)*((-8*(-108-176*n-263*n^2-247*n^3-114*n^4+33*n^5+11*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2)/3-128*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))+(4*(-432-1368*n+176*n^2+1518*n^3+1251*n^4-490*n^5-536*n^6+857*n^7+1040*n^8+491*n^9+85*n^10)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^3*S(R(2),n))/9-4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n)^2+S(R(1),n)^2*((4*(-432-648*n+608*n^2+1078*n^3-205*n^4-405*n^5+505*n^6+478*n^7+250*n^8+67*n^9)*den(-1+n)^2*den(n)^3*den(1+n)^2*den(2+n)^3)/9-40*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))+S(R(-2),n)*((8*(648+2916*n+3802*n^2+2191*n^3+1165*n^4+1841*n^5+2410*n^6+1616*n^7+597*n^8+94*n^9)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3)/9-16*(-12+4*n+13*n^2-32*n^3-23*n^4+2*n^5)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(1),n)-48*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2+80*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))+(-1)^n*((-8*(1536+14848*n+63360*n^2+163106*n^3+258308*n^4+262979*n^5+191350*n^6+119176*n^7+68575*n^8+30120*n^9+7757*n^10+837*n^11)*den(-1+n)*den(n)^3*den(1+n)^5*den(2+n)^5)/9-96*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(-2),n)+(64*(16+96*n+260*n^2+313*n^3+261*n^4+193*n^5+110*n^6+40*n^7+7*n^8)*den(-1+n)*den(n)^2*den(1+n)^4*den(2+n)^4*S(R(1),n))/3-32*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n)^2-32*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(2),n))-(4*(-996-872*n-1001*n^2-751*n^3-456*n^4+33*n^5+11*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(3),n))/9-8*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(4),n)+128*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,1),n)-16*(4-4*n+9*n^2+54*n^3+33*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(-2,1),n)-112*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n)-(8*(2+n+n^2)*(24+2*n+13*n^2+22*n^3+11*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2,1),n))/3+S(R(1),n)*((-2*(-2592-864*n-18864*n^2-66848*n^3-82770*n^4-82906*n^5-135872*n^6-131260*n^7-29673*n^8+48791*n^9+45984*n^10+17260*n^11+3683*n^12+475*n^13)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^4)/27+(2*(144+172*n-164*n^2+371*n^3+345*n^4-15*n^5+11*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2),n))/3-(176*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3+128*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n)+32*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))-32*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,1),n)-192*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1),n) );

L   Pqg2ca2nfz3
  = CA^2*NF*z3*( 24*(-2+n)*(3+n)*(4+4*n+7*n^2+6*n^3+3*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2+48*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n) );

L   Pqg2cacfnf
  = CA*CF*NF*( (den(-1+n)*den(n)^5*den(1+n)^5*den(2+n)^5*(-110592-769536*n-2714496*n^2-6885952*n^3-13294752*n^4-20274800*n^5-25503304*n^6-25515788*n^7-19295526*n^8-11110175*n^9-5110704*n^10-1891921*n^11-526814*n^12-104497*n^13-15012*n^14-1251*n^15-864*(-1+n)*n^5*(1070+4542*n+8044*n^2+7710*n^3+4310*n^4+1403*n^5+248*n^6+19*n^7)*(-1)^n))/108+56*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-4),n)+8*(8-6*n-5*n^2+8*n^3+3*n^4)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-3),n)+24*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)^2+(4*(84+140*n+137*n^2-122*n^3-117*n^4+12*n^5+10*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(1),n)^3)/9+(8*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^4)/3+(2*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*(384+1816*n+2900*n^2+2690*n^3+1999*n^4+1184*n^5+484*n^6+190*n^7+125*n^8+36*n^9-48*(-1+n)*n^3*(5+7*n+4*n^2+n^3)*(-1)^n)*S(R(2),n))/3-16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n)^2+S(R(-2),n)*(-8*den(n)^3*den(1+n)^3*den(2+n)^3*((1+n)*(48-40*n-204*n^2-310*n^3-168*n^4-19*n^5+3*n^6)-12*n^3*(5+7*n+4*n^2+n^3)*(-1)^n)+32*(-2-14*n-13*n^2+n^3)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)+48*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2+16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))+S(R(1),n)^2*((-2*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*(1152+3768*n+5204*n^2+6698*n^3+4199*n^4+1912*n^5+1568*n^6+538*n^7+9*n^8+8*n^9-144*(-1+n)*n^3*(5+7*n+4*n^2+n^3)*(-1)^n))/9+40*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))-(4*(624-76*n+272*n^2+967*n^3+477*n^4+21*n^5+19*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(3),n))/9-32*(4-6*n-7*n^2+n^3)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1),n)-16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n)+24*(2+n+n^2)^2*den(-1+n)*den(n)*den(1+n)*den(2+n)^2*S(R(2,1),n)+S(R(1),n)*((4*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^4*((2+n)*(5184+25488*n+51432*n^2+46556*n^3+26914*n^4+28834*n^5+33624*n^6+26961*n^7+19197*n^8+11113*n^9+3725*n^10+476*n^11)+108*(-1+n)*n^4*(1+n)*(130+267*n+211*n^2+78*n^3+12*n^4)*(-1)^n))/27+(4*(84+128*n-259*n^2-335*n^3-72*n^4+21*n^5+n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2),n))/3+(160*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3-96*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))+16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,1),n)-64*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1),n)+48*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,1),n) );

L   Pqg2cacfnfz3
  = CA*CF*NF*z3*( -48*(-16-14*n^2-25*n^3-5*n^4+9*n^5+3*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2-48*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n) );

L   Pqg2cf2nf
  = CF^2*NF*( -((2048+13824*n+51072*n^2+125120*n^3+203616*n^4+254352*n^5+334904*n^6+428596*n^7+396242*n^8+234833*n^9+85521*n^10+17962*n^11+1856*n^12+65*n^13+5*n^14)*den(n)^5*den(1+n)^5*den(2+n)^5)/4-48*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-4),n)-16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)^2+(-1)^n*(16*(518+2568*n+5079*n^2+5365*n^3+3329*n^4+1230*n^5+254*n^6+23*n^7)*den(1+n)^5*den(2+n)^5-64*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(-2),n))-2*(40+122*n+171*n^2+149*n^3+77*n^4+43*n^5+14*n^6)*den(n)^3*den(1+n)^3*den(2+n)*S(R(1),n)^2-(2*(-20-52*n-37*n^2-6*n^3+3*n^4)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^3)/3-(4*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^4)/3+S(R(-3),n)*(-32*(-1+n)*den(1+n)^2*den(2+n)-64*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))+S(R(-2),n)*(16*(32+56*n+28*n^2+22*n^3+39*n^4+52*n^5+39*n^6+14*n^7+2*n^8)*den(n)^3*den(1+n)^3*den(2+n)^3-64*(2-n+n^2)*den(n)^2*den(1+n)*den(2+n)*S(R(1),n))+2*(24+54*n+109*n^2+227*n^3+179*n^4+93*n^5+26*n^6)*den(n)^3*den(1+n)^3*den(2+n)*S(R(2),n)-12*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n)^2-(4*(4+8*n-13*n^2+30*n^3+3*n^4)*den(n)^2*den(1+n)^2*den(2+n)*S(R(3),n))/3-40*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(4),n)+64*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,1),n)+64*(2-n+n^2)*den(n)^2*den(1+n)*den(2+n)*S(R(-2,1),n)-32*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n)-32*(2+n+n^2)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,1),n)+S(R(1),n)*(-2*(-56-216*n-354*n^2-442*n^3-502*n^4-297*n^5-33*n^6+43*n^7+17*n^8)*den(n)^4*den(1+n)^4*den(2+n)-2*(12+60*n+67*n^2+34*n^3+3*n^4)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n)-(176*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3+64*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))+16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,1),n)-48*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,1),n) );

L   Pqg2cf2nfz3
  = CF^2*NF*z3*( 24*(-1+n)*(-2+3*n+3*n^2)*den(n)^2*den(1+n)^2 );

L   Pgq0
  = CF*( -2*(2+n+n^2)*den(-1+n)*den(n)*den(1+n) );

L   Pgq1cf2
  = CF^2*( 2*(-4-12*n-n^2+28*n^3+43*n^4+30*n^5+12*n^6)*den(-1+n)*den(n)^3*den(1+n)^3-4*(10+17*n+8*n^2+5*n^3)*den(-1+n)*den(n)*den(1+n)^2*S(R(1),n)+4*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^2+4*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n) );

L   Pgq1cacf
  = CA*CF*( (-4*(144+432*n-152*n^2-900*n^3-275*n^4+592*n^5+834*n^6+512*n^7+109*n^8)*den(-1+n)^2*den(n)^3*den(1+n)^2*den(2+n)^2)/9-8*(2+6*n+5*n^2+3*n^3)*den(-1+n)*den(n)^2*den(1+n)^3*(-1)^n+8*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-2),n)+(4*(-12-22*n+41*n^2+17*n^4)*den(-1+n)^2*den(n)^2*den(1+n)*S(R(1),n))/3-4*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^2+4*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n) );

L   Pgq1cfnf
  = CF*NF*( (8*(16+27*n+13*n^2+8*n^3)*den(-1+n)*den(n)*den(1+n)^2)/9-(8*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n))/3 );

L   Pgq2cf3
  = CF^3*( -((128+576*n+1368*n^2+2540*n^3+2442*n^4+903*n^5-2225*n^6-5578*n^7-2180*n^8+791*n^9+211*n^10)*den(-1+n)*den(n)^5*den(1+n)^5)/4-48*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-4),n)-48*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-2),n)^2+(-1)^n*(-16*(2-2*n-33*n^2-65*n^3-76*n^4-29*n^5+62*n^6+45*n^7)*den(-1+n)*den(n)^4*den(1+n)^5+96*(2+6*n+5*n^2+3*n^3)*den(-1+n)*den(n)^2*den(1+n)^3*S(R(-2),n))+(2*(-4+52*n+91*n^2+42*n^3+27*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*S(R(1),n)^3)/3-(4*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^4)/3+S(R(-3),n)*(32*(6+8*n+n^2+n^3)*den(-1+n)*den(n)*den(1+n)^2-64*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n))+S(R(-2),n)*(16*(16+6*n-17*n^2-14*n^3-7*n^4+6*n^5+2*n^6)*den(-1+n)*den(n)^3*den(1+n)^3+64*(-2+7*n+n^3)*den(-1+n)*den(n)^2*den(1+n)*S(R(1),n))-(-24-24*n+184*n^2+523*n^3+563*n^4+333*n^5+125*n^6)*den(-1+n)*den(n)^3*den(1+n)^3*S(R(2),n)-12*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n)^2+S(R(1),n)^2*(-((-24-88*n-88*n^2+11*n^3+83*n^4+29*n^5+29*n^6)*den(-1+n)*den(n)^3*den(1+n)^3)-16*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n))+(32*(-8+20*n+29*n^2+9*n^3+6*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*S(R(3),n))/3-24*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(4),n)+64*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-3,1),n)-64*(-2+7*n+n^3)*den(-1+n)*den(n)^2*den(1+n)*S(R(-2,1),n)-32*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2,-2),n)-8*(2+n+n^2)*(-2+3*n+3*n^2)*den(-1+n)*den(n)^2*den(1+n)^2*S(R(2,1),n)+S(R(1),n)*(2*(24+40*n-130*n^2-246*n^3+29*n^4+161*n^5+95*n^6+25*n^7+18*n^8)*den(-1+n)*den(n)^4*den(1+n)^4+2*(-4+116*n+195*n^2+98*n^3+59*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*S(R(2),n)+(64*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(3),n))/3-32*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2,1),n))-80*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(3,1),n)+48*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2,1,1),n) );

L   Pgq2cf3z3
  = CF^3*z3*( 48*(4+3*n^2+6*n^3+3*n^4)*den(-1+n)*den(n)^2*den(1+n)^2-96*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n) );

L   Pgq2ca2cf
  = CA^2*CF*( (-2*(27648+101376*n+133440*n^2+323744*n^3+1279408*n^4+2475664*n^5+1940236*n^6-448222*n^7-2125615*n^8-1716500*n^9-317887*n^10+735125*n^11+1005590*n^12+701326*n^13+290677*n^14+66543*n^15+6423*n^16)*den(-1+n)^3*den(n)^5*den(1+n)^5*den(2+n)^4)/27+24*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-4),n)-8*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-2),n)^2+(2*(-192-508*n-28*n^2+547*n^3+393*n^4+273*n^5+91*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^3)/9-(4*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^4)/3+S(R(-3),n)*((-8*(-132-256*n-295*n^2-134*n^3-15*n^4+84*n^5+28*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n))/3-96*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n))+((-1152-3376*n+568*n^2+8144*n^3+8634*n^4+1141*n^5-2375*n^6-338*n^7+1288*n^8+1053*n^9+237*n^10)*den(-1+n)^3*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2),n))/3-20*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n)^2+S(R(1),n)^2*(-((1152+5328*n+6488*n^2-8688*n^3-13542*n^4+3881*n^5+16153*n^6+13886*n^7+10256*n^8+5465*n^9+1093*n^10)*den(-1+n)^3*den(n)^3*den(1+n)^3*den(2+n)^2)/9+24*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n))+S(R(-2),n)*((4*(432+1544*n+756*n^2-1854*n^3-1968*n^4+1003*n^5+2944*n^6+2494*n^7+1088*n^8+185*n^9)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2)/3-(16*(-132-160*n-13*n^2+175*n^3+144*n^4+99*n^5+31*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n))/3+48*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^2+80*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n))+(-1)^n*((4*(2112+6848*n-11200*n^2-94272*n^3-213468*n^4-241572*n^5-125370*n^6+14352*n^7+61121*n^8+37954*n^9+11804*n^10+2022*n^11+165*n^12)*den(-1+n)^2*den(n)^4*den(1+n)^5*den(2+n)^4)/3+16*(2+6*n+5*n^2+3*n^3)*den(-1+n)*den(n)^2*den(1+n)^3*S(R(-2),n)-(16*(384+1080*n+324*n^2-1858*n^3-2997*n^4-1844*n^5-369*n^6+68*n^7+28*n^8)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^3*S(R(1),n))/3-16*(2+6*n+5*n^2+3*n^3)*den(-1+n)*den(n)^2*den(1+n)^3*S(R(1),n)^2+16*(2+6*n+5*n^2+3*n^3)*den(-1+n)*den(n)^2*den(1+n)^3*S(R(2),n))-(4*(-708-1100*n-725*n^2+458*n^3+651*n^4+636*n^5+212*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(3),n))/9-8*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(4),n)+128*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-3,1),n)+(16*(-36-68*n-59*n^2-49*n^3+51*n^5+17*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1),n))/3+S(R(1),n)*((2*(-11232-91296*n-123504*n^2+224672*n^3+584658*n^4+212002*n^5-448666*n^6-431552*n^7+68841*n^8+324067*n^9+264354*n^10+130688*n^11+38581*n^12+4883*n^13)*den(-1+n)^3*den(n)^4*den(1+n)^4*den(2+n)^3)/27-(2*(-96-460*n+20*n^2+739*n^3+513*n^4+321*n^5+115*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))/3+(64*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(3),n))/3+64*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-2,1),n))-112*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2,-2),n)-32*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(3,1),n)-192*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-2,1,1),n) );

L   Pgq2ca2cfz3
  = CA^2*CF*z3*( 24*(4+3*n^2+6*n^3+3*n^4)*den(-1+n)*den(n)^2*den(1+n)^2-48*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n) );

L   Pgq2cacf2
  = CA*CF^2*( ((-55296-398592*n-867648*n^2-357056*n^3+1206544*n^4+993840*n^5-1736156*n^6-3885636*n^7-4208289*n^8-2664274*n^9+60689*n^10+1518000*n^11+1080641*n^12+319926*n^13+35355*n^14)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^3)/108+56*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-4),n)+40*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-2),n)^2-(4*(-84-416*n-215*n^2+362*n^3+315*n^4+240*n^5+86*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^3)/9+(8*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^4)/3+S(R(-3),n)*(16*(6-5*n-4*n^2+5*n^3+2*n^4)*den(-1+n)*den(n)^2*den(1+n)^2-32*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n))+(2*(-144-1296*n-7792*n^2-16264*n^3-7831*n^4+9961*n^5+16886*n^6+13006*n^7+5505*n^8+929*n^9)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2),n))/9+S(R(1),n)^2*((2*(1008+912*n-5440*n^2-8032*n^3+3677*n^4+14773*n^5+13736*n^6+8668*n^7+3723*n^8+671*n^9)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2)/9-8*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n))+S(R(-2),n)*(-4*(56-8*n-88*n^2-55*n^3+41*n^4+87*n^5+31*n^6)*den(-1+n)*den(n)^3*den(1+n)^3+16*(12-6*n+n^2+12*n^3+5*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*S(R(1),n)-48*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^2+16*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n))+(-1)^n*(4*(-12-72*n-172*n^2-200*n^3-297*n^4-165*n^5+223*n^6+183*n^7)*den(-1+n)*den(n)^4*den(1+n)^5-80*(2+6*n+5*n^2+3*n^3)*den(-1+n)*den(n)^2*den(1+n)^3*S(R(-2),n)-32*(3+12*n+18*n^2+10*n^3+5*n^4)*den(-1+n)*den(n)^2*den(1+n)^4*S(R(1),n)+16*(2+6*n+5*n^2+3*n^3)*den(-1+n)*den(n)^2*den(1+n)^3*S(R(1),n)^2+16*(2+6*n+5*n^2+3*n^3)*den(-1+n)*den(n)^2*den(1+n)^3*S(R(2),n))-(4*(696-964*n-814*n^2+559*n^3+243*n^4-15*n^5+7*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(3),n))/9-16*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(4),n)-16*(-3+n)*(-4+4*n+7*n^2+n^3)*den(-1+n)*den(n)^2*den(1+n)^2*S(R(-2,1),n)-16*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2,-2),n)+(8*(2+n+n^2)*(-6+11*n+11*n^2)*den(-1+n)*den(n)^2*den(1+n)^2*S(R(2,1),n))/3+S(R(1),n)*((-2*(27072+108960*n+57184*n^2-309512*n^3-586536*n^4-325748*n^5+149421*n^6+343803*n^7+269120*n^8+130820*n^9+37515*n^10+4589*n^11)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^3)/27-(4*(-132-292*n+173*n^2+349*n^3+252*n^4+177*n^5+49*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))/3-(320*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(3),n))/3+64*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-2,1),n)+32*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2,1),n))+112*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(3,1),n)-64*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-2,1,1),n)-48*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2,1,1),n) );

L   Pgq2cacf2z3
  = CA*CF^2*z3*( -72*(4+3*n^2+6*n^3+3*n^4)*den(-1+n)*den(n)^2*den(1+n)^2+144*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n) );

L   Pgq2cf2nf
  = CF^2*NF*( ((-27648-122112*n-276672*n^2-562880*n^3-976400*n^4-1191312*n^5-910532*n^6-136068*n^7+526437*n^8+585194*n^9+320915*n^10+113832*n^11+27035*n^12+3522*n^13+129*n^14)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^3)/54-(16*(-344-1644*n-3394*n^2-2429*n^3+453*n^4+1411*n^5+653*n^6+106*n^7+4*n^8)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^3*(-1)^n)/9-64*(2+n+n^2)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2),n)-(4*(-6+113*n+192*n^2+95*n^3+58*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*S(R(1),n)^2)/9+(20*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^3)/9-(4*(18+185*n+294*n^2+155*n^3+88*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*S(R(2),n))/9+S(R(1),n)*((16*(-18-78*n+23*n^2+320*n^3+374*n^4+171*n^5+88*n^6)*den(-1+n)*den(n)^3*den(1+n)^3)/27+(52*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n))/3)+(64*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(3),n))/9-(16*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2,1),n))/3 );

L   Pgq2cf2nfz3
  = CF^2*NF*z3*( -32*(2+n+n^2)*den(-1+n)*den(n)*den(1+n) );


L   Pgq2cacfnf
  = CA*CF*NF*( (2*(1152+18240*n+77984*n^2+145680*n^3+124920*n^4+5012*n^5-58634*n^6+6809*n^7+77813*n^8+77198*n^9+40816*n^10+12021*n^11+1485*n^12)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^3)/27+(32*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-3),n))/3+(8*(-54-167*n-26*n^2+167*n^3+132*n^4+96*n^5+32*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^2)/9-(20*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^3)/9+S(R(-2),n)*((-8*(-40-72*n-76*n^2+39*n^3+51*n^4+37*n^5+13*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n))/3+(64*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n))/3)+(-1)^n*((8*(-192-1616*n-4872*n^2-7048*n^3-2846*n^4+3420*n^5+4747*n^6+2495*n^7+655*n^8+73*n^9)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^3)/9-(32*(2+6*n+5*n^2+3*n^3)*den(-1+n)*den(n)^2*den(1+n)^3*S(R(1),n))/3)-(8*(10+5*n-20*n^2-7*n^3-n^4+n^6)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))/3+S(R(1),n)*((-4*(576-336*n-7400*n^2-10784*n^3+2050*n^4+15401*n^5+15625*n^6+10139*n^7+4233*n^8+736*n^9)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2)/27+(20*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n))/3)+(128*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(3),n))/9-(32*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(-2,1),n))/3 );


L   Pgq2cacfnfz3
  = CA*CF*NF*z3*( 32*(2+n+n^2)*den(-1+n)*den(n)*den(1+n) );

L   Pgq2cfnf2
  = CF*NF^2*( (-8*(8+25*n+23*n^2+4*n^3+4*n^4)*den(-1+n)*den(n)*den(1+n)^3)/9+(8*(16+27*n+13*n^2+8*n^3)*den(-1+n)*den(n)*den(1+n)^2*S(R(1),n))/9-(4*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(1),n)^2)/3-(4*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)*S(R(2),n))/3 );

L   Pgg0
  = CA*( 
-((24+2*n+13*n^2+22*n^3+11*n^4)*den(-1+n)*den(n)*den(1+n)*den(2+n))/3+4*S(R(1),n) )+2/3*NF;

L   Pgg1ca2
  = CA^2*( (-2*(576+1488*n+1088*n^2-536*n^3-848*n^4+711*n^5+2075*n^6+1949*n^7+937*n^8+288*n^9+48*n^10)*den(-1+n)^2*den(n)^3*den(1+n)^2*den(2+n)^3)/9-16*(8+36*n+61*n^2+61*n^3+36*n^4+12*n^5+2*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*(-1)^n-8*S(R(-3),n)+S(R(-2),n)*(32*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)-16*S(R(1),n))+S(R(1),n)*((4*(-144-144*n+772*n^2+844*n^3-109*n^4-392*n^5+134*n^6+268*n^7+67*n^8)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)^2)/9-16*S(R(2),n))+32*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(2),n)-8*S(R(3),n)+16*S(R(-2,1),n) );

L   Pgg1canf
  = CA*NF*( (8*(6+28*n+41*n^2+29*n^3+22*n^4+9*n^5+3*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n))/9-(40*S(R(1),n))/9 );

L   Pgg1cfnf
  = CF*NF*( 2*(-8-8*n-10*n^2-22*n^3-3*n^4+6*n^5+8*n^6+4*n^7+n^8)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n) );

L   Pgg2ca3
  = CA^3*( -((221184+580608*n+607488*n^2+4092416*n^3+16271424*n^4+26556192*n^5+15373408*n^6-9994464*n^7-21101724*n^8-11595602*n^9+2338803*n^10+9821346*n^11+10189586*n^12+6565518*n^13+2809320*n^14+815334*n^15+169146*n^16+25596*n^17+2133*n^18)*den(-1+n)^3*den(n)^5*den(1+n)^5*den(2+n)^5)/54-96*S(R(-5),n)+S(R(-4),n)*(128*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)-64*S(R(1),n))+S(R(-2),n)^2*((-8*(24+2*n+13*n^2+22*n^3+11*n^4)*den(-1+n)*den(n)*den(1+n)*den(2+n))/3+32*S(R(1),n))+S(R(-3),n)*((-16*(-360-756*n-686*n^2-506*n^3-865*n^4-518*n^5+116*n^6+268*n^7+67*n^8)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)^2)/9-768*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(1),n)+192*S(R(1),n)^2-352*S(R(2),n))-128*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(2),n)^2+(-1)^n*((8*(9216+34944*n-19296*n^2-347280*n^3-874448*n^4-1086992*n^5-691681*n^6-88842*n^7+222082*n^8+214784*n^9+110271*n^10+36586*n^11+7256*n^12+632*n^13)*den(-1+n)^2*den(n)^4*den(1+n)^5*den(2+n)^5)/9+64*(8+36*n+61*n^2+61*n^3+36*n^4+12*n^5+2*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(-2),n)-16*(256+976*n+784*n^2-1674*n^3-4445*n^4-4677*n^5-2295*n^6-51*n^7+496*n^8+226*n^9+36*n^10)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^4*S(R(1),n)+64*(8+36*n+61*n^2+61*n^3+36*n^4+12*n^5+2*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(2),n))-(16*(-288-516*n-56*n^2+334*n^3-295*n^4-338*n^5+176*n^6+268*n^7+67*n^8)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(3),n))/9-192*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(4),n)+32*S(R(5),n)-192*S(R(-4,1),n)+768*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(-3,1),n)+192*S(R(-3,2),n)+S(R(1),n)^2*(-128*(4+6*n-9*n^2-17*n^3+27*n^4+51*n^5+31*n^6+12*n^7+3*n^8)*den(-1+n)^3*den(n)^3*den(1+n)^3*den(2+n)^3+64*S(R(3),n)-128*S(R(-2,1),n))+(32*(-72-180*n+178*n^2+70*n^3-577*n^4-518*n^5+116*n^6+268*n^7+67*n^8)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(-2,1),n))/9+S(R(2),n)*((-8*(1152+2640*n-1424*n^2-8320*n^3-8576*n^4+793*n^5+6176*n^6+892*n^7-4697*n^8-3511*n^9-698*n^10+18*n^11+3*n^12)*den(-1+n)^3*den(n)^3*den(1+n)^3*den(2+n)^3)/9+32*S(R(3),n)+320*S(R(-2,1),n))-640*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n)+S(R(-2),n)*((16*(864+1944*n+320*n^2-2060*n^3-1139*n^4+1812*n^5+3239*n^6+2048*n^7+424*n^8)*den(-1+n)^2*den(n)^3*den(1+n)^2*den(2+n)^3)/9+S(R(1),n)*((-32*(-360-306*n+547*n^2+736*n^3-118*n^4-338*n^5+152*n^6+268*n^7+67*n^8)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)^2)/9-192*S(R(2),n))+384*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(2),n)+256*S(R(3),n)-384*S(R(2,1),n))-192*S(R(3,-2),n)+384*S(R(-3,1,1),n)-1024*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1),n)+S(R(1),n)*((2*(-11520-58752*n-72064*n^2+88352*n^3+232192*n^4+89528*n^5-95596*n^6+6936*n^7+204481*n^8+196141*n^9+77417*n^10+29389*n^11+31147*n^12+21495*n^13+6615*n^14+735*n^15)*den(-1+n)^3*den(n)^4*den(1+n)^4*den(2+n)^4)/9-(32*(-144-144*n+772*n^2+844*n^3-109*n^4-392*n^5+134*n^6+268*n^7+67*n^8)*den(-1+n)^2*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2),n))/9+64*S(R(2),n)^2+(8*(-96-118*n-107*n^2+22*n^3+11*n^4)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3+96*S(R(4),n)-384*S(R(-3,1),n)+512*(1+n+n^2)*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n)+320*S(R(2,-2),n)+512*S(R(-2,1,1),n))+384*S(R(-2,2,1),n)+384*S(R(2,1,-2),n)-768*S(R(-2,1,1,1),n) );

L   Pgg2cf2nf
  = CF^2*NF*( -((1536+8064*n+20096*n^2+23072*n^3-17408*n^4-85000*n^5-128184*n^6-157322*n^7-172834*n^8-134597*n^9-64240*n^10-17061*n^11-1978*n^12+57*n^13+36*n^14+3*n^15)*den(-1+n)*den(n)^5*den(1+n)^5*den(2+n)^4)/3-(16*(64+448*n+1376*n^2+940*n^3-1164*n^4-736*n^5+2572*n^6+3893*n^7+2281*n^8+627*n^9+67*n^10)*den(-1+n)*den(n)^3*den(1+n)^5*den(2+n)^4*(-1)^n)/3-64*(2+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-3),n)+2*(2+n+n^2)*(4+20*n+25*n^2+10*n^3+5*n^4)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)*S(R(1),n)^2-(8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^3)/3+S(R(-2),n)*(-16*(-16-24*n-26*n^2-3*n^3+n^4+3*n^5+n^6)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)-128*(2+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n))-2*(2+n+n^2)*(-4+20*n+35*n^2+14*n^3+15*n^4)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)*S(R(2),n)+S(R(1),n)*(-8*(-8-12*n+44*n^2+118*n^3+114*n^4+73*n^5+35*n^6+11*n^7+n^8)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)+8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))+(8*(2+n+n^2)*(-10+7*n+7*n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(3),n))/3+128*(2+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1),n)-16*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,1),n) );

L   Pgg2cf2nfz3
  = CF^2*NF*z3*( -48*(2+n+n^2)*den(n)^2*den(1+n)^2 );

L   Pgg2ca2nf
  = CA^2*NF*( ((27648+188928*n+674560*n^2+1625920*n^3+2990384*n^4+3349488*n^5+1541656*n^6-195572*n^7+259043*n^8+1345541*n^9+1334203*n^10+683469*n^11+218513*n^12+48311*n^13+7689*n^14+699*n^15)*den(-1+n)^2*den(n)^4*den(1+n)^5*den(2+n)^4)/54+(8*(-108-72*n-121*n^2-78*n^3+11*n^4+60*n^5+20*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-3),n))/9+(16*S(R(-2),n)^2)/3+S(R(-2),n)*((-8*(360+108*n-586*n^2-1483*n^3-848*n^4+239*n^5+691*n^6+524*n^7+131*n^8)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2)/9+(16*(-108-36*n-85*n^2-78*n^3+11*n^4+60*n^5+20*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n))/9)+(-1)^n*((-8*(-192+864*n+9504*n^2+33632*n^3+46174*n^4+13184*n^5-29200*n^6-31715*n^7-11374*n^8-418*n^9+568*n^10+77*n^11)*den(-1+n)^2*den(n)^3*den(1+n)^5*den(2+n)^4)/9-(32*(8+36*n+45*n^2+53*n^3+48*n^4+22*n^5+4*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(1),n))/3)+(8*(-24-152*n-274*n^2-241*n^3-113*n^4+9*n^5+3*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))/9+S(R(1),n)*((-2*(-2592-9504*n-25200*n^2-32856*n^3+3578*n^4+90244*n^5+138853*n^6+97073*n^7+37446*n^8+16218*n^9+14995*n^10+10127*n^11+3344*n^12+418*n^13)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^3)/27+(320*S(R(2),n))/9-(16*S(R(3),n))/3)+(4*(54+33*n+73*n^2+80*n^3+40*n^4)*den(n)^2*den(1+n)^2*S(R(3),n))/9-(16*(-108-72*n-121*n^2-78*n^3+11*n^4+60*n^5+20*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1),n))/9 );

L   Pgg2ca2nfz3
  = CA^2*NF*z3*( 32*(6+5*n+7*n^2+4*n^3+2*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)-32*S(R(1),n) );

L   Pgg2cacfnf
  = CA*CF*NF*( ((-110592-486144*n-955776*n^2-1267840*n^3-1359360*n^4-1993888*n^5-2518296*n^6-1326512*n^7-102056*n^8-464909*n^9-849783*n^10-390821*n^11+54201*n^12+109169*n^13+41771*n^14+7953*n^15+723*n^16)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^4)/54+48*(2+n+n^2)*(4+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-3),n)-(2*(2+n+n^2)*(-24-80*n-32*n^2+113*n^3+99*n^4+51*n^5+17*n^6)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(1),n)^2)/3+(8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^3)/3+S(R(-2),n)*(-16*(-32-12*n+4*n^2+81*n^3+28*n^4+n^5+13*n^6+10*n^7+3*n^8)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2+32*(16+6*n+7*n^2+2*n^3+n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n))+(-1)^n*((16*(96+1472*n+6960*n^2+23414*n^3+29846*n^4+3704*n^5-22998*n^6-17471*n^7-420*n^8+4408*n^9+1852*n^10+241*n^11)*den(-1+n)^2*den(n)^3*den(1+n)^5*den(2+n)^4)/9+(64*(8+36*n+45*n^2+53*n^3+48*n^4+22*n^5+4*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(1),n))/3)-2*(112+184*n+40*n^2-74*n^3-375*n^4-358*n^5-108*n^6+3*n^8)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2),n)+S(R(1),n)*((-2*(3456+11328*n+17600*n^2+12864*n^3-3104*n^4-26256*n^5-28918*n^6-18587*n^7-12996*n^8-4901*n^9+2914*n^10+3643*n^11+1320*n^12+165*n^13)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^3)/9-8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))-(8*(-34+n+n^2)*(2+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(3),n))/3-32*(2+n+n^2)*(8+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1),n)+16*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,1),n) );

L   Pgg2cacfnfz3
  = CA*CF*NF*z3*( -16*(4+n+n^2)*(6+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)+32*S(R(1),n) );

L   Pgg2canf2
  = CA*NF^2*( -((192+1088*n+2632*n^2+3414*n^3+2609*n^4+1326*n^5+848*n^6+348*n^7+87*n^8)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n))/54-(2*(-96-210*n-253*n^2-78*n^3-19*n^4+24*n^5+8*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n))/27 );

L   Pgg2cfnf2
  = CF*NF^2*( -((-288-2112*n-5960*n^2-9624*n^3-11074*n^4-8783*n^5-3287*n^6-542*n^7+256*n^8+165*n^9+33*n^10)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n))/27+(8*(-24-56*n-100*n^2-129*n^3-50*n^4+3*n^5+4*n^6)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)*S(R(1),n))/9+(4*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^2)/3-4*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n) );

L   C2ps2cfnf
  = CF*NF*( (2*(240+1104*n+2584*n^2+4288*n^3+4767*n^4+3331*n^5+1699*n^6+797*n^7+307*n^8+74*n^9+9*n^10)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^3)/3-(16*(8+36*n+45*n^2+53*n^3+48*n^4+22*n^5+4*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*(-1)^n)/3+32*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)+4*(-16-48*n-76*n^2-92*n^3-58*n^4-15*n^5+n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(1),n)+2*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^2-2*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n) );

L   C2ps3cf2nf
  = CF^2*NF*( (-2*(419904000+2916000000*n+8712230400*n^2+13560099840*n^3+7284465216*n^4-14690077344*n^5-37090808064*n^6-34210639824*n^7+521882962*n^8+38423319121*n^9+39894398150*n^10+5958915895*n^11-20104612790*n^12-15291547902*n^13+98225034*n^14+5136161766*n^15+2169134054*n^16-253720699*n^17-464051878*n^18-130604517*n^19-632482*n^20+6976184*n^21+1432118*n^22+95400*n^23)*den(-2+n)*den(-1+n)^3*den(n)^6*den(1+n)^6*den(2+n)^5*den(3+n)^4)/675-64*den(n)^2*den(1+n)^2*S(R(-4),n)+(8*(-176-384*n-348*n^2-288*n^3-28*n^4+147*n^5+94*n^6+23*n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(1),n)^3)/9+(22*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^4)/9+S(R(-3),n)*(32*(144+168*n+100*n^2-246*n^3-214*n^4-35*n^5+16*n^6+24*n^7+10*n^8+n^9)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*den(3+n)+64*(6+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n))-(2*(1888+7920*n+14976*n^2+17856*n^3+14074*n^4+6265*n^5+1776*n^6+1090*n^7+608*n^8+117*n^9+6*n^10)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^3*S(R(2),n))/3+(34*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n)^2)/3+S(R(-2),n)*(16*(-1152-2784*n-2288*n^2-1040*n^3+520*n^4+446*n^5+519*n^6+333*n^7-182*n^8-100*n^9+23*n^10+9*n^11)*den(-2+n)^2*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^2*den(3+n)-16*(576+432*n+464*n^2+408*n^3-148*n^4-165*n^5-9*n^6+9*n^7+n^8)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n)-64*(4+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^2-320*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(2),n))+S(R(1),n)^2*((2*(2400+9040*n+15136*n^2+15536*n^3+8762*n^4-849*n^5-2690*n^6+856*n^7+1814*n^8+745*n^9+114*n^10)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^3)/3-(56*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))/3)+(-1)^n*((-16*(-9331200-91290240*n-352325376*n^2-645941088*n^3-496597248*n^4-109615848*n^5+1034047456*n^6+3202312910*n^7+2655575838*n^8-1878670545*n^9-4215388300*n^10-1398126758*n^11+1577534190*n^12+1412138631*n^13+124301924*n^14-314267594*n^15-148942154*n^16-7182007*n^17+14201816*n^18+5093650*n^19+747694*n^20+42329*n^21)*den(-2+n)^2*den(-1+n)^3*den(n)^4*den(1+n)^6*den(2+n)^5*den(3+n)^4)/675-(16*(-51840-292896*n-612576*n^2-3759816*n^3-6562296*n^4+1510832*n^5+12957248*n^6+9446914*n^7-3209301*n^8-7517763*n^9-3386265*n^10+153925*n^11+680233*n^12+264023*n^13+44829*n^14+2973*n^15)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^3*S(R(1),n))/45-(32*(8+36*n+45*n^2+53*n^3+48*n^4+22*n^5+4*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(1),n)^2)/3+(32*(8+36*n+45*n^2+53*n^3+48*n^4+22*n^5+4*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(2),n))/3)-(4*(-768+560*n+560*n^2+4416*n^3+2820*n^4+1309*n^5-1652*n^6-2698*n^7-744*n^8+37*n^9)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*den(3+n)*S(R(3),n))/9+(4*(-3336-188*n-178*n^2+231*n^3+67*n^4-135*n^5+19*n^6)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n))/3-512*(1+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-3,1),n)-128*(4+12*n+13*n^2+16*n^3+7*n^4)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(-2,1),n)+S(R(1),n)*((4*(-4302720-22006080*n-48388320*n^2-56758704*n^3-25303224*n^4+19146516*n^5+41166366*n^6+56547203*n^7+66608927*n^8+35385106*n^9-16176774*n^10-32946912*n^11-16588230*n^12-1268870*n^13+2209822*n^14+1085597*n^15+236151*n^16+25872*n^17+1170*n^18)*den(-2+n)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^4*den(3+n)^3)/45-(4*(-384-952*n-1060*n^2-1022*n^3-435*n^4+139*n^5+175*n^6+51*n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2),n))/3+(8*(-1896+580*n+278*n^2-273*n^3-173*n^4-159*n^5+43*n^6)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/9-128*den(n)^2*den(1+n)^2*S(R(-2,1),n))+128*(2+3*n+3*n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,-2),n)+(32*(16+36*n+52*n^2+73*n^3+33*n^4+2*n^5+3*n^6+n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2,1),n))/3-32*(-120+44*n+34*n^2-3*n^3-7*n^4-13*n^5+n^6)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n)+512*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1),n)-(16*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,1,1),n))/3 );

L   C2ps3cf2nfz3
  = CF^2*NF*z3*( (16*(2208+3664*n+2896*n^2+1192*n^3-1550*n^4-1159*n^5-140*n^6-154*n^7-54*n^8+9*n^9)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*den(3+n))/3-(64*(84-20*n-43*n^2-18*n^3-11*n^4-12*n^5+4*n^6)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n))/3 );

L   C2ps3cf2nfz4
  = CF^2*NF*z4*( 24*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n) );

L   C2ps3cacfnf
  = CA*CF*NF*( (4*(125971200+955048320*n+3183416640*n^2+6547887072*n^3+10120706352*n^4+12547455624*n^5+10392644172*n^6+121016906*n^7-15389962398*n^8-25914383594*n^9-21752340129*n^10-5039876377*n^11+9482823832*n^12+11288075926*n^13+4944784192*n^14-147631968*n^15-1228540610*n^16-592150094*n^17-101949469*n^18+14744823*n^19+10286480*n^20+1867634*n^21+123770*n^22)*den(-2+n)*den(-1+n)^3*den(n)^6*den(1+n)^6*den(2+n)^5*den(3+n)^3)/1215-(4*(188+8*n+61*n^2+106*n^3+53*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-4),n))/3-(8*(2+n+n^2)*(2+3*n+3*n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2),n)^2)/3-(4*(2+n+n^2)*(-228-340*n+377*n^2+532*n^3+558*n^4+246*n^5+7*n^6)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(1),n)^3)/27+(14*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^4)/9+S(R(-3),n)*((4*(496+1576*n+2252*n^2+1994*n^3-986*n^4-2063*n^5-883*n^6-119*n^7+37*n^8)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2)/3+(4*(4-64*n-n^2+126*n^3+63*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n))/3)-(2*(720+7584*n+25528*n^2+56568*n^3+98909*n^4+92004*n^5+33742*n^6+2651*n^7+2928*n^8+5141*n^9+3449*n^10+824*n^11)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^3*S(R(2),n))/27+(8*(2+n+n^2)*(5+2*n+2*n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n)^2)/3+S(R(1),n)^2*((2*(-792-3396*n+6310*n^2+34909*n^3+55890*n^4+50442*n^5+25207*n^6+6360*n^7-693*n^8-943*n^9+82*n^10)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2)/27-(40*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))/3)+S(R(-2),n)*((-4*(17856+92064*n+202464*n^2+205376*n^3+21132*n^4-165862*n^5-95520*n^6+40499*n^7+35954*n^8-2349*n^9-5308*n^10-855*n^11+110*n^12+39*n^13)*den(-2+n)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^3*den(3+n))/9-(8*(528-688*n-2088*n^2-2376*n^3-1643*n^4+693*n^5+993*n^6+106*n^7-121*n^8-15*n^9+3*n^10)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*den(3+n)*S(R(1),n))/3-(8*(-22+n+n^2)*(2+n+n^2)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^2)/3-(8*(-28-204*n-203*n^2+2*n^3+n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))/3)+(-1)^n*((4*(-8087040-90194688*n-420484608*n^2-1050973056*n^3-1419074528*n^4-573972304*n^5+1361561612*n^6+2671855426*n^7+1974034316*n^8+56512078*n^9-1178332803*n^10-1056400839*n^11-387841628*n^12+21561092*n^13+89949490*n^14+44339996*n^15+11500376*n^16+1692598*n^17+127005*n^18+3249*n^19)*den(-2+n)*den(-1+n)^3*den(n)^4*den(1+n)^6*den(2+n)^5*den(3+n)^3)/135+(16*(64+352*n+864*n^2+1060*n^3+730*n^4+299*n^5+76*n^6+11*n^7)*den(-1+n)*den(n)^2*den(1+n)^4*den(2+n)^3*S(R(-2),n))/9-(4*(3110400+28767744*n+110744064*n^2+244247184*n^3+278572624*n^4+84265492*n^5-169989752*n^6-232489906*n^7-122218951*n^8-14851778*n^9+18470195*n^10+12886280*n^11+4339103*n^12+879658*n^13+103549*n^14+5438*n^15)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^3*S(R(1),n))/135+(32*(88+484*n+1203*n^2+1474*n^3+997*n^4+395*n^5+97*n^6+14*n^7)*den(-1+n)*den(n)^2*den(1+n)^4*den(2+n)^3*S(R(1),n)^2)/9-(8*(224+1232*n+3204*n^2+3908*n^3+2474*n^4+853*n^5+176*n^6+25*n^7)*den(-1+n)*den(n)^2*den(1+n)^4*den(2+n)^3*S(R(2),n))/9)+(4*(-2448-2928*n+712*n^2-3632*n^3+19215*n^4+10779*n^5+1450*n^6-2682*n^7-3885*n^8-673*n^9+220*n^10)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*den(3+n)*S(R(3),n))/27-(2*(-3720+140*n+190*n^2+297*n^3+65*n^4-177*n^5+5*n^6)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n))/3+(32*(28+64*n+65*n^2+2*n^3+n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-3,1),n))/3-(8*(-176-504*n-644*n^2-734*n^3-464*n^4-187*n^5-26*n^6+15*n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(-2,1),n))/3+S(R(1),n)*((2*(18662400+120528000*n+419230080*n^2+1092813984*n^3+2241546624*n^4+3500331144*n^5+3647381224*n^6+1943155822*n^7-221709152*n^8-1078258811*n^9-727965811*n^10-216500948*n^11+7439920*n^12+43078730*n^13+27217178*n^14+10566878*n^15+2594104*n^16+362513*n^17+21865*n^18)*den(-2+n)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^4*den(3+n)^3)/405+(4*(-648-1180*n-150*n^2+897*n^3+2301*n^4+1826*n^5+754*n^6+221*n^7+11*n^8)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2),n))/9+(4*(264-2516*n-2326*n^2+129*n^3+301*n^4+399*n^5+37*n^6)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/9-(8*(60-112*n-87*n^2+50*n^3+25*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1),n))/3)+8*(-20-72*n-71*n^2+2*n^3+n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,-2),n)-(8*(80+200*n+248*n^2+274*n^3+125*n^4+7*n^5+7*n^6+3*n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2,1),n))/3-32*(-60-20*n+15*n^2+13*n^3+8*n^4)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n)+(32*(-4-88*n-83*n^2+10*n^3+5*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1,1),n))/3+(16*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,1,1),n))/3 );

L   C2ps3cacfnfz3
  = CA*CF*NF*z3*( (-8*(-5040+3696*n+20992*n^2+16444*n^3+5535*n^4-12210*n^5-5543*n^6+1572*n^7-27*n^8-142*n^9+67*n^10)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^2*den(3+n))/9-(8*(-600-428*n-382*n^2+3*n^3+67*n^4+117*n^5+7*n^6)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n))/3 );

L   C2ps3cacfnfz4
  = CA*CF*NF*z4*( -24*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n) );

L   C2ps3cfnf2
  = CF*NF^2*( (-8*(2682720+11761200*n+21312720*n^2+21785112*n^3+12615678*n^4+2229711*n^5+8680570*n^6+22139616*n^7+1049242*n^8-39896892*n^9-45865459*n^10-17979871*n^11+4382387*n^12+7940736*n^13+3904037*n^14+1021515*n^15+144217*n^16+8665*n^17)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^4*den(3+n)^3)/1215+(64*(-8640-49464*n-113040*n^2-136814*n^3-66060*n^4+116673*n^5+219584*n^6+105207*n^7-38886*n^8-57711*n^9-17864*n^10+2179*n^11+2678*n^12+634*n^13+52*n^14)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^4*den(3+n)^3*(-1)^n)/45+(256*den(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(-3),n))/3-(128*(72-36*n-38*n^2+15*n^3+5*n^4)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)*den(2+n)^2*den(3+n)*S(R(-2),n))/9+(4*(-168-580*n-970*n^2-1183*n^3-799*n^4-248*n^5-37*n^6+n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(1),n)^2)/27+(16*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^3)/27+(4*(-168-196*n+62*n^2+65*n^3+287*n^4+340*n^5+185*n^6+49*n^7)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2),n))/27+S(R(1),n)*((-8*(288-1248*n-7816*n^2-16036*n^3-20424*n^4-19173*n^5-10192*n^6-948*n^7+1824*n^8+973*n^9+176*n^10)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^3)/81-(8*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n))/9)-(40*(2+n+n^2)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)*S(R(3),n))/27 );

L   C2ps3cfnf2z3
  = CF*NF^2*z3*( (32*(4+40*n+41*n^2+2*n^3+n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n))/9 );

L   Clps2cfnf
  = CF*NF*( -16*(-4-12*n-5*n^2+2*n^3+2*n^4+n^5)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^2-16*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n) );

L   Clps3cf2nf
  = CF^2*NF*( (16*(-17496000-86780160*n-139564944*n^2+4994352*n^3+277752780*n^4+183460080*n^5-327037723*n^6-423736597*n^7+127710657*n^8+434942008*n^9+118587857*n^10-214215704*n^11-191253376*n^12-38610518*n^13+26218569*n^14+19610669*n^15+5682259*n^16+810110*n^17+46961*n^18)*den(-2+n)*den(-1+n)^3*den(n)^4*den(1+n)^5*den(2+n)^4*den(3+n)^4)/675+128*(-16+2*n+3*n^2+2*n^3+n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(-3),n)-8*(-32-36*n+36*n^2+47*n^3+30*n^4+11*n^5)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^2*S(R(1),n)^2-(16*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n)^3)/3+S(R(-2),n)*(128*(-40+4*n-2*n^2+37*n^3-10*n^5+2*n^6+n^7)*den(-2+n)^2*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n)-64*(44-16*n-15*n^2+2*n^3+n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n))+(-1)^n*((-32*(466560+2571264*n+5299776*n^2-78147504*n^3-50870640*n^4+237526888*n^5+274116998*n^6-108899393*n^7-266831917*n^8-28704678*n^9+125869920*n^10+54306474*n^11-22988070*n^12-22657528*n^13-4096022*n^14+1508463*n^15+817707*n^16+142094*n^17+8968*n^18)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^4)/675-(64*(-6048-30456*n-57900*n^2-48140*n^3+13826*n^4+58260*n^5+37164*n^6-1939*n^7-12965*n^8-6098*n^9-1018*n^10+5*n^11+13*n^12)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^3*den(3+n)^3*S(R(1),n))/45)+8*(-32-76*n-52*n^2-19*n^3-6*n^4+n^5)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^2*S(R(2),n)+(32*(-204+76*n+117*n^2+82*n^3+41*n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/3+S(R(1),n)*((-16*(311040+918432*n+808704*n^2-84120*n^3-501340*n^4-698624*n^5-882615*n^6-483186*n^7+138931*n^8+358220*n^9+236207*n^10+82822*n^11+15505*n^12+1208*n^13)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^3*den(3+n)^3)/45+48*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(2),n)-256*(2+n+n^2)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(3),n))-256*(2+n+n^2)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(4),n)-512*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(-2,1),n)+512*(2+n+n^2)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(3,1),n) );

L   Clps3cf2nfz3
  = CF^2*NF*z3*( -64*(-84+28*n+39*n^2+22*n^3+11*n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)+512*(2+n+n^2)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(1),n) );

L   Clps3cacfnf
  = CA*CF*NF*( (-16*(-1166400-7210944*n-16994448*n^2-19304784*n^3-11504004*n^4-9571224*n^5+4251529*n^6+46737379*n^7+60858680*n^8+16682892*n^9-26144472*n^10-26236690*n^11-7673098*n^12+2023508*n^13+2306647*n^14+775311*n^15+124638*n^16+8104*n^17)*den(-2+n)*den(-1+n)^3*den(n)^4*den(1+n)^5*den(2+n)^4*den(3+n)^3)/135-288*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(-3),n)-(8*(24+32*n-364*n^2-329*n^3-111*n^4+9*n^5+19*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*S(R(1),n)^2)/3-(80*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n)^3)/3+S(R(-2),n)*((32*(-216-900*n+58*n^2+297*n^3+61*n^4+141*n^5-17*n^6-6*n^7+6*n^8)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n))/3+64*(16-14*n-13*n^2+2*n^3+n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n))+(-1)^n*((-16*(252288+1675296*n+4378608*n^2+3570488*n^3-714852*n^4-5161138*n^5-8342083*n^6-5944320*n^7+1190126*n^8+4759634*n^9+2600460*n^10-64634*n^11-592046*n^12-232344*n^13-30857*n^14+794*n^15+372*n^16)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^3)/45+(32*(-43632-219024*n-379020*n^2-313970*n^3+78749*n^4+419430*n^5+324471*n^6+40124*n^7-74945*n^8-43922*n^9-9067*n^10-430*n^11+52*n^12)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^3*den(3+n)^3*S(R(1),n))/45)+(8*(-24-80*n-284*n^2-175*n^3+3*n^4+87*n^5+41*n^6)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*S(R(2),n))/3-(16*(-372+56*n+105*n^2+98*n^3+49*n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/3+S(R(1),n)*((-16*(-136080-592704*n-1258848*n^2-1584420*n^3-752815*n^4+548043*n^5+859465*n^6+196072*n^7-349682*n^8-312685*n^9-97279*n^10-5914*n^11+2775*n^12+424*n^13)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^3*den(3+n)^3)/45+80*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(2),n)+128*(2+n+n^2)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(3),n))+128*(2+n+n^2)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(4),n)+192*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(-2,1),n)-256*(2+n+n^2)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(3,1),n) );

L   Clps3cacfnfz3
  = CA*CF*NF*z3*( 96*(18+5*n+5*n^2)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)-256*(2+n+n^2)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(1),n) );

L   Clps3cfnf2
  = CF*NF^2*( (32*(-19440-40824*n-18900*n^2-105570*n^3-410490*n^4-463582*n^5-75136*n^6+277589*n^7+304285*n^8+161780*n^9+49606*n^10+8319*n^11+587*n^12)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^3*den(3+n)^3)/135+(256*(-432-1782*n-3423*n^2-1327*n^3+1681*n^4+1039*n^5-928*n^6-1208*n^7-482*n^8-60*n^9+8*n^10+2*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^3*den(3+n)^3*(-1)^n)/45-(512*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-2),n))/3+(32*(16+27*n+13*n^2+8*n^3)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*S(R(1),n))/9-(16*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n)^2)/3-(16*(2+n+n^2)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(2),n))/3 );

L   C2q1cf
  = CF*( -((-2-5*n+2*n^2+9*n^3)*den(n)^2*den(1+n))+(-2+3*n+3*n^2)*den(n)*den(1+n)*S(R(1),n)+2*S(R(1),n)^2-2*S(R(2),n) );

L   C2q2cf2
  = CF^2*( ((43200+250560*n+428688*n^2-57584*n^3-1376628*n^4-1070356*n^5+1178077*n^6+2012391*n^7+490884*n^8-798212*n^9-502834*n^10+163210*n^11+276552*n^12+117600*n^13+22445*n^14+1655*n^15)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2*den(3+n)^3)/40+24*S(R(-4),n)+24*S(R(-2),n)^2+2*(-2+3*n+3*n^2)*den(n)*den(1+n)*S(R(1),n)^3+2*S(R(1),n)^4+S(R(-3),n)*(-32*den(1+n)+16*S(R(1),n))+(-1)^n*((8*(-216-864*n-11538*n^2+3484*n^3+22800*n^4+9575*n^5-4522*n^6-2427*n^7+1076*n^8+881*n^9+176*n^10+7*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/5+16*den(1+n)^3*S(R(1),n))+S(R(-2),n)*(-8*(-48-34*n-45*n^2+26*n^3-3*n^4-2*n^5+2*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)-16*(-3+4*n)*den(n)*den(1+n)*S(R(1),n)-32*S(R(1),n)^2)+S(R(1),n)^2*(-((-24-40*n-9*n^2+26*n^3+27*n^4)*den(n)^2*den(1+n)^2)/2-20*S(R(2),n))+((-16-32*n+35*n^2+162*n^3+95*n^4)*den(n)^2*den(1+n)^2*S(R(2),n))/2+6*S(R(2),n)^2-2*(-10+25*n+9*n^2)*den(n)*den(1+n)*S(R(3),n)+12*S(R(4),n)-32*S(R(-3,1),n)+32*(-1+2*n)*den(n)*den(1+n)*S(R(-2,1),n)+16*S(R(2,-2),n)+4*(-2+3*n+3*n^2)*den(n)*den(1+n)*S(R(2,1),n)+S(R(1),n)*(-((48+160*n+106*n^2+65*n^3+207*n^4+203*n^5+51*n^6)*den(n)^3*den(1+n)^3)/2-2*(-2+3*n)*(5+3*n)*den(n)*den(1+n)*S(R(2),n)-24*S(R(3),n)+32*S(R(-2,1),n)+16*S(R(2,1),n))+40*S(R(3,1),n)-24*S(R(2,1,1),n) );

L   C2q2cf2z3
  = CF^2*z3*( -24*(2-n+3*n^2)*den(n)*den(1+n)+48*S(R(1),n) );

L   C2q2cacf
  = CA*CF*( -((2138400+4727808*n-1891944*n^2-14771988*n^3+3326364*n^4+38438477*n^5+25454431*n^6-28078956*n^7-45097452*n^8-10684674*n^9+18074250*n^10+16777912*n^11+6291320*n^12+1139325*n^13+81975*n^14)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^2*den(3+n)^3)/1080-12*S(R(-4),n)-12*S(R(-2),n)^2+S(R(-3),n)*(16*den(1+n)-8*S(R(1),n))+(22*S(R(1),n)^3)/9+(-1)^n*((-4*(-216-864*n-11538*n^2+3484*n^3+22800*n^4+9575*n^5-4522*n^6-2427*n^7+1076*n^8+881*n^9+176*n^10+7*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/5-8*den(1+n)^3*S(R(1),n))+S(R(-2),n)*(4*(-48-34*n-45*n^2+26*n^3-3*n^4-2*n^5+2*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)+8*(-3+4*n)*den(n)*den(1+n)*S(R(1),n)+16*S(R(1),n)^2)-((-66+929*n+2134*n^2+1067*n^3)*den(n)*den(1+n)^2*S(R(2),n))/18-4*S(R(2),n)^2+S(R(1),n)^2*(((-66+367*n+367*n^2)*den(n)*den(1+n))/18+4*S(R(2),n))+(2*(-72+193*n+121*n^2)*den(n)*den(1+n)*S(R(3),n))/9-8*S(R(4),n)+16*S(R(-3,1),n)-16*(-1+2*n)*den(n)*den(1+n)*S(R(-2,1),n)-8*S(R(2,-2),n)+S(R(1),n)*(((792+510*n+3761*n^2+12279*n^3+11607*n^4+3155*n^5)*den(n)^2*den(1+n)^3)/54-(2*(6+11*n+11*n^2)*den(n)*den(1+n)*S(R(2),n))/3+24*S(R(3),n)-16*S(R(-2,1),n)-16*S(R(2,1),n))-(4*(-6+11*n+11*n^2)*den(n)*den(1+n)*S(R(2,1),n))/3-24*S(R(3,1),n)+24*S(R(2,1,1),n) );

L   C2q2cacfz3
  = CA*CF*z3*( 6*(6+n+9*n^2)*den(n)*den(1+n)-48*S(R(1),n) );

L   C2qcfnf
  = CF*NF*( ((360+648*n+140*n^2+31*n^3+1397*n^4+2517*n^5+1371*n^6)*den(n)^3*den(1+n)^3)/108-((-6+29*n+29*n^2)*den(n)*den(1+n)*S(R(1),n)^2)/9-(4*S(R(1),n)^3)/9+((-6+85*n+85*n^2)*den(n)*den(1+n)*S(R(2),n))/9+S(R(1),n)*(-((72+66*n+331*n^2+620*n^3+247*n^4)*den(n)^2*den(1+n)^2)/27+(4*S(R(2),n))/3)-(44*S(R(3),n))/9+(8*S(R(2,1),n))/3 );

L   C2q3cf3
  = CF^3*( -((839808000+6214579200*n+15223852800*n^2+3973909248*n^3-48009946752*n^4-80124185664*n^5-5421376224*n^6+99252511728*n^7+87332272212*n^8+11228585120*n^9+3612565535*n^10+76609691242*n^11+142971699722*n^12+108739877066*n^13+14657632374*n^14-17893840302*n^15+6865602474*n^16+10141777330*n^17-9302808236*n^18-14799749378*n^19-6318408546*n^20+121573918*n^21+1153267066*n^22+499446742*n^23+105759450*n^24+11708550*n^25+544125*n^26)*den(-2+n)*den(-1+n)^4*den(n)^6*den(1+n)^6*den(2+n)^4*den(3+n)^5)/1800+(1088*S(R(-6),n))/9+(2816*S(R(-3),n)^2)/3+(64*S(R(-2),n)^3)/9+S(R(-5),n)*((8*(372-158*n+59*n^2-22*n^3+n^4)*den(n)*den(1+n))/3-1664*S(R(1),n))+2*(-2+3*n+3*n^2)*den(n)*den(1+n)*S(R(1),n)^5+(4*S(R(1),n)^6)/3+S(R(1),n)^4*(-((-20-26*n-3*n^2+4*n^3+9*n^4)*den(n)^2*den(1+n)^2)-36*S(R(2),n))-((-148-222*n+281*n^2+1108*n^3+617*n^4)*den(n)^2*den(1+n)^2*S(R(2),n)^2)/3-(148*S(R(2),n)^3)/9+S(R(-4),n)*((-4*(-8856-2904*n-9584*n^2-857*n^3+963*n^4+529*n^5+277*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/3+(2432*S(R(-2),n))/3+8*(278-187*n+21*n^2)*den(n)*den(1+n)*S(R(1),n)-1808*S(R(1),n)^2+592*S(R(2),n))+S(R(-2),n)^2*((-4*(-1032+484*n-1170*n^2-749*n^3+149*n^4+169*n^5+37*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/3+(8*(118-69*n+27*n^2)*den(n)*den(1+n)*S(R(1),n))/3-(752*S(R(1),n)^2)/3+1808*S(R(2),n))-(512*S(R(3),n)^2)/3-(2*(6240+4936*n-8996*n^2-29446*n^3-9957*n^4+6527*n^5+3797*n^6+403*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n))/3-(8*(-156+61*n-10*n^2-22*n^3+n^4)*den(n)*den(1+n)*S(R(5),n))/3-(2048*S(R(6),n))/9+(5536*S(R(-5,1),n))/3+768*S(R(-4,-2),n)+16*(-111+25*n)*den(1+n)*S(R(-4,1),n)+(5920*S(R(-4,2),n))/3+(32*(-2+3*n+3*n^2)*den(n)*den(1+n)*S(R(-3,-2),n))/3-(8*(-7632-3342*n-7001*n^2+2912*n^3+1249*n^4-390*n^5+36*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(-3,1),n))/3-8*(302-281*n+7*n^2)*den(n)*den(1+n)*S(R(-3,2),n)-(4768*S(R(-3,3),n))/3+(7168*S(R(-2,1),n)^2)/3+(16*(-3780-1536*n-3659*n^2+842*n^3+490*n^4-50*n^5+61*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(2,-2),n))/3+S(R(-2,1),n)*((16*(384+1112*n-2060*n^2+1682*n^3+1399*n^4-112*n^5-1174*n^6-775*n^7-121*n^8+25*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/3-64*S(R(2,1),n))-(4*(-20-60*n-79*n^2-49*n^3+235*n^4+313*n^5+100*n^6)*den(n)^3*den(1+n)^3*S(R(2,1),n))/3-(64*S(R(2,1),n)^2)/3+S(R(3),n)*(((-3840-8624*n+21648*n^2+22720*n^3-45660*n^4-68233*n^5-7492*n^6+19410*n^7+7672*n^8+575*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/3-(7616*S(R(-2,1),n))/3+(64*S(R(2,1),n))/3)+S(R(1),n)^3*(-((496+1344*n+714*n^2+255*n^3+1215*n^4+1137*n^5+279*n^6)*den(n)^3*den(1+n)^3)/6-12*(-6+7*n+7*n^2)*den(n)*den(1+n)*S(R(2),n)-48*S(R(3),n)-960*S(R(-2,1),n)+32*S(R(2,1),n))+S(R(-3),n)*((-8*(-1104-3104*n-7848*n^2-1592*n^3+411*n^4-394*n^5-1540*n^6-785*n^7+61*n^8+79*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/3+S(R(-2),n)*((-16*(-172+105*n+33*n^2)*den(n)*den(1+n))/3-(4928*S(R(1),n))/3)-16*(102-73*n+3*n^2)*den(n)*den(1+n)*S(R(1),n)^2+(2656*S(R(1),n)^3)/3+S(R(1),n)*((8*(-6192-3234*n-4743*n^2+3376*n^3+657*n^4-450*n^5+34*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/3-(13664*S(R(2),n))/3)+(32*(320-393*n+33*n^2)*den(n)*den(1+n)*S(R(2),n))/3+(8000*S(R(3),n))/3-(8960*S(R(-2,1),n))/3+(160*S(R(2,1),n))/3)+(-1)^n*((4*(18662400+96982272*n+116271936*n^2-187801632*n^3+175514112*n^4+2194548960*n^5+795008172*n^6-6009061154*n^7-6471531700*n^8-18076032*n^9-833510211*n^10-5459193130*n^11-2400570926*n^12+2939643804*n^13+2794390275*n^14+274827002*n^15-562465064*n^16-236833640*n^17+1844627*n^18+23733074*n^19+6621898*n^20+763276*n^21+33281*n^22)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/225-(4832*den(1+n)^3*S(R(-3),n))/3+(16*(-216-864*n-35298*n^2-19196*n^3+73740*n^4+54685*n^5-27612*n^6-31607*n^7-2164*n^8+5071*n^9+1726*n^10+167*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*S(R(1),n)^2)/5+32*den(1+n)^3*S(R(1),n)^3+S(R(-2),n)*((16*(-864-3456*n-191952*n^2-154004*n^3+418170*n^4+355865*n^5-164438*n^6-209943*n^7-20106*n^8+31899*n^9+11414*n^10+1143*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/15-(4000*den(1+n)^3*S(R(1),n))/3)-(16*(-648-2592*n-76734*n^2-16008*n^3+151830*n^4+89220*n^5-52271*n^6-48891*n^7-352*n^8+8798*n^9+2703*n^10+241*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*S(R(2),n))/15+S(R(1),n)*((8*(1296000+6357312*n+9027072*n^2-86033328*n^3-99930776*n^4+264649592*n^5+392762268*n^6-112393058*n^7-322934177*n^8+15916857*n^9+172740794*n^10+38748430*n^11-41646360*n^12-20877604*n^13+523946*n^14+2366916*n^15+567633*n^16+42483*n^17)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4)/75-(256*den(1+n)^3*S(R(2),n))/3)-32*den(1+n)^3*S(R(3),n)+(10048*den(1+n)^3*S(R(-2,1),n))/3-(320*den(1+n)^3*S(R(2,1),n))/3)-(16*(-518+634*n-37*n^2-22*n^3+n^4)*den(n)*den(1+n)*S(R(3,-2),n))/3-(8*(-120+2120*n+4014*n^2+3582*n^3-2810*n^4-2263*n^5+32*n^6+173*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n))/3+32*(11+5*n+17*n^2)*den(n)*den(1+n)*S(R(3,2),n)+(6080*S(R(4,-2),n))/3+(8*(250-9*n+135*n^2)*den(n)*den(1+n)*S(R(4,1),n))/3-320*S(R(4,2),n)-1120*S(R(5,1),n)-(15104*S(R(-4,1,1),n))/3+(1408*S(R(-3,-2,1),n))/3-640*S(R(-3,1,-2),n)-(32*(220-393*n+39*n^2)*den(n)*den(1+n)*S(R(-3,1,1),n))/3-(4576*S(R(-3,1,2),n))/3-(4352*S(R(-3,2,1),n))/3+(16*(-354+313*n+98*n^2-22*n^3+n^4)*den(n)*den(1+n)*S(R(-2,1,-2),n))/3+S(R(-2),n)*((4*(-898560-2177280*n+773568*n^2+6093488*n^3+1973248*n^4-4971184*n^5-1744624*n^6+607185*n^7-510589*n^8-161367*n^9+875924*n^10+734946*n^11-19174*n^12-236702*n^13-70252*n^14+15245*n^15+9835*n^16+1205*n^17)*den(-2+n)^2*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2*den(3+n)^3)/15-32*(-5+7*n+3*n^2)*den(n)*den(1+n)*S(R(1),n)^3-64*S(R(1),n)^4+S(R(1),n)^2*((8*(1536+1274*n-13*n^2-740*n^3-595*n^4+178*n^5+96*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/3-(5824*S(R(2),n))/3)-(8*(-6720-2246*n-7181*n^2+172*n^3+673*n^4+202*n^5+196*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(2),n))/3+(3104*S(R(2),n)^2)/3+16*(-146+211*n+3*n^2)*den(n)*den(1+n)*S(R(3),n)-(6752*S(R(4),n))/3+(5888*S(R(-3,1),n))/3-(16*(-34+7*n-64*n^2-22*n^3+n^4)*den(n)*den(1+n)*S(R(-2,1),n))/3-1792*S(R(2,-2),n)+S(R(1),n)*((-8*(-17376-28400*n-144*n^2+17248*n^3+10190*n^4-8309*n^5-719*n^6+2255*n^7-267*n^8-230*n^9+24*n^10)*den(-2+n)^2*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/3-(32*(-251+285*n+9*n^2)*den(n)*den(1+n)*S(R(2),n))/3+3008*S(R(3),n)-(704*S(R(-2,1),n))/3-(11008*S(R(2,1),n))/3)+(64*(140-207*n+9*n^2)*den(n)*den(1+n)*S(R(2,1),n))/3+3200*S(R(3,1),n)-(12544*S(R(-2,1,1),n))/3)+(16*(-7488-2802*n-7635*n^2+456*n^3+711*n^4+190*n^5+208*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(-2,1,1),n))/3-(32*(290-417*n+15*n^2)*den(n)*den(1+n)*S(R(-2,2,1),n))/3-(896*S(R(-2,2,2),n))/3-(8960*S(R(-2,3,1),n))/3+(256*S(R(2,-2,-2),n))/3-(16*(566-825*n+39*n^2)*den(n)*den(1+n)*S(R(2,1,-2),n))/3+S(R(1),n)^2*(((2237760+7853760*n+6090624*n^2-11023912*n^3-21598424*n^4-5332198*n^5+15854641*n^6+13438333*n^7+76012*n^8-4088136*n^9-1375722*n^10+552750*n^11+595716*n^12+216310*n^13+38625*n^14+2805*n^15)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2*den(3+n)^3)/60+(2*(-272-380*n+21*n^2+368*n^3+291*n^4)*den(n)^2*den(1+n)^2*S(R(2),n))/3+108*S(R(2),n)^2-4*(10+59*n+75*n^2)*den(n)*den(1+n)*S(R(3),n)+344*S(R(4),n)-(6464*S(R(-3,1),n))/3-32*(-56+47*n+3*n^2)*den(n)*den(1+n)*S(R(-2,1),n)+(6880*S(R(2,-2),n))/3+24*(-2+3*n+3*n^2)*den(n)*den(1+n)*S(R(2,1),n)+336*S(R(3,1),n)+4864*S(R(-2,1,1),n)-48*S(R(2,1,1),n))+8*(-14-20*n+10*n^2+29*n^3)*den(n)^2*den(1+n)*S(R(2,1,1),n)+S(R(2),n)*(-((734400+3335040*n+4176864*n^2-3032152*n^3-13564024*n^4-5334038*n^5+17397941*n^6+16225513*n^7-7898148*n^8-16549256*n^9-4332882*n^10+5383350*n^11+4906836*n^12+1761990*n^13+306245*n^14+21265*n^15)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2*den(3+n)^3)/60+(4*(-110+153*n+105*n^2)*den(n)*den(1+n)*S(R(3),n))/3-(8*S(R(4),n))/3+1152*S(R(-3,1),n)-(16*(638-831*n+9*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/3-(3296*S(R(2,-2),n))/3-(8*(-4+15*n+15*n^2)*den(n)*den(1+n)*S(R(2,1),n))/3-432*S(R(3,1),n)-(12416*S(R(-2,1,1),n))/3+(272*S(R(2,1,1),n))/3)+(80*den(n)*den(1+n)*S(R(2,2,1),n))/3+(352*S(R(2,3,1),n))/3-(8896*S(R(3,1,-2),n))/3-(16*(82+51*n+195*n^2)*den(n)*den(1+n)*S(R(3,1,1),n))/3+(64*S(R(3,2,1),n))/3+(128*S(R(4,1,1),n))/3+256*S(R(-3,1,1,1),n)+(2816*S(R(-2,-2,1,1),n))/3+S(R(1),n)*(((-407462400-1610668800*n-1386374400*n^2+2713814784*n^3+5774517696*n^4-1746802048*n^5-7411119056*n^6+6131910816*n^7+15024070334*n^8-1223997289*n^9-11367575796*n^10+430603826*n^11+8726924346*n^12+3828584533*n^13-1397115016*n^14-1606563636*n^15-417792846*n^16+39309489*n^17+47866188*n^18+12104450*n^19+1465750*n^20+75075*n^21)*den(-2+n)*den(-1+n)^3*den(n)^5*den(1+n)^5*den(2+n)^3*den(3+n)^4)/600+2*(-54+25*n+25*n^2)*den(n)*den(1+n)*S(R(2),n)^2+(2*(3216+7072*n+10448*n^2+16148*n^3-333*n^4-5889*n^5-1463*n^6+81*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/3-4*(174-75*n+85*n^2)*den(n)*den(1+n)*S(R(4),n)-960*S(R(5),n)+1088*S(R(-4,1),n)+(128*S(R(-3,-2),n))/3+(64*(143-162*n+6*n^2)*den(n)*den(1+n)*S(R(-3,1),n))/3+3680*S(R(-3,2),n)-(16*(-3576-1126*n-4043*n^2+28*n^3+85*n^4+178*n^5+158*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(-2,1),n))/3+(16*(-586+633*n+9*n^2)*den(n)*den(1+n)*S(R(2,-2),n))/3+S(R(2),n)*(((1232+3776*n+2254*n^2+1345*n^3+5289*n^4+5807*n^5+1545*n^6)*den(n)^3*den(1+n)^3)/6+(784*S(R(3),n))/3+(13696*S(R(-2,1),n))/3-(64*S(R(2,1),n))/3)-(4*(-84-136*n-47*n^2+86*n^3+85*n^4)*den(n)^2*den(1+n)^2*S(R(2,1),n))/3-(11392*S(R(3,-2),n))/3+8*(22+45*n+109*n^2)*den(n)*den(1+n)*S(R(3,1),n)+64*S(R(3,2),n)-(1696*S(R(4,1),n))/3+(7168*S(R(-3,1,1),n))/3+3264*S(R(-2,1,-2),n)+64*(-100+103*n+7*n^2)*den(n)*den(1+n)*S(R(-2,1,1),n)+(11648*S(R(-2,2,1),n))/3+(11200*S(R(2,1,-2),n))/3-24*(-2+3*n+3*n^2)*den(n)*den(1+n)*S(R(2,1,1),n)-(160*S(R(2,2,1),n))/3-(1984*S(R(3,1,1),n))/3-10752*S(R(-2,1,1,1),n))-192*(-40+49*n+n^2)*den(n)*den(1+n)*S(R(-2,1,1,1),n)+192*S(R(-2,1,1,2),n)-128*S(R(-2,2,1,1),n)+2048*S(R(2,-2,1,1),n)+(64*S(R(2,2,1,1),n))/3+704*S(R(3,1,1,1),n)+9216*S(R(-2,1,1,1,1),n) );

L   C2q3cf3z3
  = CF^3*z3*( (-4*(-6288-15128*n-3564*n^2-6214*n^3-12616*n^4-14211*n^5-608*n^6+6674*n^7+3168*n^8+307*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/3+2048*den(1+n)^3*(-1)^n+S(R(-2),n)*((-16*(-168+202*n-37*n^2-22*n^3+n^4)*den(n)*den(1+n))/3-1216*S(R(1),n))-64*(-1+n)*den(n)*den(1+n)*S(R(1),n)^2+96*S(R(1),n)^3+S(R(1),n)*(-8*(144+1536*n+88*n^2-912*n^3-1353*n^4-407*n^5+169*n^6+79*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)-416*S(R(2),n))+64*(4+3*n+6*n^2)*den(n)*den(1+n)*S(R(2),n)-(320*S(R(3),n))/3+512*S(R(-2,1),n)+192*S(R(2,1),n) );

L   C2q3cf3z4
  = CF^3*z4*( -12*(-4-4*n+n^2+10*n^3+5*n^4)*den(n)^2*den(1+n)^2-96*S(R(-2),n) );

L   C2q3cf3z5
  = CF^3*z5*( (-20*(-312+322*n-325*n^2-22*n^3+n^4)*den(n)*den(1+n))/3-1120*S(R(1),n) );

L   C2q3cacf2
  = CA*CF^2*( ((28021593600+131478474240*n+107266467456*n^2-408124464192*n^3-795125172960*n^4+97720203888*n^5+1736282004648*n^6+615156124420*n^7-3354237569616*n^8-2983441152393*n^9+2929762522549*n^10+5240038735789*n^11+1031275264873*n^12-2359073264411*n^13-1160332987999*n^14+906683807537*n^15+922948238629*n^16+6647579351*n^17-338719366129*n^18-174623842409*n^19-12797184341*n^20+21620555815*n^21+10493741875*n^22+2311751175*n^23+261854775*n^24+12367350*n^25)*den(-2+n)*den(-1+n)^4*den(n)^5*den(1+n)^6*den(2+n)^4*den(3+n)^5)/16200-(544*S(R(-6),n))/3-1184*S(R(-3),n)^2-(32*S(R(-2),n)^3)/3+(44*S(R(1),n)^5)/9+S(R(-5),n)*((-8*(978+50*n+773*n^2-66*n^3+3*n^4)*den(n)*den(1+n))/9+(4160*S(R(1),n))/3)+S(R(-2),n)^2*((2*(-3576+716*n-7626*n^2-7533*n^3+285*n^4+1849*n^5+429*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/3+(4*(-366+449*n+161*n^2)*den(n)*den(1+n)*S(R(1),n))/3+392*S(R(1),n)^2-1896*S(R(2),n))+S(R(-4),n)*((2*(-183168-58572*n-267780*n^2-99301*n^3+20667*n^4+30813*n^5+10109*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/27-768*S(R(-2),n)-(4*(1858-1533*n+51*n^2)*den(n)*den(1+n)*S(R(1),n))/3+(5848*S(R(1),n)^2)/3-(2360*S(R(2),n))/3)+((-684-4794*n+2455*n^2+11762*n^3+4513*n^4)*den(n)^2*den(1+n)^2*S(R(2),n)^2)/27+(64*S(R(2),n)^3)/3+S(R(1),n)^4*(((-110+433*n+433*n^2)*den(n)*den(1+n))/9+8*S(R(2),n))+(3392*S(R(3),n)^2)/9+(4*(10584+43020*n-89754*n^2-251779*n^3-90491*n^4+46752*n^5+32765*n^6+4591*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n))/27+(4*(-404+349*n-81*n^2-44*n^3+2*n^4)*den(n)*den(1+n)*S(R(5),n))/3+288*S(R(6),n)-1872*S(R(-5,1),n)-1152*S(R(-4,-2),n)-(8*(-16-747*n+189*n^2)*den(n)*den(1+n)*S(R(-4,1),n))/3-2384*S(R(-4,2),n)-16*(-1+n)*(2+n)*den(n)*den(1+n)*S(R(-3,-2),n)-(4*(48240+24738*n+34155*n^2-36278*n^3-6891*n^4+6360*n^5+388*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(-3,1),n))/9+(4*(5922-5561*n+487*n^2)*den(n)*den(1+n)*S(R(-3,2),n))/9+1296*S(R(-3,3),n)-2688*S(R(-2,1),n)^2-(8*(-73008-30582*n-64629*n^2+26842*n^3+8202*n^4-3282*n^5+913*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(2,-2),n))/27+S(R(3),n)*(-((-114048-352224*n+537576*n^2+93996*n^3-4069930*n^4-5377077*n^5-1298594*n^6+1131968*n^7+674988*n^8+97249*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81+2656*S(R(-2,1),n)-(1072*S(R(2,1),n))/9)+S(R(-3),n)*((4*(-20736-254448*n-635868*n^2-112872*n^3+241111*n^4+235053*n^5-95212*n^6-126065*n^7-12921*n^8+5894*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81+(8*(1674-925*n+335*n^2)*den(n)*den(1+n)*S(R(1),n)^2)/9-(2416*S(R(1),n)^3)/3+S(R(-2),n)*((56*(-44+25*n+n^2)*den(n)*den(1+n))/3+(4256*S(R(1),n))/3)-(16*(686-897*n+105*n^2)*den(n)*den(1+n)*S(R(2),n))/3+S(R(1),n)*((4*(102060+67464*n+60393*n^2-94906*n^3-11349*n^4+15756*n^5+1046*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/27+(13936*S(R(2),n))/3)-2720*S(R(3),n)+3584*S(R(-2,1),n)-80*S(R(2,1),n))+S(R(1),n)^3*(((3212+2712*n+8489*n^2+30615*n^3+30483*n^4+8425*n^5)*den(n)^2*den(1+n)^3)/54-(4*(108+491*n+491*n^2)*den(n)*den(1+n)*S(R(2),n))/27+(1648*S(R(3),n))/9+1120*S(R(-2,1),n)-(320*S(R(2,1),n))/9)+(4*(-648-804*n+38*n^2+3081*n^3+15161*n^4+26531*n^5+22584*n^6+9442*n^7+1511*n^8)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n)*S(R(2,1),n))/9+40*S(R(2,1),n)^2+S(R(-2,1),n)*((8*(-16848-74520*n+104832*n^2-205902*n^3-362563*n^4-262179*n^5+38554*n^6+109499*n^7+33279*n^8+1288*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81+96*S(R(2,1),n))+(-1)^n*((2*(-201553920-1652462208*n-3743677440*n^2+728354592*n^3+162746496*n^4+37876019688*n^5-33596679888*n^6-232176296322*n^7-71276570520*n^8+330237866576*n^9+293120633619*n^10-44146627798*n^11-138608646470*n^12-26675664832*n^13+28815180253*n^14+9407549506*n^15-6342762572*n^16-4352737424*n^17-492118579*n^18+343953622*n^19+144380906*n^20+22040760*n^21+1214675*n^22)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/2025+2288*den(1+n)^3*S(R(-3),n)-(8*(-1944-7776*n-494802*n^2-326124*n^3+1035540*n^4+806185*n^5-418088*n^6-490423*n^7-41156*n^8+75419*n^9+26434*n^10+2623*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*S(R(1),n)^2)/45-16*den(1+n)^3*S(R(1),n)^3+S(R(-2),n)*((-8*(-2592-10368*n-845856*n^2-549492*n^3+1748250*n^4+1339025*n^5-728114*n^6-836099*n^7-70338*n^8+127547*n^9+44762*n^10+4459*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/15+(3344*den(1+n)^3*S(R(1),n))/3)+(8*(-1944-7776*n-182682*n^2-89064*n^3+396810*n^4+299840*n^5-124633*n^6-151913*n^7-8176*n^8+26014*n^9+8609*n^10+803*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*S(R(2),n))/45+S(R(1),n)*((-4*(20995200+113552928*n+193697568*n^2-1578226032*n^3-1134333144*n^4+4157269698*n^5+5252332542*n^6-1716539602*n^7-4348440613*n^8+394574433*n^9+2552571736*n^10+578928520*n^11-630776190*n^12-325608776*n^13+5929474*n^14+37331154*n^15+9213827*n^16+708077*n^17)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4)/675-(32*den(1+n)^3*S(R(2),n))/3)-(80*den(1+n)^3*S(R(3),n))/3-4256*den(1+n)^3*S(R(-2,1),n)+160*den(1+n)^3*S(R(2,1),n))+(16*(-1665+2243*n-166*n^2-66*n^3+3*n^4)*den(n)*den(1+n)*S(R(3,-2),n))/9+(4*(28080+51948*n+26208*n^2-63475*n^3-107039*n^4-15678*n^5+15287*n^6+4645*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n))/27-(16*(-87+647*n+431*n^2)*den(n)*den(1+n)*S(R(3,2),n))/9-2080*S(R(4,-2),n)-(4*(702+2671*n+1807*n^2)*den(n)*den(1+n)*S(R(4,1),n))/9+488*S(R(4,2),n)+(5888*S(R(5,1),n))/3+5504*S(R(-4,1,1),n)-704*S(R(-3,-2,1),n)+960*S(R(-3,1,-2),n)+(16*(464-881*n+127*n^2)*den(n)*den(1+n)*S(R(-3,1,1),n))/3+2160*S(R(-3,1,2),n)+2048*S(R(-3,2,1),n)-(8*(-854+895*n+369*n^2-44*n^3+2*n^4)*den(n)*den(1+n)*S(R(-2,1,-2),n))/3-(8*(-147312-48114*n-156051*n^2-1466*n^3+12135*n^4+5952*n^5+4816*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(-2,1,1),n))/27+S(R(-2),n)*((-2*(-29393280-158941440*n-18937152*n^2+523466928*n^3+163270008*n^4-475788264*n^5-116652544*n^6+100464815*n^7-48475769*n^8-42703307*n^9+72297084*n^10+81204606*n^11+4077226*n^12-24880742*n^13-8057332*n^14+1673075*n^15+1125135*n^16+138825*n^17)*den(-2+n)^2*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2*den(3+n)^3)/405-(16*(135+31*n+139*n^2)*den(n)*den(1+n)*S(R(1),n)^3)/27+32*S(R(1),n)^4+(4*(-137592-38538*n-149097*n^2-5558*n^3+11097*n^4+6060*n^5+4708*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(2),n))/27-(3632*S(R(2),n)^2)/3+S(R(1),n)^2*((-4*(5832+7914*n-7739*n^2-19314*n^3-4169*n^4+4524*n^5+1360*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/9+(6880*S(R(2),n))/3)-(8*(-8694+13501*n+541*n^2)*den(n)*den(1+n)*S(R(3),n))/27+2224*S(R(4),n)-2048*S(R(-3,1),n)+(8*(-118-7*n-197*n^2-44*n^3+2*n^4)*den(n)*den(1+n)*S(R(-2,1),n))/3+1792*S(R(2,-2),n)-(32*(906-1441*n+71*n^2)*den(n)*den(1+n)*S(R(2,1),n))/9+S(R(1),n)*((-4*(663552+1283040*n+96696*n^2-788460*n^3+451414*n^4+1193761*n^5-307969*n^6-485619*n^7+2431*n^8+57302*n^9+7868*n^10)*den(-2+n)^2*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81+(16*(-1785+2227*n+247*n^2)*den(n)*den(1+n)*S(R(2),n))/9-3232*S(R(3),n)+(1312*S(R(-2,1),n))/3+(11264*S(R(2,1),n))/3)-3136*S(R(3,1),n)+4480*S(R(-2,1,1),n))+(16*(1902-2891*n+133*n^2)*den(n)*den(1+n)*S(R(-2,2,1),n))/9+704*S(R(-2,2,2),n)+2816*S(R(-2,3,1),n)-128*S(R(2,-2,-2),n)+(8*(3678-5755*n+293*n^2)*den(n)*den(1+n)*S(R(2,1,-2),n))/9+S(R(2),n)*(((5598720+50310720*n+95144544*n^2-41745672*n^3-105072084*n^4+578281242*n^5+1186555771*n^6-78397*n^7-1786264908*n^8-1589300136*n^9+4179258*n^10+825160650*n^11+591141416*n^12+198010630*n^13+33538275*n^14+2315715*n^15)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2*den(3+n)^3)/1620+(16*(261+80*n+134*n^2)*den(n)*den(1+n)*S(R(3),n))/27-(424*S(R(4),n))/3-1280*S(R(-3,1),n)-(8*(-1442+2071*n+79*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/3+(3760*S(R(2,-2),n))/3-(20*(4+9*n+9*n^2)*den(n)*den(1+n)*S(R(2,1),n))/3+(3136*S(R(3,1),n))/3+(12736*S(R(-2,1,1),n))/3-(544*S(R(2,1,1),n))/3)-(4*(-108-383*n+152*n^2+728*n^3+277*n^4)*den(n)^2*den(1+n)^2*S(R(2,1,1),n))/3+S(R(1),n)^2*(-((3110400+12363840*n+11974176*n^2-19567368*n^3-40761396*n^4-498422*n^5+47323239*n^6+23735127*n^7-23741772*n^8-26108264*n^9-2094158*n^10+9738930*n^11+7054824*n^12+2351990*n^13+399455*n^14+27815*n^15)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2*den(3+n)^3)/180-(4*(-93-451*n+823*n^2+2320*n^3+1124*n^4)*den(n)^2*den(1+n)^2*S(R(2),n))/9-(40*S(R(2),n)^2)/3+(4*(-492+1093*n+733*n^2)*den(n)*den(1+n)*S(R(3),n))/9-88*S(R(4),n)+(6304*S(R(-3,1),n))/3+(16*(-1188+1219*n+247*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/9-(7216*S(R(2,-2),n))/3+(16*(30+29*n+29*n^2)*den(n)*den(1+n)*S(R(2,1),n))/9-(2464*S(R(3,1),n))/3-(16256*S(R(-2,1,1),n))/3+80*S(R(2,1,1),n))-(4*(-4+65*n+65*n^2)*den(n)*den(1+n)*S(R(2,2,1),n))/3-(1760*S(R(2,3,1),n))/3+2784*S(R(3,1,-2),n)+(32*(-171+577*n+361*n^2)*den(n)*den(1+n)*S(R(3,1,1),n))/9+48*S(R(3,2,1),n)+(320*S(R(4,1,1),n))/3-896*S(R(-3,1,1,1),n)-1408*S(R(-2,-2,1,1),n)+(32*(-2412+3139*n+115*n^2)*den(n)*den(1+n)*S(R(-2,1,1,1),n))/9-288*S(R(-2,1,1,2),n)+192*S(R(-2,2,1,1),n)-1792*S(R(2,-2,1,1),n)+S(R(1),n)*(-((-8062156800-33699628800*n-29860617600*n^2+65414646144*n^3+133264914336*n^4-83567976768*n^5-127646629896*n^6+324385537256*n^7+337271982894*n^8-386739553949*n^9-507933594836*n^10+226151623866*n^11+545684950586*n^12+169411607353*n^13-144939116256*n^14-126958918876*n^15-26656245886*n^16+9479491749*n^17+6966134908*n^18+1784055450*n^19+223389750*n^20+11462175*n^21)*den(-2+n)*den(-1+n)^3*den(n)^5*den(1+n)^5*den(2+n)^3*den(3+n)^4)/16200+(8*(15+236*n+236*n^2)*den(n)*den(1+n)*S(R(2),n)^2)/9-(2*(67824+100728*n+59256*n^2+12110*n^3-45617*n^4-22167*n^5-2755*n^6+781*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/27+(8*(297+806*n+734*n^2)*den(n)*den(1+n)*S(R(4),n))/9+(3040*S(R(5),n))/3-(4000*S(R(-4,1),n))/3-64*S(R(-3,-2),n)-(32*(287-310*n+50*n^2)*den(n)*den(1+n)*S(R(-3,1),n))/3-3920*S(R(-3,2),n)+(8*(-73548-17352*n-93105*n^2-27358*n^3+465*n^4+9708*n^5+4502*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(-2,1),n))/27+(8*(3750-4115*n+61*n^2)*den(n)*den(1+n)*S(R(2,-2),n))/9+(4*(-294-845*n+324*n^2+1468*n^3+575*n^4)*den(n)^2*den(1+n)^2*S(R(2,1),n))/9+S(R(2),n)*(-((-23328+177768*n+286164*n^2+533514*n^3+2213515*n^4+3625286*n^5+2631828*n^6+894616*n^7+116957*n^8)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/162-(880*S(R(3),n))/3-(15104*S(R(-2,1),n))/3+(160*S(R(2,1),n))/3)+3840*S(R(3,-2),n)-(8*(-636+1445*n+869*n^2)*den(n)*den(1+n)*S(R(3,1),n))/9-(2080*S(R(3,2),n))/3+240*S(R(4,1),n)-(6784*S(R(-3,1,1),n))/3-(11744*S(R(-2,1,-2),n))/3-(32*(-2028+2255*n+239*n^2)*den(n)*den(1+n)*S(R(-2,1,1),n))/9-(12224*S(R(-2,2,1),n))/3-(11552*S(R(2,1,-2),n))/3-(40*(6+13*n+13*n^2)*den(n)*den(1+n)*S(R(2,1,1),n))/3-(32*S(R(2,2,1),n))/3+1984*S(R(3,1,1),n)+11776*S(R(-2,1,1,1),n)-128*S(R(2,1,1,1),n))+(32*(6+13*n+13*n^2)*den(n)*den(1+n)*S(R(2,1,1,1),n))/3+(208*S(R(2,2,1,1),n))/3-(6368*S(R(3,1,1,1),n))/3-9728*S(R(-2,1,1,1,1),n)+(640*S(R(2,1,1,1,1),n))/3 );

L   C2q3cacf2z3
  = CA*CF^2*z3*( -((25056+108576*n+75096*n^2-684*n^3-66996*n^4-88775*n^5-77428*n^6-14010*n^7+13792*n^8+5021*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/3-2304*den(1+n)^3*(-1)^n-64*S(R(-3),n)+4*(-22+75*n+35*n^2)*den(n)*den(1+n)*S(R(1),n)^2-96*S(R(1),n)^3+S(R(-2),n)*((16*(-180+138*n-137*n^2-22*n^3+n^4)*den(n)*den(1+n))/3+1248*S(R(1),n))-12*(22+69*n+77*n^2)*den(n)*den(1+n)*S(R(2),n)+S(R(1),n)*((2*(-3888+20832*n-27520*n^2-70804*n^3-38361*n^4+5775*n^5+8797*n^6+1873*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n))/3+480*S(R(2),n))+256*S(R(3),n)-640*S(R(-2,1),n)-288*S(R(2,1),n) );

L   C2q3cacf2z4
  = CA*CF^2*z4*( 18*(-4-4*n+n^2+10*n^3+5*n^4)*den(n)^2*den(1+n)^2+144*S(R(-2),n) );

L   C2q3cacf2z5
  = CA*CF^2*z5*( (20*(-240+310*n-217*n^2-22*n^3+n^4)*den(n)*den(1+n))/3+560*S(R(1),n) );

L   C2q3ca2cf
  = CA^2*CF*( -((232509242880+533286478080*n-610589684736*n^2-2170566388224*n^3-431466922368*n^4+3383892820224*n^5-1896308162928*n^6-12245772265152*n^7-1260585186046*n^8+21183568737695*n^9+12772400341355*n^10-17375489354133*n^11-21093232988073*n^12+3284198066595*n^13+17254823426543*n^14+8803267030223*n^15-2629332821329*n^16-4731397545651*n^17-1874687034159*n^18+41032902801*n^19+316582963781*n^20+133779234737*n^21+27989742725*n^22+3083846325*n^23+143231475*n^24)*den(-2+n)*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/145800+(544*S(R(-6),n))/9+(1072*S(R(-3),n)^2)/3+(32*S(R(-2),n)^3)/9+S(R(-5),n)*((2*(840+574*n+1369*n^2-66*n^3+3*n^4)*den(n)*den(1+n))/9-(832*S(R(1),n))/3)+(121*S(R(1),n)^4)/27+((54+452*n+293*n^2+264*n^3+423*n^4)*den(n)^2*den(1+n)^2*S(R(2),n)^2)/9-(56*S(R(2),n)^3)/9+S(R(-4),n)*((-4*(-25866-8109*n-45381*n^2-22897*n^3+3000*n^4+6513*n^5+1904*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/27+(544*S(R(-2),n))/3-(8*(-256+243*n+3*n^2)*den(n)*den(1+n)*S(R(1),n))/3-(1568*S(R(1),n)^2)/3+(736*S(R(2),n))/3)+S(R(-2),n)^2*((-8*(-318+29*n-807*n^2-848*n^3+17*n^4+210*n^5+49*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/3-(8*(-62+95*n+47*n^2)*den(n)*den(1+n)*S(R(1),n))/3-(400*S(R(1),n)^2)/3+496*S(R(2),n))-(1280*S(R(3),n)^2)/9-(2*(-2700+10896*n-32317*n^2-89702*n^3-41611*n^4+12631*n^5+12899*n^6+2284*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n))/9-(2*(-696+824*n-253*n^2-66*n^3+3*n^4)*den(n)*den(1+n)*S(R(5),n))/9-(112*S(R(6),n))/9+(1424*S(R(-5,1),n))/3+384*S(R(-4,-2),n)+(8*(-8-207*n+57*n^2)*den(n)*den(1+n)*S(R(-4,1),n))/3+(2096*S(R(-4,2),n))/3-(32*den(n)*den(1+n)*S(R(-3,-2),n))/3+(4*(12672+7356*n+6576*n^2-13771*n^3-1572*n^4+2595*n^5+248*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(-3,1),n))/9-(8*(801-758*n+106*n^2)*den(n)*den(1+n)*S(R(-3,2),n))/9-(752*S(R(-3,3),n))/3+(2240*S(R(-2,1),n)^2)/3+(8*(-19494-8379*n-15849*n^2+9632*n^3+1896*n^4-1416*n^5+182*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(2,-2),n))/27+S(R(-2,1),n)*((-4*(-6480-44496*n+49212*n^2-160488*n^3-324790*n^4-265203*n^5+6856*n^6+88574*n^7+30012*n^8+1963*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81-32*S(R(2,1),n))-(4*(-540-36*n-618*n^2+5325*n^3+26041*n^4+34038*n^5+18675*n^6+3691*n^7)*den(n)^3*den(1+n)^3*den(3+n)*S(R(2,1),n))/27-(56*S(R(2,1),n)^2)/3+S(R(1),n)^3*(((-726+4649*n+4649*n^2)*den(n)*den(1+n))/81+(616*S(R(2),n))/27-(640*S(R(3),n))/9-320*S(R(-2,1),n)+(32*S(R(2,1),n))/9)+S(R(-3),n)*((-2*(9072-170640*n-423972*n^2-69888*n^3+230014*n^4+245691*n^5-53632*n^6-104870*n^7-14568*n^8+3761*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81+S(R(-2),n)*((8*(68-35*n+13*n^2)*den(n)*den(1+n))/3-(896*S(R(1),n))/3)-(16*(189-67*n+77*n^2)*den(n)*den(1+n)*S(R(1),n)^2)/9+(544*S(R(1),n)^3)/3+S(R(1),n)*((-4*(23166+19179*n+8853*n^2-32261*n^3-2718*n^4+5853*n^5+676*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n))/27-1184*S(R(2),n))+16*(61-84*n+12*n^2)*den(n)*den(1+n)*S(R(2),n)+(2080*S(R(3),n))/3-(3136*S(R(-2,1),n))/3+(80*S(R(2,1),n))/3)+S(R(3),n)*((2*(-8424-61992*n+96174*n^2-198684*n^3-1672286*n^4-2126295*n^5-638734*n^6+376282*n^7+268194*n^8+43949*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81-(2080*S(R(-2,1),n))/3+(880*S(R(2,1),n))/9)+(-1)^n*((-4*(-8398080-194905440*n-674307504*n^2-240465024*n^3+435593376*n^4+14406740082*n^5-6610401585*n^6-71564461677*n^7-32380088955*n^8+82518795572*n^9+71404760430*n^10-23319841492*n^11-40053446201*n^12-54717649*n^13+13491173182*n^14+2970248131*n^15-2851237037*n^16-1621060046*n^17-118879234*n^18+139387822*n^19+50994497*n^20+7227561*n^21+378551*n^22)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/2025-(2224*den(1+n)^3*S(R(-3),n))/3+(16*(41+56*n)*den(1+n)^4*S(R(1),n)^2)/9+S(R(-2),n)*((16*(-432-1728*n-163476*n^2-98872*n^3+332520*n^4+245790*n^5-140919*n^6-156539*n^7-12558*n^8+23912*n^9+8337*n^10+829*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/15-224*den(1+n)^3*S(R(1),n))-(16*(-11+4*n)*den(1+n)^4*S(R(2),n))/9+S(R(1),n)*((4*(-466560-3050136*n-7147764*n^2+36622422*n^3+30059019*n^4-73741659*n^5-122744436*n^6-26122114*n^7+59040594*n^8+16954161*n^9-41418149*n^10-32218707*n^11-3311406*n^12+5229814*n^13+2554209*n^14+475659*n^15+32573*n^16)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4)/135+(80*den(1+n)^3*S(R(2),n))/3)+(64*den(1+n)^3*S(R(3),n))/3+(3872*den(1+n)^3*S(R(-2,1),n))/3-(160*den(1+n)^3*S(R(2,1),n))/3)-(4*(-1776+2584*n-221*n^2-66*n^3+3*n^4)*den(n)*den(1+n)*S(R(3,-2),n))/9-(4*(18576+21744*n+6252*n^2-22294*n^3-20843*n^4+2631*n^5+3227*n^6+379*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n))/27+(16*(-35+106*n+52*n^2)*den(n)*den(1+n)*S(R(3,2),n))/3+(1600*S(R(4,-2),n))/3+(8*(33+691*n+367*n^2)*den(n)*den(1+n)*S(R(4,1),n))/9-296*S(R(4,2),n)-(2144*S(R(5,1),n))/3-(4480*S(R(-4,1,1),n))/3+(704*S(R(-3,-2,1),n))/3-320*S(R(-3,1,-2),n)-(32*(61-122*n+22*n^2)*den(n)*den(1+n)*S(R(-3,1,1),n))/3-(2096*S(R(-3,1,2),n))/3-(1984*S(R(-3,2,1),n))/3+(4*(-500+582*n+271*n^2-22*n^3+n^4)*den(n)*den(1+n)*S(R(-2,1,-2),n))/3+S(R(-2),n)*((2*(-2566080-50077440*n-19911744*n^2+179471376*n^3+54996156*n^4-170783148*n^5-34773848*n^6+42035410*n^7-17344933*n^8-19173199*n^9+24323568*n^10+30680532*n^11+2297462*n^12-9244894*n^13-3080264*n^14+630730*n^15+429795*n^16+53145*n^17)*den(-2+n)^2*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^2*den(3+n)^3)/405+(1760*S(R(1),n)^3)/27+S(R(1),n)^2*((4*(-102-358*n+565*n^2+1459*n^3+536*n^4)*den(n)^2*den(1+n)^2)/9-(1984*S(R(2),n))/3)-(4*(-38556-9162*n-42234*n^2-3553*n^3+2520*n^4+2121*n^5+1472*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(2),n))/27+(1040*S(R(2),n)^2)/3+(16*(-1188+1951*n+115*n^2)*den(n)*den(1+n)*S(R(3),n))/27-(1648*S(R(4),n))/3+(1600*S(R(-3,1),n))/3-(4*(-84-14*n-133*n^2-22*n^3+n^4)*den(n)*den(1+n)*S(R(-2,1),n))/3-448*S(R(2,-2),n)+S(R(1),n)*((4*(-48600-153360*n-99882*n^2+30750*n^3-166261*n^4-325485*n^5-80897*n^6+65735*n^7+34062*n^8+4258*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81-(32*(-258+343*n+55*n^2)*den(n)*den(1+n)*S(R(2),n))/9+864*S(R(3),n)-160*S(R(-2,1),n)-960*S(R(2,1),n))+(32*(243-410*n+22*n^2)*den(n)*den(1+n)*S(R(2,1),n))/9+768*S(R(3,1),n)-(3584*S(R(-2,1,1),n))/3)+(8*(-39960-11448*n-43668*n^2-2785*n^3+2868*n^4+2121*n^5+1472*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(-2,1,1),n))/27-(64*(129-205*n+11*n^2)*den(n)*den(1+n)*S(R(-2,2,1),n))/9-(832*S(R(-2,2,2),n))/3-(1984*S(R(-2,3,1),n))/3+(128*S(R(2,-2,-2),n))/3-(16*(495-820*n+44*n^2)*den(n)*den(1+n)*S(R(2,1,-2),n))/9+S(R(1),n)^2*(((8100+19980*n+22752*n^2+3486*n^3+46837*n^4+236560*n^5+374706*n^6+231286*n^7+50689*n^8)*den(n)^4*den(1+n)^4)/162+(2*(-18-211*n+80*n^2+426*n^3+147*n^4)*den(n)^2*den(1+n)^2*S(R(2),n))/9-(8*S(R(2),n)^2)/3+(4*(240-205*n+11*n^2)*den(n)*den(1+n)*S(R(3),n))/9-72*S(R(4),n)-512*S(R(-3,1),n)-(32*(-171+199*n+55*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/9+(1888*S(R(2,-2),n))/3-(4*(12+209*n+209*n^2)*den(n)*den(1+n)*S(R(2,1),n))/9+(1168*S(R(3,1),n))/3+(4480*S(R(-2,1,1),n))/3-32*S(R(2,1,1),n))+(4*(-72-354*n+649*n^2+1565*n^3+562*n^4)*den(n)^2*den(1+n)^2*S(R(2,1,1),n))/9+S(R(2),n)*(-((1620+4536*n+12852*n^2+12042*n^3+202483*n^4+897907*n^5+1561114*n^6+1283176*n^7+495343*n^8+71503*n^9)*den(n)^4*den(1+n)^4*den(3+n))/54-(8*(36+455*n+455*n^2)*den(n)*den(1+n)*S(R(3),n))/27+120*S(R(4),n)+352*S(R(-3,1),n)+(16*(-201+310*n+22*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/3-352*S(R(2,-2),n)+16*(1+3*n+3*n^2)*den(n)*den(1+n)*S(R(2,1),n)-(1168*S(R(3,1),n))/3-1088*S(R(-2,1,1),n)+(272*S(R(2,1,1),n))/3)+(4*(-24+29*n+29*n^2)*den(n)*den(1+n)*S(R(2,2,1),n))/3+(640*S(R(2,3,1),n))/3-(1952*S(R(3,1,-2),n))/3-(16*(-264+611*n+287*n^2)*den(n)*den(1+n)*S(R(3,1,1),n))/9-(208*S(R(3,2,1),n))/3+(320*S(R(4,1,1),n))/3+384*S(R(-3,1,1,1),n)+(1408*S(R(-2,-2,1,1),n))/3-(64*(-333+454*n+22*n^2)*den(n)*den(1+n)*S(R(-2,1,1,1),n))/9+96*S(R(-2,1,1,2),n)-64*S(R(-2,2,1,1),n)+384*S(R(2,-2,1,1),n)-(16*(36+11*n+11*n^2)*den(n)*den(1+n)*S(R(2,1,1,1),n))/9+S(R(1),n)*(((-566870400-1662819840*n-761076000*n^2+3146445648*n^3+6023849472*n^4+1299875364*n^5+16710732648*n^6+36043247322*n^7-20761342152*n^8-103183909058*n^9-52324927197*n^10+80799309477*n^11+101954170857*n^12+15414848391*n^13-38748814842*n^14-27279606212*n^15-4298474262*n^16+2996426268*n^17+1868143551*n^18+468546405*n^19+58515525*n^20+2996875*n^21)*den(-2+n)*den(-1+n)^3*den(n)^5*den(1+n)^5*den(2+n)^3*den(3+n)^4)/3645-(4*(-6+145*n+145*n^2)*den(n)*den(1+n)*S(R(2),n)^2)/9+(4*(12204+21528*n-15489*n^2-72725*n^3-44536*n^4+8946*n^5+11260*n^6+1964*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/27-(4*(-162+1325*n+893*n^2)*den(n)*den(1+n)*S(R(4),n))/9-(736*S(R(5),n))/3+(1184*S(R(-4,1),n))/3+(64*S(R(-3,-2),n))/3+(64*(36-37*n+11*n^2)*den(n)*den(1+n)*S(R(-3,1),n))/3+1040*S(R(-3,2),n)-(8*(-20682-3609*n-28359*n^2-13805*n^3-150*n^4+4053*n^5+1540*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(3+n)*S(R(-2,1),n))/27-(32*(249-277*n+11*n^2)*den(n)*den(1+n)*S(R(2,-2),n))/9+S(R(2),n)*(-((1080+72*n-942*n^2+14025*n^3+47960*n^4+57930*n^5+26286*n^6+3221*n^7)*den(n)^3*den(1+n)^3*den(3+n))/27+(64*S(R(3),n))/3+1376*S(R(-2,1),n)-32*S(R(2,1),n))-(4*(-42-329*n+498*n^2+1351*n^3+536*n^4)*den(n)^2*den(1+n)^2*S(R(2,1),n))/9-(2912*S(R(3,-2),n))/3+(16*(-73+120*n+48*n^2)*den(n)*den(1+n)*S(R(3,1),n))/3+(1120*S(R(3,2),n))/3-(176*S(R(4,1),n))/3+(1600*S(R(-3,1,1),n))/3+(3424*S(R(-2,1,-2),n))/3+(128*(-141+166*n+22*n^2)*den(n)*den(1+n)*S(R(-2,1,1),n))/9+(3200*S(R(-2,2,1),n))/3+992*S(R(2,1,-2),n)+(8*(12+55*n+55*n^2)*den(n)*den(1+n)*S(R(2,1,1),n))/3+64*S(R(2,2,1),n)-(2816*S(R(3,1,1),n))/3-3200*S(R(-2,1,1,1),n)+128*S(R(2,1,1,1),n))-(272*S(R(2,2,1,1),n))/3+(2720*S(R(3,1,1,1),n))/3+2560*S(R(-2,1,1,1,1),n)-(640*S(R(2,1,1,1,1),n))/3 );

L   C2q3ca2cfz3
  = CA^2*CF*z3*( (2*(23328+178416*n+162024*n^2-114484*n^3-435602*n^4-482325*n^5-228970*n^6+51640*n^7+78156*n^8+17529*n^9)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/27+640*den(1+n)^3*(-1)^n+32*S(R(-3),n)+S(R(-2),n)*((-4*(-192+74*n-237*n^2-22*n^3+n^4)*den(n)*den(1+n))/3-320*S(R(1),n))-16*(-4+15*n+11*n^2)*den(n)*den(1+n)*S(R(1),n)^2+S(R(1),n)*((-8*(-7128+12312*n-52368*n^2-122465*n^3-60352*n^4+16611*n^5+17416*n^6+3098*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n))/27-64*S(R(2),n))+32*(1+18*n+18*n^2)*den(n)*den(1+n)*S(R(2),n)-128*S(R(3),n)+192*S(R(-2,1),n)+96*S(R(2,1),n) );

L   C2q3ca2cfz4
  = CA^2*CF*z4*( -6*(-4-4*n+n^2+10*n^3+5*n^4)*den(n)^2*den(1+n)^2-48*S(R(-2),n) );

L   C2q3ca2cfz5
  = CA^2*CF*z5*( (-5*(-96+406*n-n^2-22*n^3+n^4)*den(n)*den(1+n))/3+240*S(R(1),n) );

L   C2q3cf2nf
  = CF^2*NF*( -((424569600+2252707200*n+3563170560*n^2-1665115488*n^3-11197455840*n^4-6367566120*n^5+19945429840*n^6+21247146254*n^7-25337043757*n^8-56304054937*n^9-31402927380*n^10+7014878534*n^11+16950753439*n^12+5515542615*n^13-4368849856*n^14-5431747950*n^15-2734329887*n^16-775826763*n^17-120340924*n^18-6687750*n^19+600525*n^20+76725*n^21)*den(-1+n)^3*den(n)^5*den(1+n)^5*den(2+n)^4*den(3+n)^4)/8100+(1312*S(R(-5),n))/9-(16*(-54+373*n+157*n^2)*den(n)*den(1+n)*S(R(-4),n))/27+S(R(-2),n)^2*((-16*(-6+21*n+13*n^2)*den(n)*den(1+n))/3-(128*S(R(1),n))/3)-(10*(-2+7*n+7*n^2)*den(n)*den(1+n)*S(R(1),n)^4)/9-(8*S(R(1),n)^5)/9-(2*(-354+455*n+167*n^2)*den(n)*den(1+n)*S(R(2),n)^2)/27+S(R(1),n)^3*(-((292+164*n+767*n^2+1702*n^3+683*n^4)*den(n)^2*den(1+n)^2)/27+(416*S(R(2),n))/27)+S(R(-3),n)*((-32*(-4860-5436*n-4173*n^2+4787*n^3+2215*n^4-1119*n^5-379*n^6+25*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n))/81+(256*S(R(-2),n))/3-(128*(-15+28*n+10*n^2)*den(n)*den(1+n)*S(R(1),n))/27-(448*S(R(1),n)^2)/9+64*S(R(2),n))+(-1)^n*((-16*(4199040+17519328*n+13176432*n^2-189692928*n^3-506433600*n^4+621804726*n^5+1754342511*n^6+291280919*n^7-1162093914*n^8-381519971*n^9+523858465*n^10+299326608*n^11-88361170*n^12-110597726*n^13-23102589*n^14+6535361*n^15+3962804*n^16+705603*n^17+44341*n^18)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^4)/2025+(448*den(1+n)^3*S(R(-2),n))/3+(64*(1944+8748*n+189270*n^2+57555*n^3-364068*n^4-298615*n^5+60738*n^6+122132*n^7+9805*n^8-25351*n^9-9866*n^10-1125*n^11+n^12)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^3*den(3+n)^3*S(R(1),n))/135+(64*den(1+n)^3*S(R(1),n)^2)/9+(64*den(1+n)^3*S(R(2),n))/9)+(2*(4032-3516*n+29388*n^2+122983*n^3+124855*n^4+50345*n^5+7241*n^6)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/81-(8*(-309+782*n+170*n^2)*den(n)*den(1+n)*S(R(4),n))/27+(64*S(R(5),n))/3+(64*(-9+22*n+10*n^2)*den(n)*den(1+n)*S(R(-3,1),n))/9-(256*S(R(-3,2),n))/9-(64*(126-57*n-50*n^2+643*n^3+404*n^4+83*n^5)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1),n))/81-(64*(-3+10*n+10*n^2)*den(n)*den(1+n)*S(R(2,-2),n))/27+S(R(1),n)^2*(((576+1096*n-42*n^2-695*n^3-77*n^4-109*n^5+83*n^6)*den(n)^3*den(1+n)^3)/18+(8*(-29+94*n+82*n^2)*den(n)*den(1+n)*S(R(2),n))/9-(232*S(R(3),n))/9-(640*S(R(-2,1),n))/9-(176*S(R(2,1),n))/9)-(8*(156+184*n+311*n^2+539*n^3+773*n^4+517*n^5+112*n^6)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(2,1),n))/9+S(R(2),n)*(-((34560+97776*n+69852*n^2+98396*n^3+435881*n^4+740074*n^5+566428*n^6+203826*n^7+28023*n^8)*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/162-(488*S(R(3),n))/27+(128*S(R(-2,1),n))/3+16*S(R(2,1),n))+S(R(-2),n)*((16*(-28944-27720*n+29772*n^2+23470*n^3+18342*n^4-7279*n^5-2444*n^6-105*n^7-1405*n^8+324*n^9+261*n^10)*den(-2+n)^2*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81+(128*(-4+11*n+5*n^2)*den(n)*den(1+n)*S(R(1),n)^2)/9+(640*S(R(1),n)^3)/27+S(R(1),n)*((64*(-1836-180*n-339*n^2-4016*n^3-1789*n^4+582*n^5+487*n^6+83*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n))/81-(640*S(R(2),n))/9)-(128*(-12+23*n+5*n^2)*den(n)*den(1+n)*S(R(2),n))/27+(512*S(R(3),n))/27+(256*S(R(2,1),n))/9)+(448*S(R(3,-2),n))/9-(8*(156+215*n+431*n^2)*den(n)*den(1+n)*S(R(3,1),n))/27+(992*S(R(3,2),n))/9+(1504*S(R(4,1),n))/9-(256*S(R(-3,1,1),n))/3+(256*S(R(-2,1,-2),n))/3+(128*(-21+46*n+10*n^2)*den(n)*den(1+n)*S(R(-2,1,1),n))/27-(256*S(R(-2,2,1),n))/9-(256*S(R(2,1,-2),n))/9+(8*(-16+29*n+5*n^2)*den(n)*den(1+n)*S(R(2,1,1),n))/3+S(R(1),n)*(((-20684160-74338560*n-49054464*n^2+74252880*n^3+124751160*n^4+73833400*n^5+101420468*n^6+38680609*n^7-226238351*n^8-314435920*n^9-110132360*n^10+68854426*n^11+80688434*n^12+33429952*n^13+7089180*n^14+750285*n^15+30045*n^16)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^3*den(3+n)^3)/1620+((24408+27036*n+52890*n^2+133571*n^3+134975*n^4+58477*n^5+9187*n^6)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(2),n))/81-(376*S(R(2),n)^2)/9-(4*(-138-83*n+61*n^2)*den(n)*den(1+n)*S(R(3),n))/27-(832*S(R(4),n))/9+(256*S(R(-3,1),n))/3-(512*(-6+14*n+5*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/27-(128*S(R(2,-2),n))/9-(8*(-34+61*n+13*n^2)*den(n)*den(1+n)*S(R(2,1),n))/9+(544*S(R(3,1),n))/9+(1024*S(R(-2,1,1),n))/9+(160*S(R(2,1,1),n))/3)+(32*S(R(2,2,1),n))/3-(1472*S(R(3,1,1),n))/9-(512*S(R(-2,1,1,1),n))/9-(128*S(R(2,1,1,1),n))/3 );

L   C2q3cf2nfz3
  = CF^2*NF*z3*( (8*(2880+864*n-2720*n^2-4220*n^3-4588*n^4-523*n^5+1362*n^6+417*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n))/9+(448*S(R(-2),n))/3-(8*(-78+313*n+73*n^2)*den(n)*den(1+n)*S(R(1),n))/9-16*S(R(1),n)^2+(176*S(R(2),n))/3 );

L   C2q3cf2nfz4
  = CF^2*NF*z4*( -4*(2+3*n+3*n^2)*den(n)*den(1+n)+16*S(R(1),n) );

L   C2q3cacfnf
  = CA*CF*NF*( ((-7082380800-17142347520*n+9392288256*n^2+52438871232*n^3+12852669600*n^4-59770944000*n^5+50870668272*n^6+179396081228*n^7-21313864768*n^8-271672535567*n^9-112371795508*n^10+224713861726*n^11+256872799964*n^12+33938072367*n^13-103278621176*n^14-74913020896*n^15-13425567656*n^16+8054238335*n^17+5541771196*n^18+1485241750*n^19+197208300*n^20+10716225*n^21)*den(-2+n)*den(-1+n)^3*den(n)^4*den(1+n)^5*den(2+n)^4*den(3+n)^4)/36450-(656*S(R(-5),n))/9+(8*(-54+373*n+157*n^2)*den(n)*den(1+n)*S(R(-4),n))/27-(44*S(R(1),n)^4)/27+S(R(-2),n)^2*((8*(-6+21*n+13*n^2)*den(n)*den(1+n))/3+(64*S(R(1),n))/3)+S(R(-3),n)*((16*(-4860-5436*n-4173*n^2+4787*n^3+2215*n^4-1119*n^5-379*n^6+25*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n))/81-(128*S(R(-2),n))/3+(64*(-15+28*n+10*n^2)*den(n)*den(1+n)*S(R(1),n))/27+(224*S(R(1),n)^2)/9-32*S(R(2),n))+S(R(1),n)^3*((-8*(-33+194*n+194*n^2)*den(n)*den(1+n))/81-(112*S(R(2),n))/27)-(2*(40+61*n+109*n^2)*den(n)*den(1+n)*S(R(2),n)^2)/9+(-1)^n*((8*(4199040+17519328*n+13176432*n^2-189692928*n^3-506433600*n^4+621804726*n^5+1754342511*n^6+291280919*n^7-1162093914*n^8-381519971*n^9+523858465*n^10+299326608*n^11-88361170*n^12-110597726*n^13-23102589*n^14+6535361*n^15+3962804*n^16+705603*n^17+44341*n^18)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^4)/2025-(224*den(1+n)^3*S(R(-2),n))/3-(32*(1944+8748*n+189270*n^2+57555*n^3-364068*n^4-298615*n^5+60738*n^6+122132*n^7+9805*n^8-25351*n^9-9866*n^10-1125*n^11+n^12)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^3*den(3+n)^3*S(R(1),n))/135-(32*den(1+n)^3*S(R(1),n)^2)/9-(32*den(1+n)^3*S(R(2),n))/9)-(4*(-1656+1596*n-23230*n^2-64685*n^3-39436*n^4+6514*n^5+11006*n^6+2251*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/27+(2*(9576-30444*n-34066*n^2+539*n^3+7540*n^4+1687*n^5)*den(-2+n)*den(n)*den(1+n)*den(2+n)*den(3+n)*S(R(4),n))/27-(176*S(R(5),n))/9-(32*(-9+22*n+10*n^2)*den(n)*den(1+n)*S(R(-3,1),n))/9+(128*S(R(-3,2),n))/9+(32*(126-57*n-50*n^2+643*n^3+404*n^4+83*n^5)*den(n)^2*den(1+n)^2*den(2+n)*S(R(-2,1),n))/81+(32*(-3+10*n+10*n^2)*den(n)*den(1+n)*S(R(2,-2),n))/27+S(R(-2),n)*((-8*(-28944-27720*n+29772*n^2+23470*n^3+18342*n^4-7279*n^5-2444*n^6-105*n^7-1405*n^8+324*n^9+261*n^10)*den(-2+n)^2*den(n)^3*den(1+n)^3*den(2+n)*den(3+n))/81-(64*(-4+11*n+5*n^2)*den(n)*den(1+n)*S(R(1),n)^2)/9-(320*S(R(1),n)^3)/27+(64*(-12+23*n+5*n^2)*den(n)*den(1+n)*S(R(2),n))/27+S(R(1),n)*((-32*(-1836-180*n-339*n^2-4016*n^3-1789*n^4+582*n^5+487*n^6+83*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n))/81+(320*S(R(2),n))/9)-(256*S(R(3),n))/27-(128*S(R(2,1),n))/9)+S(R(2),n)*(((-324+3996*n+5076*n^2+99087*n^3+329824*n^4+395214*n^5+193848*n^6+32287*n^7)*den(n)^3*den(1+n)^3*den(3+n))/81+(760*S(R(3),n))/27-(64*S(R(-2,1),n))/3-8*S(R(2,1),n))+(4*(360+66*n+2733*n^2+6329*n^3+4825*n^4+1103*n^5)*den(n)^2*den(1+n)^2*den(3+n)*S(R(2,1),n))/27+S(R(1),n)^2*(-((-540+504*n+336*n^2+8113*n^3+27861*n^4+26499*n^5+7531*n^6)*den(n)^3*den(1+n)^3)/81+(4*(17-10*n+2*n^2)*den(n)*den(1+n)*S(R(2),n))/9-(8*S(R(3),n))/9+(320*S(R(-2,1),n))/9+(152*S(R(2,1),n))/9)-(224*S(R(3,-2),n))/9-(4*(2592-2004*n-3392*n^2-347*n^3+308*n^4+131*n^5)*den(-2+n)*den(n)*den(1+n)*den(2+n)*den(3+n)*S(R(3,1),n))/27-(160*S(R(3,2),n))/3-(560*S(R(4,1),n))/9+(128*S(R(-3,1,1),n))/3-(128*S(R(-2,1,-2),n))/3-(64*(-21+46*n+10*n^2)*den(n)*den(1+n)*S(R(-2,1,1),n))/27+(128*S(R(-2,2,1),n))/9+(128*S(R(2,1,-2),n))/9+S(R(1),n)*((-2*(-12597120+9797760*n+53514432*n^2-30392496*n^3-426777120*n^4-1086221340*n^5-939777174*n^6+1134227000*n^7+2817292254*n^8+1362271151*n^9-1073278950*n^10-1469453518*n^11-507584358*n^12+94997140*n^13+130852308*n^14+43562950*n^15+6660240*n^16+402265*n^17)*den(-2+n)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^3*den(3+n)^3)/3645+(4*(-180-231*n+927*n^2+2899*n^3+1985*n^4+328*n^5)*den(n)^2*den(1+n)^2*den(3+n)*S(R(2),n))/27+(112*S(R(2),n)^2)/9-(16*(72-1518*n-1669*n^2+32*n^3+460*n^4+97*n^5)*den(-2+n)*den(n)*den(1+n)*den(2+n)*den(3+n)*S(R(3),n))/27+(656*S(R(4),n))/9-(128*S(R(-3,1),n))/3+(256*(-6+14*n+5*n^2)*den(n)*den(1+n)*S(R(-2,1),n))/27+(64*S(R(2,-2),n))/9+(8*(-25+64*n+40*n^2)*den(n)*den(1+n)*S(R(2,1),n))/9-48*S(R(3,1),n)-(512*S(R(-2,1,1),n))/9-(80*S(R(2,1,1),n))/3)-(32*(-6+13*n+4*n^2)*den(n)*den(1+n)*S(R(2,1,1),n))/9-(32*S(R(2,2,1),n))/3+(848*S(R(3,1,1),n))/9+(256*S(R(-2,1,1,1),n))/9+(32*S(R(2,1,1,1),n))/9 );

L   C2q3cacfnfz3
  = CA*CF*NF*z3*( (-2*(9936-11820*n-2896*n^2-13819*n^3+3318*n^4+3153*n^5)*den(-2+n)*den(n)^2*den(1+n)*den(3+n))/27-(224*S(R(-2),n))/3+(8*(1728-8724*n-7756*n^2+899*n^3+2020*n^4+361*n^5)*den(-2+n)*den(n)*den(1+n)*den(2+n)*den(3+n)*S(R(1),n))/27+16*S(R(1),n)^2-(176*S(R(2),n))/3 );

L   C2q3cacfnfz4
  = CA*CF*NF*z4*( 4*(2+3*n+3*n^2)*den(n)*den(1+n)-16*S(R(1),n) );

L   C2q3cfnf2
  = CF*NF^2*( -((-9936-21888*n-9864*n^2+3044*n^3+3519*n^4+23004*n^5+57098*n^6+63048*n^7+28551*n^8)*den(n)^4*den(1+n)^4)/1458+(4*(-6+29*n+29*n^2)*den(n)*den(1+n)*S(R(1),n)^3)/81+(4*S(R(1),n)^4)/27+S(R(1),n)^2*((2*(72+66*n+319*n^2+596*n^3+235*n^4)*den(n)^2*den(1+n)^2)/81-(8*S(R(2),n))/9)-(2*(72+66*n+1139*n^2+2236*n^3+1055*n^4)*den(n)^2*den(1+n)^2*S(R(2),n))/81+(20*S(R(2),n)^2)/9+(8*(-6+247*n+247*n^2)*den(n)*den(1+n)*S(R(3),n))/81+S(R(1),n)*((2*(-1944-2700*n+666*n^2+10171*n^3+23997*n^4+20253*n^5+4357*n^6)*den(n)^3*den(1+n)^3)/729-(4*(-6+29*n+29*n^2)*den(n)*den(1+n)*S(R(2),n))/27+(32*S(R(3),n))/27)-(248*S(R(4),n))/27-(304*S(R(2,1),n))/27+(64*S(R(3,1),n))/9-(32*S(R(2,1,1),n))/9 );

L   C2q3cfnf2z3
  = CF*NF^2*z3*( (-8*(2+3*n+3*n^2)*den(n)*den(1+n))/27+(32*S(R(1),n))/27 );

L   C2q3dabc
  = (dabc*NF)/NC*( (64*(46656+241056*n+285120*n^2+2913156*n^3+4032666*n^4-6982710*n^5-13983192*n^6+3748775*n^7+24287501*n^8+21088239*n^9+5174500*n^10-3587501*n^11-3613853*n^12-1537605*n^13-375480*n^14-4275*n^15+61131*n^16+39453*n^17+13724*n^18+2805*n^19+315*n^20+15*n^21)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^5)/15-512*(-1+n)*den(n)*den(1+n)*S(R(-5),n)+64*(30-15*n+n^3)*den(-2+n)*den(1+n)*den(3+n)*S(R(-4),n)+64*(-1+n)*den(1+n)*S(R(-2),n)^2+S(R(-3),n)*(128*(-24+46*n+21*n^2-21*n^3+2*n^5)*den(-2+n)*den(n)*den(1+n)*den(2+n)*den(3+n)+512*(-3+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(1),n))-128*(24-64*n-54*n^2-20*n^3-n^4+11*n^5+7*n^6+n^7)*den(-2+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n)*S(R(3),n)+S(R(-2),n)*(-64*(48+88*n+60*n^2+80*n^3-9*n^4-76*n^5-20*n^6+16*n^7+5*n^8)*den(-2+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n)-256*(-6-23*n-17*n^2-4*n^3+2*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n)-1024*(-3+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(2),n)-512*(-1+n)*den(n)*den(1+n)*S(R(3),n))+(-1)^n*((-128*(-11664-66096*n-104328*n^2-765873*n^3-1308483*n^4+1251006*n^5+4155861*n^6+812608*n^7-6148260*n^8-8443716*n^9-5112538*n^10-1222425*n^11+391097*n^12+435046*n^13+170573*n^14+37234*n^15+4478*n^16+232*n^17)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^5)/15+256*den(1+n)^3*S(R(-2),n)-(128*(2592+11232*n+12096*n^2+466962*n^3+345497*n^4-875298*n^5-858327*n^6+942754*n^7+1574996*n^8+314464*n^9-606946*n^10-432646*n^11-69251*n^12+34498*n^13+18425*n^14+3442*n^15+246*n^16)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4*S(R(1),n))/15+1024*den(1+n)^3*S(R(3),n))-256*(-24-8*n-12*n^2-5*n^3+n^5)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n)+512*(-1+n)*den(n)*den(1+n)*S(R(-4,1),n)-1024*(-3+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(-3,1),n)-256*(-24+46*n+21*n^2-21*n^3+2*n^5)*den(-2+n)*den(n)*den(1+n)*den(2+n)*den(3+n)*S(R(-2,1),n)+S(R(1),n)*((-128*(-2592-11232*n+94824*n^2-154302*n^3-292847*n^4+186033*n^5+167592*n^6-716734*n^7-880721*n^8+17081*n^9+538156*n^10+284626*n^11-17749*n^12-66793*n^13-25820*n^14-4102*n^15-171*n^16+15*n^17)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4)/15-256*(-24-8*n-12*n^2-5*n^3+n^5)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n)-1024*(-3+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(-2,1),n))+1024*(-3+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(2,-2),n)+512*(-1+n)*den(n)*den(1+n)*S(R(3,-2),n)+512*(-24-8*n-12*n^2-5*n^3+n^5)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n)+2048*(-3+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(-2,1,1),n) );

L   C2q3dabcz3
  = (dabc*NF*z3)/NC*( (32*(-432-3108*n-952*n^2+867*n^3+292*n^4+26*n^5+36*n^6+7*n^7)*den(-2+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n))/3-2048*den(1+n)^3*(-1)^n+1024*(-1+n)*den(n)*den(1+n)*S(R(-2),n)+1024*(-12-4*n-3*n^2+n^3)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n) );

L   C2q3dabcz5
  = (dabc*NF*z5)/NC*( (-1280*(-3+n)*(-2+n)*den(n)*den(1+n))/3 );

L   Clq1
  = CF*( 4*den(1+n) );

L   Clq2cf2
  = CF^2*( (-2*(-432-4104*n+22992*n^2+44894*n^3-11383*n^4-114524*n^5-149336*n^6-85432*n^7-13574*n^8+9300*n^9+5472*n^10+1130*n^11+85*n^12)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/5+(32*(-216-864*n-2748*n^2+1969*n^3+8610*n^4+7160*n^5+2733*n^6+963*n^7+556*n^8+226*n^9+41*n^10+2*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*(-1)^n)/5-32*den(1+n)*S(R(-3),n)-4*(2+13*n+9*n^2)*den(n)*den(1+n)^2*S(R(1),n)+8*den(1+n)*S(R(1),n)^2+S(R(-2),n)*(64*(-6-2*n-n^2+2*n^3+n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)-64*den(1+n)*S(R(1),n))-8*den(1+n)*S(R(2),n)-32*den(1+n)*S(R(3),n)+64*den(1+n)*S(R(-2,1),n) );

L   Clq2cf2z3
  = CF^2*z3*( 96*den(1+n) );

L   Clq2cacf
  = CA*CF*( (2*(7776-648*n+119124*n^2+300258*n^3+84099*n^4-627068*n^5-979012*n^6-516984*n^7+35682*n^8+160740*n^9+73464*n^10+14390*n^11+1075*n^12)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/45-(16*(-216-864*n-2748*n^2+1969*n^3+8610*n^4+7160*n^5+2733*n^6+963*n^7+556*n^8+226*n^9+41*n^10+2*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*(-1)^n)/5+16*den(1+n)*S(R(-3),n)+(92*den(1+n)*S(R(1),n))/3+S(R(-2),n)*(-32*(-6-2*n-n^2+2*n^3+n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)+32*den(1+n)*S(R(1),n))+16*den(1+n)*S(R(3),n)-32*den(1+n)*S(R(-2,1),n) );

L   Clq2cacfz3
  = CA*CF*z3*( -48*den(1+n) );

L   Clq2cfnf
  = CF*NF*( (-4*(-6+7*n+19*n^2)*den(n)*den(1+n)^2)/9-(8*den(1+n)*S(R(1),n))/3 );

L   Clq3cf3
  = CF^3*( ((158630400+709108992*n+830932992*n^2+152406144*n^3+2640155904*n^4+13968278112*n^5+18661722048*n^6-9449008520*n^7-73495148810*n^8-148624659607*n^9-179269611962*n^10-119338590011*n^11-11563928154*n^12+50135461917*n^13+41184075846*n^14+11056815545*n^15-2773054894*n^16-2629173637*n^17-408919134*n^18+214826447*n^19+122506514*n^20+27570143*n^21+3109650*n^22+145275*n^23)*den(-2+n)*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/450-64*(10+n+n^2)*den(1+n)*S(R(-5),n)-8*(2+13*n+9*n^2)*den(n)*den(1+n)^2*S(R(1),n)^3+8*den(1+n)*S(R(1),n)^4+S(R(-4),n)*(64*(-162+65*n+70*n^2+10*n^3+5*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)-1664*den(1+n)*S(R(1),n))+S(R(-2),n)^2*(-32*(-8+n+n^2)*(-6+5*n+5*n^2)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)-256*den(1+n)*S(R(1),n))+24*den(1+n)*S(R(2),n)^2+S(R(-3),n)*(32*(96+32*n+712*n^2+542*n^3-23*n^4-182*n^5+92*n^6+136*n^7+35*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n)-384*den(1+n)*S(R(-2),n)-32*(-420-12*n+7*n^2+90*n^3+47*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(1),n)+1216*den(1+n)*S(R(1),n)^2-4544*den(1+n)*S(R(2),n))+8*(216+1956*n+1574*n^2-631*n^3-1178*n^4+384*n^5+700*n^6+179*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n)*S(R(3),n)-16*(432+596*n+240*n^2-637*n^3-131*n^4+225*n^5+75*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n)+64*(-1+n)*(2+n)*den(1+n)*S(R(5),n)-2176*den(1+n)*S(R(-4,1),n)+128*(-156+24*n+35*n^2+22*n^3+11*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-3,1),n)+2304*den(1+n)*S(R(-3,2),n)-64*(-72+648*n+664*n^2+131*n^3-104*n^4+62*n^5+88*n^6+23*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n)*S(R(-2,1),n)+S(R(1),n)^2*((-2*(-9504-57888*n-67596*n^2+22868*n^3+112199*n^4+5342*n^5-205442*n^6-241394*n^7-121388*n^8-27110*n^9-706*n^10+710*n^11+85*n^12)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/5-80*den(1+n)*S(R(2),n)+64*den(1+n)*S(R(3),n)-1408*den(1+n)*S(R(-2,1),n))+S(R(2),n)*((2*(-5184-49248*n-36996*n^2+70908*n^3+89859*n^4-95618*n^5-264762*n^6-217954*n^7-79388*n^8-6790*n^9+4014*n^10+1230*n^11+105*n^12)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/5+64*den(1+n)*S(R(3),n)+4480*den(1+n)*S(R(-2,1),n))+(-1)^n*((16*(18662400+94182912*n+100875456*n^2-210663072*n^3-268537248*n^4+1125039360*n^5+1965851112*n^6-1263814634*n^7-6506438725*n^8-8038916022*n^9-4515345006*n^10+242043170*n^11+2503532029*n^12+1913165034*n^13+493607700*n^14-193425958*n^15-178564619*n^16-37917890*n^17+8663042*n^18+6294254*n^19+1368883*n^20+134446*n^21+4976*n^22)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/225-640*den(1+n)^3*S(R(-3),n)+(32*(1296000+3363552*n-5403888*n^2-42212088*n^3-22107296*n^4+118734032*n^5+183741603*n^6+57371907*n^7-46919067*n^8-24463128*n^9+6419874*n^10-719770*n^11-6563010*n^12-2369784*n^13+462891*n^14+448311*n^15+96893*n^16+6968*n^17)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4*S(R(1),n))/75+(64*(-216-864*n-2748*n^2+1969*n^3+8610*n^4+7160*n^5+2733*n^6+963*n^7+556*n^8+226*n^9+41*n^10+2*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*S(R(1),n)^2)/5+S(R(-2),n)*((64*(-864-3456*n-55272*n^2-12104*n^3+118230*n^4+81135*n^5-28488*n^6-34123*n^7-306*n^8+6649*n^9+2124*n^10+203*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/15-256*den(1+n)^3*S(R(1),n))-(64*(-216-864*n-2748*n^2+1969*n^3+8610*n^4+7160*n^5+2733*n^6+963*n^7+556*n^8+226*n^9+41*n^10+2*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*S(R(2),n))/5-256*den(1+n)^3*S(R(3),n)+1280*den(1+n)^3*S(R(-2,1),n))-128*(-150+29*n+39*n^2+20*n^3+10*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(2,-2),n)+16*(-2+3*n+3*n^2)*den(n)*den(1+n)^2*S(R(2,1),n)+S(R(-2),n)*((-32*(-51840-100224*n+247536*n^2+906696*n^3+385052*n^4-1014358*n^5-1008420*n^6+28407*n^7+475366*n^8+181378*n^9-105538*n^10-94948*n^11-11114*n^12+10276*n^13+3870*n^14+405*n^15)*den(-2+n)^2*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^2*den(3+n)^3)/15-64*(24-28*n-n^2+3*n^3)*den(-2+n)*den(n)*den(1+n)*den(3+n)*S(R(1),n)^2-128*den(1+n)*S(R(1),n)^3+256*(-69+18*n+22*n^2+8*n^3+4*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(2),n)+S(R(1),n)*(64*(288-192*n-1060*n^2-272*n^3+421*n^4+363*n^5-173*n^6-129*n^7+20*n^8+14*n^9)*den(-2+n)^2*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n)-2944*den(1+n)*S(R(2),n))+3328*den(1+n)*S(R(3),n)+128*(-1+n)*(2+n)*den(1+n)*S(R(-2,1),n)-4608*den(1+n)*S(R(2,1),n))+128*(-27+n+n^2)*den(1+n)*S(R(3,-2),n)+32*(288+572*n+284*n^2-511*n^3-93*n^4+195*n^5+65*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n)-384*den(1+n)*S(R(3,2),n)-384*den(1+n)*S(R(4,1),n)+4608*den(1+n)*S(R(-3,1,1),n)-128*(-8+n+n^2)*den(1+n)*S(R(-2,1,-2),n)-256*(-144+34*n+43*n^2+18*n^3+9*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-2,1,1),n)+S(R(1),n)*((8*(-2462400-6492096*n-10036224*n^2-29943288*n^3+16526864*n^4+206451446*n^5+307586029*n^6+174242966*n^7+82051474*n^8+124758056*n^9+100066501*n^10+340248*n^11-44215896*n^12-27312966*n^13-6779901*n^14-293766*n^15+205078*n^16+41400*n^17+2475*n^18)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4)/75+8*(1+3*n)*(10+9*n)*den(n)*den(1+n)^2*S(R(2),n)-64*(60+148*n+101*n^2-142*n^3-37*n^4+52*n^5+18*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n)+640*den(1+n)*S(R(4),n)-3584*den(1+n)*S(R(-3,1),n)+64*(-276+60*n+55*n^2+42*n^3+23*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-2,1),n)+3328*den(1+n)*S(R(2,-2),n)+64*den(1+n)*S(R(2,1),n)-512*den(1+n)*S(R(3,1),n)+6144*den(1+n)*S(R(-2,1,1),n))+4608*den(1+n)*S(R(-2,2,1),n)+4608*den(1+n)*S(R(2,1,-2),n)-96*den(1+n)*S(R(2,1,1),n)+768*den(1+n)*S(R(3,1,1),n)-9216*den(1+n)*S(R(-2,1,1,1),n) );

L   Clq3cf3z3
  = CF^3*z3*( -16*(-288-336*n+1996*n^2+2156*n^3+1127*n^4+364*n^5+522*n^6+424*n^7+115*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n)+1152*den(1+n)^3*(-1)^n+128*(-9+n+n^2)*den(1+n)*S(R(-2),n)+32*(360+100*n+226*n^2-93*n^3+15*n^4+141*n^5+51*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n)-64*den(1+n)*S(R(1),n)^2-192*den(1+n)*S(R(2),n) );

L   Clq3cf3z5
  = CF^3*z5*( 160*(-26+n+n^2)*den(1+n) );

L   Clq3cacf2
  = CA*CF^2*( -((537477120+3222436608*n+6648822144*n^2+5051704320*n^3-364667616*n^4-30016014336*n^5+51471729960*n^6+372867036912*n^7+460303047526*n^8-150737582043*n^9-877142684498*n^10-852773882311*n^11-221129896898*n^12+239461067393*n^13+237405322166*n^14+63617055797*n^15-22170935182*n^16-19527558497*n^17-3264783862*n^18+1534972987*n^19+929821770*n^20+215978875*n^21+24921450*n^22+1182375*n^23)*den(-2+n)*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/1350+64*(11+n+n^2)*den(1+n)*S(R(-5),n)+(640*den(1+n)*S(R(1),n)^3)/9+S(R(-2),n)^2*((16*(432-606*n-529*n^2+154*n^3+77*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n))/3+384*den(1+n)*S(R(1),n))+S(R(-4),n)*(32*(402-235*n-233*n^2+4*n^3+2*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)+2112*den(1+n)*S(R(1),n))+(304*den(1+n)*S(R(2),n)^2)/3+S(R(-3),n)*((-16*(864+5976*n+21780*n^2+12454*n^3-7037*n^4-11882*n^5+1756*n^6+5260*n^7+1357*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n))/9+448*den(1+n)*S(R(-2),n)+(16*(-2412-612*n-347*n^2+686*n^3+349*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(1),n))/3-1120*den(1+n)*S(R(1),n)^2+5344*den(1+n)*S(R(2),n))-(8*(3024+25476*n+27280*n^2-4859*n^3-15536*n^4+4066*n^5+7264*n^6+1669*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n)*S(R(3),n))/9+(32*(252+1896*n+1121*n^2-1416*n^3-373*n^4+402*n^5+134*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n))/3-64*(-8+n+n^2)*den(1+n)*S(R(5),n)+2496*den(1+n)*S(R(-4,1),n)-(64*(-1044-48*n+61*n^2+218*n^3+109*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-3,1),n))/3-2688*den(1+n)*S(R(-3,2),n)+(32*(-1296+15924*n+17776*n^2+1213*n^3-6956*n^4+430*n^5+2716*n^6+721*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n)*S(R(-2,1),n))/9+S(R(2),n)*((-2*(5184-61992*n-152964*n^2+3162*n^3+353081*n^4+171768*n^5-509248*n^6-671916*n^7-224022*n^8+89040*n^9+87196*n^10+23730*n^11+2245*n^12)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/15-32*den(1+n)*S(R(3),n)-5312*den(1+n)*S(R(-2,1),n))+S(R(1),n)^2*((-2*(-15552+185976*n+875772*n^2+1187154*n^3-352023*n^4-1796824*n^5-692216*n^6+1086228*n^7+1327986*n^8+652800*n^9+170292*n^10+23290*n^11+1325*n^12)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/45-(128*den(1+n)*S(R(2),n))/3+160*den(1+n)*S(R(3),n)+1728*den(1+n)*S(R(-2,1),n))+(-1)^n*((8*(-22394880-180807552*n-390303360*n^2+156822048*n^3+1002509424*n^4-97011528*n^5-7248321472*n^6-13056462218*n^7+86277395*n^8+21131914694*n^9+21159178186*n^10+4250313238*n^11-5730022955*n^12-4399182558*n^13-1151221668*n^14-113873086*n^15-75451043*n^16-45936406*n^17+491274*n^18+8266418*n^19+2985739*n^20+443990*n^21+24400*n^22)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/225+832*den(1+n)^3*S(R(-3),n)-(16*(6998400+17011296*n-36042624*n^2-256576824*n^3-125004708*n^4+637950436*n^5+974867619*n^6+317752711*n^7-233210541*n^8-119174844*n^9+47548302*n^10+5330490*n^11-34045230*n^12-14051632*n^13+2012943*n^14+2433903*n^15+552639*n^16+41264*n^17)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4*S(R(1),n))/225-(32*(-216-864*n-2748*n^2+1969*n^3+8610*n^4+7160*n^5+2733*n^6+963*n^7+556*n^8+226*n^9+41*n^10+2*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*S(R(1),n)^2)/5+S(R(-2),n)*((-32*(-2592-10368*n-213336*n^2-47112*n^3+439290*n^4+284665*n^5-126044*n^6-135289*n^7-1958*n^8+25127*n^9+8032*n^10+769*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/15+128*den(1+n)^3*S(R(1),n))+(32*(-216-864*n-2748*n^2+1969*n^3+8610*n^4+7160*n^5+2733*n^6+963*n^7+556*n^8+226*n^9+41*n^10+2*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*S(R(2),n))/5+256*den(1+n)^3*S(R(3),n)-1664*den(1+n)^3*S(R(-2,1),n))+64*(-342+33*n+61*n^2+56*n^3+28*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(2,-2),n)-(16*(-36-140*n+269*n^2+418*n^3+121*n^4)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2,1),n))/3+S(R(-2),n)*((16*(-155520-1459296*n+424224*n^2+10220544*n^3+5981928*n^4-12152102*n^5-12418430*n^6+1587843*n^7+7240604*n^8+2502932*n^9-1692612*n^10-1432702*n^11-174796*n^12+141474*n^13+53290*n^14+5515*n^15)*den(-2+n)^2*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^2*den(3+n)^3)/45-(32*(-72-108*n+35*n^2+23*n^3)*den(-2+n)*den(n)*den(1+n)*den(3+n)*S(R(1),n)^2)/3+64*den(1+n)*S(R(1),n)^3-(128*(-495+126*n+154*n^2+56*n^3+28*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(2),n))/3+S(R(1),n)*((-32*(2592-3600*n-17652*n^2-13136*n^3+9863*n^4+14021*n^5-4267*n^6-3991*n^7+536*n^8+370*n^9)*den(-2+n)^2*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n))/9+3520*den(1+n)*S(R(2),n))-3840*den(1+n)*S(R(3),n)-128*(-3+n+n^2)*den(1+n)*S(R(-2,1),n)+5376*den(1+n)*S(R(2,1),n))-64*(-65+2*n+2*n^2)*den(1+n)*S(R(3,-2),n)-64*(48+324*n+284*n^2-63*n^3+11*n^4+51*n^5+17*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n)-384*den(1+n)*S(R(3,2),n)-384*den(1+n)*S(R(4,1),n)-5376*den(1+n)*S(R(-3,1,1),n)+128*(-10+n+n^2)*den(1+n)*S(R(-2,1,-2),n)+(128*(-1008+246*n+305*n^2+118*n^3+59*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-2,1,1),n))/3+S(R(1),n)*((-4*(-41990400-117215424*n-213433056*n^2-517296672*n^3+786040416*n^4+3681329424*n^5+3453772026*n^6+546512279*n^7+1432668031*n^8+4450193789*n^9+3363076519*n^10-138490738*n^11-1479453074*n^12-804767054*n^13-128356144*n^14+36853771*n^15+19752707*n^16+3322225*n^17+204575*n^18)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4)/675+(16*(-18-343*n-366*n^2-64*n^3+15*n^4)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2),n))/3+(16*(216+1548*n+1742*n^2+69*n^3+161*n^4+219*n^5+77*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/3+64*den(1+n)*S(R(4),n)+3840*den(1+n)*S(R(-3,1),n)-(32*(-1980+660*n+677*n^2+190*n^3+101*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-2,1),n))/3-3712*den(1+n)*S(R(2,-2),n)+(512*den(1+n)*S(R(2,1),n))/3-512*den(1+n)*S(R(3,1),n)-7168*den(1+n)*S(R(-2,1,1),n))-5376*den(1+n)*S(R(-2,2,1),n)-5376*den(1+n)*S(R(2,1,-2),n)-256*den(1+n)*S(R(2,1,1),n)+768*den(1+n)*S(R(3,1,1),n)+10752*den(1+n)*S(R(-2,1,1,1),n) );

L   Clq3cacf2z3
  = CA*CF^2*z3*( (16*(-432-3204*n+6732*n^2+16433*n^3+9110*n^4-3331*n^5-1459*n^6+1742*n^7+713*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n))/3-1344*den(1+n)^3*(-1)^n-64*(-21+2*n+2*n^2)*den(1+n)*S(R(-2),n)-(16*(3096-1548*n+902*n^2+3747*n^3+1763*n^4+69*n^5+35*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n))/3+160*den(1+n)*S(R(1),n)^2+96*den(1+n)*S(R(2),n) );

L   Clq3cacf2z5
  = CA*CF^2*z5*( -160*(-21+n+n^2)*den(1+n) );

L   Clq3ca2cf
  = CA^2*CF*( (4*(16796160+398208960*n+1078126848*n^2+709614432*n^3-1039739976*n^4-11346237432*n^5-2317773996*n^6+71920489986*n^7+129606589803*n^8+36415691665*n^9-132516855740*n^10-167725538756*n^11-48429098811*n^12+54835575915*n^13+53094691626*n^14+9283689886*n^15-10343834603*n^16-6689194457*n^17-911037888*n^18+604325832*n^19+336869667*n^20+77008309*n^21+8854750*n^22+420700*n^23)*den(-2+n)*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/2025-16*(12+n+n^2)*den(1+n)*S(R(-5),n)+S(R(-4),n)*(-16*(240-170*n-163*n^2+14*n^3+7*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)-640*den(1+n)*S(R(1),n))+S(R(-2),n)^2*((-16*(144-234*n-203*n^2+62*n^3+31*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n))/3-128*den(1+n)*S(R(1),n))-(176*den(1+n)*S(R(2),n)^2)/3+S(R(-3),n)*((16*(2844+7686*n+3788*n^2-3415*n^3-5122*n^4+464*n^5+2018*n^6+521*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n))/9-128*den(1+n)*S(R(-2),n)-(128*(-72-36*n-23*n^2+26*n^3+13*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(1),n))/3+256*den(1+n)*S(R(1),n)^2-1536*den(1+n)*S(R(2),n))+(16*(486+4389*n+5417*n^2-841*n^3-3484*n^4-94*n^5+749*n^6+146*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n)*S(R(3),n))/9-(8*(-144+2772*n+1756*n^2-1917*n^3-671*n^4+345*n^5+115*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n))/3+16*(-14+n+n^2)*den(1+n)*S(R(5),n)-704*den(1+n)*S(R(-4,1),n)+(128*(-144-30*n-11*n^2+38*n^3+19*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-3,1),n))/3+768*den(1+n)*S(R(-3,2),n)-(32*(-324+5046*n+5900*n^2+17*n^3-3010*n^4-64*n^5+962*n^6+257*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n)*S(R(-2,1),n))/9+S(R(1),n)^2*((1276*den(1+n))/9+(88*den(1+n)*S(R(2),n))/3-96*den(1+n)*S(R(3),n)-512*den(1+n)*S(R(-2,1),n))+S(R(2),n)*((44*(-51-68*n+7*n^2)*den(1+n)^2*den(3+n))/9+1536*den(1+n)*S(R(-2,1),n))+(-1)^n*((-8*(-1866240-43312320*n-144713952*n^2-26920512*n^3+366986088*n^4+514013916*n^5-2641235180*n^6-7160138426*n^7-3210080665*n^8+6546499336*n^9+8321916590*n^10+2246178204*n^11-1613245463*n^12-1243008762*n^13-328806984*n^14-153649522*n^15-127007831*n^16-41927148*n^17+4577158*n^18+7280336*n^19+2177311*n^20+289218*n^21+14688*n^22)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^4*den(3+n)^5)/225-256*den(1+n)^3*S(R(-3),n)+(32*(-864-3456*n-79032*n^2-17504*n^3+160530*n^4+101765*n^5-48778*n^6-50583*n^7-826*n^8+9239*n^9+2954*n^10+283*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3*S(R(-2),n))/15+(16*(-155520-423792*n+779652*n^2+6886854*n^3+6377568*n^4-10898633*n^5-26631457*n^6-20597578*n^7-5676122*n^8-548788*n^9-1688828*n^10-1218904*n^11+108358*n^12+401293*n^13+169433*n^14+30268*n^15+2036*n^16)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4*S(R(1),n))/45-64*den(1+n)^3*S(R(3),n)+512*den(1+n)^3*S(R(-2,1),n))-64*(-96+2*n+11*n^2+18*n^3+9*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(2,-2),n)+(352*(-1+n)*(3+2*n)*den(1+n)^2*den(3+n)*S(R(2,1),n))/3+S(R(-2),n)*((-16*(-579312-159192*n+3750228*n^2+2413386*n^3-4554514*n^4-4696585*n^5+751311*n^6+2907253*n^7+979399*n^8-687999*n^9-573929*n^10-70727*n^11+55323*n^12+20840*n^13+2150*n^14)*den(-2+n)^2*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^2*den(3+n)^3)/45+(512*den(1+n)*S(R(1),n)^2)/3+(512*(-36+9*n+11*n^2+4*n^3+2*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(2),n))/3+S(R(1),n)*((32*(468+1794*n+2009*n^2-1626*n^3-871*n^4+300*n^5+122*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n))/9-1024*den(1+n)*S(R(2),n))+1088*den(1+n)*S(R(3),n)+32*(-4+n+n^2)*den(1+n)*S(R(-2,1),n)-1536*den(1+n)*S(R(2,1),n))+32*(-38+n+n^2)*den(1+n)*S(R(3,-2),n)-16*(48-308*n-380*n^2-131*n^3-33*n^4+39*n^5+13*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n)+288*den(1+n)*S(R(3,2),n)+288*den(1+n)*S(R(4,1),n)+1536*den(1+n)*S(R(-3,1,1),n)-32*(-3+n)*(4+n)*den(1+n)*S(R(-2,1,-2),n)-(1024*(-36+9*n+11*n^2+4*n^3+2*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-2,1,1),n))/3+S(R(1),n)*((4*(-3382560-6986736*n-10065384*n^2-23079708*n^3+79088544*n^4+221044236*n^5+60459054*n^6-191631859*n^7+20275459*n^8+393659531*n^9+312042871*n^10-19229182*n^11-138994766*n^12-66376226*n^13-2146336*n^14+8509069*n^15+3269483*n^16+522235*n^17+32195*n^18)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4)/135-(176*(-1+n)*(3+2*n)*den(1+n)^2*den(3+n)*S(R(2),n))/3+(16*(72-204*n-484*n^2-519*n^3-157*n^4+123*n^5+41*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/3-192*den(1+n)*S(R(4),n)-1024*den(1+n)*S(R(-3,1),n)+(512*(-36+15*n+16*n^2+2*n^3+n^4)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-2,1),n))/3+1024*den(1+n)*S(R(2,-2),n)-(352*den(1+n)*S(R(2,1),n))/3+384*den(1+n)*S(R(3,1),n)+2048*den(1+n)*S(R(-2,1,1),n))+1536*den(1+n)*S(R(-2,2,1),n)+1536*den(1+n)*S(R(2,1,-2),n)+176*den(1+n)*S(R(2,1,1),n)-576*den(1+n)*S(R(3,1,1),n)-3072*den(1+n)*S(R(-2,1,1,1),n) );

L   Clq3ca2cfz3
  = CA^2*CF*z3*( (-8*(-2736+3636*n+12868*n^2+7129*n^3-4040*n^4-2846*n^5+484*n^6+385*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n))/3+384*den(1+n)^3*(-1)^n+32*(-3+n)*(4+n)*den(1+n)*S(R(-2),n)-(32*(-504+588*n+28*n^2-1065*n^3-395*n^4+165*n^5+55*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n))/3-64*den(1+n)*S(R(1),n)^2 );

L   Clq3ca2cfz5
  = CA^2*CF*z5*( 40*(-16+n+n^2)*den(1+n) );

L   Clq3cacfnf
  = CA*CF*NF*( (-8*(-8398080-12177216*n-16150752*n^2+30261600*n^3+460733400*n^4+481076208*n^5-1331504208*n^6-3484758727*n^7-2699865838*n^8+395034463*n^9+1902843764*n^10+872795896*n^11-342812812*n^12-469475514*n^13-140818544*n^14+24461441*n^15+29006290*n^16+8659019*n^17+1205500*n^18+67150*n^19)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^4)/2025+64*den(1+n)*S(R(-4),n)+(64*den(1+n)*S(R(-2),n)^2)/3+S(R(-3),n)*((-64*(144+72*n+50*n^2-129*n^3-46*n^4+39*n^5+14*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n))/9+(128*den(1+n)*S(R(1),n))/3)+(-1)^n*((16*(933120+3737664*n+2176416*n^2-15254064*n^3-25695600*n^4+56743588*n^5+153480818*n^6+106163597*n^7+2524393*n^8-21742998*n^9-5836480*n^10-5416646*n^11-8456310*n^12-4498088*n^13-549382*n^14+369393*n^15+169477*n^16+28114*n^17+1708*n^18)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^4)/225-(128*den(1+n)^3*S(R(-2),n))/3+(128*(864+4428*n+6090*n^2+7340*n^3+6492*n^4+520*n^5-2572*n^6+237*n^7+2305*n^8+1494*n^9+404*n^10+45*n^11+n^12)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^3*den(3+n)^3*S(R(1),n))/15)+(32*(21+28*n+n^2)*den(1+n)^2*den(3+n)*S(R(2),n))/9+(32*den(1+n)*S(R(2),n)^2)/3+S(R(1),n)^2*((-320*den(1+n))/9-(16*den(1+n)*S(R(2),n))/3)+S(R(-2),n)*((64*(288-180*n-968*n^2+197*n^3+474*n^4+147*n^5-168*n^6-102*n^7+14*n^8+10*n^9)*den(-2+n)^2*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n))/9-(128*(-36+120*n-13*n^2-38*n^3+n^4+2*n^5)*den(-2+n)*den(-1+n)*den(n)*den(1+n)*den(2+n)*den(3+n)*S(R(1),n))/9-(128*den(1+n)*S(R(1),n)^2)/3+(128*den(1+n)*S(R(2),n))/3)+(32*(-174-61*n+273*n^2+113*n^3-9*n^4+2*n^5)*den(-2+n)*den(-1+n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/9+(16*(180-136*n-125*n^2+22*n^3+11*n^4)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(4),n))/3-(128*den(1+n)*S(R(-3,1),n))/3+(128*(-16-23*n+n^2+2*n^3)*den(-1+n)*den(1+n)^2*den(2+n)*S(R(-2,1),n))/9-(64*(-1+n)*(3+2*n)*den(1+n)^2*den(3+n)*S(R(2,1),n))/3+S(R(1),n)*((-8*(7776+631152*n+132840*n^2-3438540*n^3-4200972*n^4+3382420*n^5+8946287*n^6+3785798*n^7-2797730*n^8-2873334*n^9-399384*n^10+484310*n^11+263254*n^12+53410*n^13+4025*n^14)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^3*den(3+n)^3)/135+(32*(-1+n)*(3+2*n)*den(1+n)^2*den(3+n)*S(R(2),n))/3-(128*(6-2*n-n^2+2*n^3+n^4)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(3),n))/3+(256*den(1+n)*S(R(-2,1),n))/3+(64*den(1+n)*S(R(2,1),n))/3)+32*(-4+8*n+9*n^2+2*n^3+n^4)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(3,1),n)-(256*den(1+n)*S(R(-2,1,1),n))/3-32*den(1+n)*S(R(2,1,1),n) );

L   Clq3cacfnfz3
  = CA*CF*NF*z3*( (64*(36-45*n-22*n^2+2*n^3)*den(-2+n)*den(n)*den(1+n)*den(3+n))/3+(512*(9-5*n-4*n^2+2*n^3+n^4)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(1),n))/3 );

L   Clq3cf2nf
  = CF^2*NF*( ((1399680+21897216*n+112466880*n^2+7622640*n^3-802685880*n^4-370826328*n^5+3449483224*n^6+7768521059*n^7+8095019535*n^8+4583848037*n^9+939092977*n^10-526578930*n^11-402863458*n^12-45248750*n^13+58595034*n^14+33282991*n^15+8244443*n^16+1033425*n^17+53325*n^18)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^4)/675-128*den(1+n)*S(R(-4),n)-(128*den(1+n)*S(R(-2),n)^2)/3-(64*den(1+n)*S(R(1),n)^3)/9+S(R(-3),n)*((128*(144+72*n+50*n^2-129*n^3-46*n^4+39*n^5+14*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n))/9-(256*den(1+n)*S(R(1),n))/3)+(-1)^n*((-32*(933120+3737664*n+2176416*n^2-15254064*n^3-25695600*n^4+56743588*n^5+153480818*n^6+106163597*n^7+2524393*n^8-21742998*n^9-5836480*n^10-5416646*n^11-8456310*n^12-4498088*n^13-549382*n^14+369393*n^15+169477*n^16+28114*n^17+1708*n^18)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^4)/225+(256*den(1+n)^3*S(R(-2),n))/3-(256*(864+4428*n+6090*n^2+7340*n^3+6492*n^4+520*n^5-2572*n^6+237*n^7+2305*n^8+1494*n^9+404*n^10+45*n^11+n^12)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^3*den(3+n)^3*S(R(1),n))/15)+(4*(-60-104*n+19*n^2+118*n^3+43*n^4)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2),n))/3-(64*den(1+n)*S(R(2),n)^2)/3+S(R(-2),n)*((-128*(288-180*n-968*n^2+197*n^3+474*n^4+147*n^5-168*n^6-102*n^7+14*n^8+10*n^9)*den(-2+n)^2*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)*den(3+n))/9+(256*(-36+120*n-13*n^2-38*n^3+n^4+2*n^5)*den(-2+n)*den(-1+n)*den(n)*den(1+n)*den(2+n)*den(3+n)*S(R(1),n))/9+(256*den(1+n)*S(R(1),n)^2)/3-(256*den(1+n)*S(R(2),n))/3)+S(R(1),n)^2*((4*(30+83*n+23*n^2)*den(n)*den(1+n)^2)/9+(32*den(1+n)*S(R(2),n))/3)+(16*(294+553*n+270*n^2+35*n^3)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n))/9-(544*den(1+n)*S(R(4),n))/3+(256*den(1+n)*S(R(-3,1),n))/3-(256*(-16-23*n+n^2+2*n^3)*den(-1+n)*den(1+n)^2*den(2+n)*S(R(-2,1),n))/9+(32*(-10+25*n+38*n^2+11*n^3)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2,1),n))/3+S(R(1),n)*((16*(-81648-414720*n-177120*n^2+1138860*n^3+1579971*n^4-624697*n^5-3048937*n^6-2668885*n^7-672255*n^8+430077*n^9+398493*n^10+135709*n^11+22360*n^12+1480*n^13)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^3*den(3+n)^3)/135-(32*(4+3*n)*(-5+n^2)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2),n))/3+(64*den(1+n)*S(R(3),n))/3-(512*den(1+n)*S(R(-2,1),n))/3-(128*den(1+n)*S(R(2,1),n))/3)+64*den(1+n)*S(R(3,1),n)+(512*den(1+n)*S(R(-2,1,1),n))/3+64*den(1+n)*S(R(2,1,1),n) );

L   Clq3cf2nfz3
  = CF^2*NF*z3*( (-32*(-288+540*n+148*n^2-301*n^3-34*n^4+31*n^5)*den(-2+n)*den(-1+n)*den(n)*den(1+n)*den(2+n)*den(3+n))/3-(640*den(1+n)*S(R(1),n))/3 );

L   Clq3cfnf2
  = CF*NF^2*( (8*(36-6*n-31*n^2+178*n^3+203*n^4)*den(n)^2*den(1+n)^3)/81+(16*(-6+7*n+19*n^2)*den(n)*den(1+n)^2*S(R(1),n))/27+(16*den(1+n)*S(R(1),n)^2)/9-(16*den(1+n)*S(R(2),n))/9 );

L   Clq3dabc
  = (dabc*NF)/NC*( (-128*(-93312-482112*n-570240*n^2+620148*n^3+3585318*n^4+5381580*n^5-2385246*n^6-19074820*n^7-28126477*n^8-20476038*n^9-6755795*n^10+972202*n^11+2063431*n^12+1057020*n^13+373620*n^14+137100*n^15+53193*n^16+16014*n^17+3077*n^18+330*n^19+15*n^20)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^5)/15-512*den(1+n)*S(R(-5),n)-128*(-22+n+n^2)*den(-2+n)*den(1+n)*den(3+n)*S(R(-4),n)-128*den(1+n)*S(R(-2),n)^2+S(R(-3),n)*(-256*(18-35*n-31*n^2+8*n^3+4*n^4)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)-2048*den(-2+n)*den(1+n)*den(3+n)*S(R(1),n))-128*(84+44*n+21*n^2+24*n^3+14*n^4+4*n^5+n^6)*den(-2+n)*den(-1+n)*den(1+n)^3*den(2+n)*den(3+n)*S(R(3),n)+S(R(-2),n)*(128*(-12-36*n-31*n^2-120*n^3-117*n^4-7*n^5+28*n^6+7*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)*den(3+n)+1536*(2+n+3*n^2+4*n^3+2*n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n)+4096*den(-2+n)*den(1+n)*den(3+n)*S(R(2),n)-512*den(1+n)*S(R(3),n))+(-1)^n*((-128*(-46656-264384*n-417312*n^2+101418*n^3+1853088*n^4+3669174*n^5+734304*n^6-9160718*n^7-18834750*n^8-19910289*n^9-13376812*n^10-6004050*n^11-1759672*n^12-289556*n^13-4948*n^14+8446*n^15+1622*n^16+103*n^17)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^4*den(3+n)^5)/15+256*den(1+n)^3*S(R(-2),n)-(128*(10368-13392*n-262656*n^2-365652*n^3+22958*n^4+940173*n^5+2095077*n^6+2354746*n^7+1013804*n^8-612974*n^9-1021294*n^10-533704*n^11-110354*n^12+9817*n^13+9905*n^14+1978*n^15+144*n^16)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4*S(R(1),n))/15+512*den(1+n)^3*S(R(3),n))+1024*(6+n+2*n^2+2*n^3+n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(4),n)+512*den(1+n)*S(R(-4,1),n)+4096*den(-2+n)*den(1+n)*den(3+n)*S(R(-3,1),n)+512*(18-35*n-31*n^2+8*n^3+4*n^4)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-2,1),n)+S(R(1),n)*((128*(10368-13392*n-262656*n^2-210132*n^3+664478*n^4+1750173*n^5+1917777*n^6+966586*n^7-251056*n^8-792974*n^9-504694*n^10-23944*n^11+152806*n^12+99817*n^13+30605*n^14+4858*n^15+324*n^16)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^3*den(3+n)^4)/15+1024*(6+n+2*n^2+2*n^3+n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3),n)+4096*den(-2+n)*den(1+n)*den(3+n)*S(R(-2,1),n))-4096*den(-2+n)*den(1+n)*den(3+n)*S(R(2,-2),n)+512*den(1+n)*S(R(3,-2),n)-2048*(6+n+2*n^2+2*n^3+n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(3,1),n)-8192*den(-2+n)*den(1+n)*den(3+n)*S(R(-2,1,1),n) );

L   Clq3dabcz3
  = (dabc*NF*z3)/NC*( -64*(-156+156*n+17*n^2-160*n^3-54*n^4+4*n^5+n^6)*den(-2+n)*den(-1+n)*den(1+n)^3*den(2+n)*den(3+n)-1024*den(1+n)^3*(-1)^n+1024*den(1+n)*S(R(-2),n)-6144*(2+n+n^2)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n) );

L   Clq3dabcz5
  = (dabc*NF*z5)/NC*( 2560*den(1+n) );

L   C2g1nf
  = NF*( -2*(-2-n-4*n^2+n^3)*den(n)^2*den(1+n)*den(2+n)-2*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n) );

L   C2g2cfnf
  = CF*NF*( -((-64800-304560*n-577152*n^2-276936*n^3+1272270*n^4+2303545*n^5+526569*n^6-2016191*n^7-2140147*n^8-558279*n^9+454385*n^10+465493*n^11+196731*n^12+47802*n^13+7058*n^14+630*n^15+30*n^16)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^4*den(3+n)^3)/15+(8*(-432-2160*n-84132*n^2-77470*n^3+123839*n^4+199307*n^5+42261*n^6-76133*n^7-52973*n^8-3747*n^9+9107*n^10+4479*n^11+922*n^12+76*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3*(-1)^n)/15+32*den(n)*den(1+n)*den(2+n)*S(R(-3),n)-(-16-14*n+n^2+12*n^3+9*n^4)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^2-(10*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^3)/3+S(R(-2),n)*(8*(48+40*n+14*n^2-39*n^3-7*n^4+7*n^5+n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)+64*den(n)*den(1+n)*den(2+n)*S(R(1),n))+(-8+6*n+9*n^2+8*n^3+9*n^4)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n)+S(R(1),n)*(2*(-16-40*n-30*n^2-5*n^3-3*n^4-7*n^5+n^6)*den(n)^3*den(1+n)^3*den(2+n)+6*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))-(32*(-1+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3-64*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n)+8*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n) );

L   C2g2cfnfz3
  = CF*NF*z3*( 24*(-1+n)*den(n)*den(1+n) );

L   C2g2canf
  = CA*NF*( (-2*(-480-2448*n-6320*n^2-11184*n^3-13558*n^4-11603*n^5-7647*n^6-3851*n^7-1087*n^8+172*n^9+292*n^10+102*n^11+12*n^12)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^4)/3-8*(4+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3),n)-4*(-2-12*n-3*n^2-6*n^3-2*n^4+n^5)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*S(R(1),n)^2-(2*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^3)/3+S(R(-2),n)*(8*(12+14*n+3*n^2-5*n^3-n^4+n^5)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2+8*(-1+n)*den(n)*den(1+n)*S(R(1),n))+(-1)^n*((-8*(32+192*n+391*n^2+581*n^3+654*n^4+485*n^5+211*n^6+44*n^7+2*n^8)*den(-1+n)*den(n)^2*den(1+n)^4*den(2+n)^4)/3+16*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n))+4*(-2-4*n-9*n^2-10*n^3+n^5)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*S(R(2),n)+S(R(1),n)*(-2*(16+64*n+136*n^2+174*n^3+154*n^4+83*n^5-17*n^6-9*n^7+7*n^8)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2+10*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))+(4*(-2+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3+32*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n)-8*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n) );

L   C2g2canfz3
  = CA*NF*z3*( -12*(-1+n)*den(n)*den(1+n) );

L   C2g3cf2nf
  = CF^2*NF*( ((-3359232000-21536409600*n-51648814080*n^2-33390558720*n^3+105377372928*n^4+271071682560*n^5+513020454528*n^6+800804141760*n^7-447525065392*n^8-3397803580328*n^9-3012386848220*n^10+2685103457522*n^11+6026861492517*n^12+1991166834339*n^13-3206614418567*n^14-3320317733465*n^15-493680243823*n^16+1014867765447*n^17+735126330957*n^18+152609218319*n^19-58290041217*n^20-48342329639*n^21-14967091653*n^22-2487769451*n^23-200229573*n^24-590939*n^25+1016475*n^26+46275*n^27)*den(-2+n)*den(-1+n)^4*den(n)^6*den(1+n)^6*den(2+n)^6*den(3+n)^5)/1800+(16*(-122+179*n+35*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-5),n))/3-((-452-336*n+65*n^2+346*n^3+249*n^4)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^4)/18-(10*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^5)/3+S(R(-4),n)*((-16*(924+86*n-320*n^2-607*n^3-49*n^4+155*n^5+27*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n))/3+64*(-10+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))+S(R(-2),n)^2*((-16*(432+84*n-368*n^2-425*n^3-9*n^4+105*n^5+21*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n))/3-(128*(8+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))/3)-((-244+256*n+109*n^2-14*n^3+117*n^4)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2),n)^2)/6+S(R(-3),n)*((-8*(-4224-10048*n-20448*n^2-26808*n^3-13668*n^4+4002*n^5+4881*n^6+172*n^7-220*n^8+226*n^9+71*n^10)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/3+256*(1+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)+(16*(144+210*n-93*n^2-22*n^3-37*n^4+24*n^5+6*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n))/3-(32*(-2+11*n+11*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2)/3+(256*(-16+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/3)+S(R(1),n)^3*(-((872+1960*n+1668*n^2+737*n^3+165*n^4+375*n^5+127*n^6)*den(n)^3*den(1+n)^3*den(2+n))/9+(236*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/9)+(2*(-13632-5792*n+81232*n^2-108288*n^3-194484*n^4-56534*n^5+37133*n^6+35820*n^7+12754*n^8+2794*n^9+293*n^10)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(3),n))/9-((57456+23760*n+31656*n^2+4880*n^3-9261*n^4-2057*n^5+801*n^6+93*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(4),n))/3+(32*(-38+11*n+11*n^2)*den(n)*den(1+n)*den(2+n)*S(R(5),n))/3-32*(-2+27*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-4,1),n)-(16*(720+618*n+159*n^2-238*n^3-139*n^4+60*n^5+12*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(-3,1),n))/3-96*(-2+n)*(3+n)*den(n)*den(1+n)*den(2+n)*S(R(-3,2),n)+(16*(1536+2624*n-3136*n^2-8936*n^3-1220*n^4+8094*n^5+4177*n^6-972*n^7-744*n^8+30*n^9+35*n^10)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(-2,1),n))/3+S(R(2),n)*(((-6528-34048*n-75264*n^2-89552*n^3-34040*n^4+69640*n^5+125548*n^6+95815*n^7+40734*n^8+10004*n^9+1374*n^10+93*n^11)*den(n)^4*den(1+n)^4*den(2+n)^4)/6+(88*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/9+(128*(38+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))/3)+(-1)^n*((4*(-3732480-16174080*n-17096832*n^2+9377856*n^3+21873644928*n^4+57611932656*n^5-26905109392*n^6-206866872852*n^7-116445753166*n^8+247450141227*n^9+310463516291*n^10-45190502502*n^11-263060184014*n^12-116223478159*n^13+68989939017*n^14+80069256956*n^15+15865605456*n^16-12986340067*n^17-8515970779*n^18-1305876998*n^19+547415794*n^20+313178743*n^21+68407615*n^22+7431460*n^23+332602*n^24)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^6*den(3+n)^5)/225+(128*(94+134*n+74*n^2+17*n^3)*den(1+n)^3*den(2+n)^3*S(R(-3),n))/3+(8*(62208+430272*n+1149984*n^2+154954440*n^3+255481692*n^4-204555650*n^5-698866839*n^6-274761484*n^7+531393407*n^8+594427490*n^9+72888790*n^10-229345912*n^11-159992030*n^12-27207158*n^13+16940077*n^14+11343772*n^15+3011699*n^16+399222*n^17+21764*n^18)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4*S(R(1),n))/45+16*(44+91*n+75*n^2+30*n^3+5*n^4)*den(1+n)^3*den(2+n)^4*S(R(1),n)^2+S(R(-2),n)*((-128*(-216-1080*n-70416*n^2-110015*n^3+82642*n^4+231511*n^5+81708*n^6-92734*n^7-84919*n^8-14491*n^9+11206*n^10+6707*n^11+1451*n^12+118*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3)/15-256*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n))-16*(44+91*n+75*n^2+30*n^3+5*n^4)*den(1+n)^3*den(2+n)^4*S(R(2),n)-(64*(449+643*n+352*n^2+79*n^3)*den(1+n)^3*den(2+n)^3*S(R(3),n))/3-256*(13+19*n+10*n^2+2*n^3)*den(1+n)^3*den(2+n)^3*S(R(-2,1),n))+(32*(468+228*n+81*n^2-146*n^3-65*n^4+36*n^5+6*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(2,-2),n))/3-(8*(-24-124*n-246*n^2-395*n^3-342*n^4-89*n^5+36*n^6+16*n^7)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2,1),n))/3+S(R(-2),n)*((4*(-3456000-6289920*n-861696*n^2+10100608*n^3+21815584*n^4+5812208*n^5-26521408*n^6-20730720*n^7+8261710*n^8+12402317*n^9+852013*n^10-2432804*n^11-409496*n^12+172814*n^13-33490*n^14-26980*n^15+11026*n^16+6365*n^17+765*n^18)*den(-2+n)^2*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^4*den(3+n)^3)/15+(32*(-27+30*n+22*n^2+6*n^3)*den(n)^2*den(1+n)^2*den(2+n)*S(R(1),n)^2)/3+(320*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^3)/9-(32*(594+153*n+87*n^2-176*n^3-62*n^4+42*n^5+6*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(2),n))/3+S(R(1),n)*((16*(-3552-5744*n-6104*n^2-8500*n^3-5752*n^4-1668*n^5-181*n^6+390*n^7+360*n^8+114*n^9+13*n^10)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/3-(128*(26+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/3)-(32*(-34-197*n+19*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/9-(64*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))/3-1536*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))+S(R(1),n)^2*(-((-12928-65664*n-139008*n^2-165776*n^3-128200*n^4-70064*n^5-31308*n^6-11969*n^7-1018*n^8+2452*n^9+1294*n^10+205*n^11)*den(n)^4*den(1+n)^4*den(2+n)^4)/6+((-712-692*n-134*n^2+317*n^3+500*n^4+177*n^5)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2),n))/3-24*(18+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n)-(128*(14+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))/3+(32*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))/3)+(32*(2-47*n+25*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,-2),n))/3+(16*(5568+2996*n+4244*n^2+829*n^3-1024*n^4-315*n^5+74*n^6+12*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3,1),n))/3+64*(20+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,2),n)+16*(98+13*n+13*n^2)*den(n)*den(1+n)*den(2+n)*S(R(4,1),n)-(32*(-142+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,1,1),n))/3-(64*(-22+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,-2),n))/3+(32*(1152+294*n+165*n^2-346*n^3-121*n^4+84*n^5+12*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(-2,1,1),n))/3+1536*den(n)*den(1+n)*den(2+n)*S(R(-2,2,1),n)-(64*(-70+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,-2),n))/3-(16*(20+13*n+13*n^2+12*n^3)*den(n)^2*den(1+n)^2*den(2+n)*S(R(2,1,1),n))/3+S(R(1),n)*(-((40746240+195229440*n+281003904*n^2-78882624*n^3-736084608*n^4+224623440*n^5+1725450216*n^6-507842620*n^7-3837937197*n^8-1646137532*n^9+3286694296*n^10+3643533505*n^11+270616775*n^12-1583832251*n^13-1009864030*n^14-121657354*n^15+133947161*n^16+77984006*n^17+20639212*n^18+3440901*n^19+473437*n^20+57825*n^21+3810*n^22)*den(-2+n)*den(-1+n)^3*den(n)^5*den(1+n)^5*den(2+n)^5*den(3+n)^4)/45+((1072+2616*n+2664*n^2+670*n^3-1405*n^4-933*n^5-83*n^6+23*n^7)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(2),n))/3-(94*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n)^2)/3-(4*(33936+27296*n+33504*n^2+2972*n^3-10357*n^4-2533*n^5+985*n^6+213*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3),n))/9-(4*(766+95*n+95*n^2)*den(n)*den(1+n)*den(2+n)*S(R(4),n))/3+(32*(-70+13*n+13*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,1),n))/3-(32*(720-66*n-51*n^2-154*n^3-31*n^4+48*n^5+6*n^6)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)*den(3+n)*S(R(-2,1),n))/3-64*(-14+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n)+(16*(-20+12*n+18*n^2+3*n^3)*den(n)*den(1+n)*den(2+n)^2*S(R(2,1),n))/3-(16*(-262+13*n+13*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,1),n))/3+(64*(98+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1),n))/3+(128*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,1),n))/3)-(80*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,2,1),n))/3-2304*den(n)*den(1+n)*den(2+n)*S(R(3,1,1),n)-(64*(146+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1,1),n))/3-80*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,1,1),n) );

L   C2g3cf2nfz3
  = CF^2*NF*z3*( (8*(9984+17488*n+18352*n^2+55232*n^3+30108*n^4-29997*n^5-30970*n^6-4704*n^7+3696*n^8+1353*n^9+114*n^10)*den(-2+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/3+640*(33+47*n+26*n^2+6*n^3)*den(1+n)^3*den(2+n)^3*(-1)^n+256*(9-4*n+2*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)+(8*(6384+7552*n+9776*n^2+844*n^3-3551*n^4-1091*n^5+483*n^6+147*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/3-(64*(-14+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2)/3+96*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n) );

L   C2g3cf2nfz4
  = CF^2*NF*z4*( 12*(-1+n)*(-2+3*n+3*n^2)*den(n)^2*den(1+n)^2 );

L   C2g3cf2nfz5
  = CF^2*NF*z5*( -80*(-66+49*n+n^2)*den(n)*den(1+n)*den(2+n) );

L   C2g3ca2nf
  = CA^2*NF*( -((9069926400+61961034240*n+194939592192*n^2+388036738944*n^3+577661761728*n^4+673240551264*n^5+346092839856*n^6-796549635000*n^7-2154751901388*n^8-2227814772952*n^9-670400438953*n^10+1083423701291*n^11+1733135258024*n^12+1292877660006*n^13+444631940501*n^14-211154156001*n^15-417520836110*n^16-295477972884*n^17-113012359535*n^18-12569939297*n^19+13588147348*n^20+11250170566*n^21+5236692963*n^22+1720974577*n^23+399844542*n^24+61892864*n^25+5686800*n^26+233790*n^27)*den(-2+n)*den(-1+n)^4*den(n)^6*den(1+n)^6*den(2+n)^6*den(3+n)^5)/1215-(8*(206-65*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-5),n))/3-((240-380*n-1628*n^2-595*n^3-1473*n^4-201*n^5+293*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(1),n)^4)/54-(2*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^5)/3+S(R(-2),n)^2*((-4*(-1632+32*n+1380*n^2+1008*n^3-931*n^4-902*n^5+76*n^6+174*n^7+27*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n))/3-8*(18+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))+S(R(-4),n)*((4*(19512+660*n-4510*n^2-6893*n^3+7062*n^4+1987*n^5-2913*n^6-182*n^7+253*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n))/9+(16*(-70+19*n+19*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))/3)-((-1248-1676*n-2600*n^2-2359*n^3-1305*n^4+531*n^5+305*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2),n)^2)/18+S(R(1),n)^3*((-4*(-864-2160*n+2836*n^2+5010*n^3+9468*n^4+12451*n^5+16949*n^6+1327*n^7-4745*n^8+436*n^9+764*n^10)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^3)/81+(64*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/9)+S(R(-3),n)*((-8*(31536+99072*n+113496*n^2+29168*n^3-26473*n^4-53400*n^5-52966*n^6-12066*n^7-4872*n^8-5717*n^9+3325*n^10+2883*n^11+430*n^12)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/27+(16*(-10+13*n+13*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n))/3-(4*(1320-8524*n-2982*n^2+3419*n^3+5809*n^4-153*n^5-2127*n^6-10*n^7+176*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/3-(8*(-122+29*n+29*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2)/3-(16*(328+23*n+23*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/3)+(4*(-63504-54864*n+31872*n^2-320204*n^3+406165*n^4+463212*n^5-120413*n^6-180837*n^7-32616*n^8-154*n^9+5915*n^10+8607*n^11+1973*n^12)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(3),n))/81-((-96048-6192*n-5048*n^2+38828*n^3+23145*n^4-8680*n^5-6414*n^6+1172*n^7+485*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(4),n))/9+(8*(-74+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(5),n))/3-(16*(142+71*n+35*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-4,1),n))/3+(8*(1392-6316*n-6172*n^2-251*n^3+3641*n^4+1031*n^5-961*n^6-116*n^7+72*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(-3,1),n))/3-(64*(-34+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,2),n))/3-(16*(5040+13488*n+14040*n^2+1136*n^3+1803*n^4+10785*n^5+6711*n^6-663*n^7-2391*n^8-1010*n^9-21*n^10+42*n^11)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(-2,1),n))/9+S(R(2),n)*(((38880+139104*n+81360*n^2-448912*n^3-1457442*n^4-1912442*n^5-1309804*n^6-629708*n^7-389613*n^8-220169*n^9+19260*n^10+99908*n^11+43255*n^12+5459*n^13)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^4)/81-(4*(98+85*n+85*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/9+64*(27+2*n+2*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))-(8*(2040-5284*n-5330*n^2-427*n^3+3225*n^4+933*n^5-877*n^6-106*n^7+66*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(2,-2),n))/3-(4*(3744+13680*n+17600*n^2+6272*n^3-3538*n^4-1835*n^5+2936*n^6+6376*n^7+4674*n^8+1067*n^9)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*S(R(2,1),n))/27+S(R(1),n)^2*(-((7776+52704*n-156528*n^2-901712*n^3-2086170*n^4-2853010*n^5-2321564*n^6-976264*n^7-31311*n^8-21979*n^9-136284*n^10-1808*n^11+50057*n^12+13789*n^13)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^4)/81+((-96-1388*n-4304*n^2-1027*n^3-1449*n^4-9*n^5+497*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2),n))/9-(4*(154+29*n+29*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3+16*(-22+3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n)+(16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))/3)+S(R(-2),n)*((4*(-9564480-76632480*n-221592672*n^2-363368160*n^3-361414332*n^4-92317050*n^5+221211014*n^6+230405207*n^7+44031061*n^8-46092213*n^9-32132028*n^10-15387212*n^11-8223878*n^12-876626*n^13+1987382*n^14+1125861*n^15+241485*n^16+19025*n^17)*den(-2+n)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^4*den(3+n)^3)/405+(4*(24-72*n+484*n^2+299*n^3-3*n^4+13*n^5+23*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(1),n)^2)/3-(8*(26+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^3)/3+(4*(5040-8760*n-9360*n^2-1870*n^3+5155*n^4+2090*n^5-1364*n^6-244*n^7+97*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(2),n))/3+S(R(1),n)*((8*(-5616-6768*n-7200*n^2+43216*n^3+56811*n^4-13485*n^5-32593*n^6+2871*n^7+7845*n^8-2725*n^9-1689*n^10+579*n^11+226*n^12)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/9-8*(134+7*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))+(64*(43+11*n+2*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3+(64*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))/3-(512*(11+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))/3)+(-1)^n*(((947303424+14111480448*n+77437653696*n^2+212141407968*n^3+262610061552*n^4-35292257640*n^5-537929455236*n^6-666085462134*n^7-237475509771*n^8+271055937877*n^9+457033381448*n^10+358478088712*n^11+144185370527*n^12-59258080117*n^13-148739568090*n^14-113229791578*n^15-39200725005*n^16+2654681131*n^17+9497205676*n^18+4826506852*n^19+1344652521*n^20+225603069*n^21+21493834*n^22+899428*n^23)*den(-2+n)*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^6*den(3+n)^5)/405+(32*(112+164*n+86*n^2+17*n^3)*den(1+n)^3*den(2+n)^3*S(R(-3),n))/3+(8*(512+3072*n+9322*n^2+10919*n^3+7305*n^4+4823*n^5+3514*n^6+1676*n^7+329*n^8)*den(-1+n)*den(n)^2*den(1+n)^4*den(2+n)^4*S(R(1),n)^2)/9+(32*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n)^3)/9+S(R(-2),n)*((-8*(-74304-406080*n-2480364*n^2-2798980*n^3+2291883*n^4+5482169*n^5+2053217*n^6-1608841*n^7-1520961*n^8-254999*n^9+183039*n^10+105673*n^11+22114*n^12+1762*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3)/45-(32*(-13-23*n-8*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n))/3)-(8*(256+1536*n+4190*n^2+4783*n^3+3321*n^4+2719*n^5+2447*n^6+1246*n^7+238*n^8)*den(-1+n)*den(n)^2*den(1+n)^4*den(2+n)^4*S(R(2),n))/9+S(R(1),n)*((4*(7651584+99601488*n+450335592*n^2+1268993412*n^3+1279490046*n^4-830795956*n^5-2837786639*n^6-1913592600*n^7+536334089*n^8+1511053627*n^9+818694274*n^10+26728528*n^11-178306472*n^12-89040234*n^13-12891827*n^14+4216268*n^15+2224721*n^16+391563*n^17+25768*n^18)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4)/135-64*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(2),n))-(32*(671+961*n+526*n^2+118*n^3)*den(1+n)^3*den(2+n)^3*S(R(3),n))/9-192*den(1+n)^3*S(R(-2,1),n)+(64*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(2,1),n))/3)+(64*(-38-7*n+2*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,-2),n))/3+(4*(27360+8520*n+412*n^2-1686*n^3-1809*n^4+305*n^5+701*n^6+85*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3,1),n))/9+24*(14+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,2),n)+(8*(146+19*n+19*n^2)*den(n)*den(1+n)*den(2+n)*S(R(4,1),n))/3+16*(130+17*n+17*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,1,1),n)-(32*(-22+7*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,-2),n))/3-(16*(2688-4252*n-4488*n^2-603*n^3+2809*n^4+835*n^5-793*n^6-96*n^7+60*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(-2,1,1),n))/3+(32*(178+17*n+17*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,2,1),n))/3+(512*(11+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,-2),n))/3+(8*(120+298*n+187*n^2-193*n^3-132*n^4-3*n^5+11*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2,1,1),n))/9+S(R(1),n)*((-2*(176359680+1041361920*n+4215696192*n^2+13569151104*n^3+30229006896*n^4+48484703736*n^5+35532431568*n^6-26238368058*n^7-74296685387*n^8-52288715310*n^9-3066699753*n^10+14512771426*n^11+7320327407*n^12+2105454724*n^13+1541462829*n^14+527739598*n^15-411752041*n^16-358369186*n^17-61726427*n^18+27977354*n^19+14927909*n^20+2660180*n^21+173815*n^22)*den(-2+n)*den(-1+n)^3*den(n)^5*den(1+n)^5*den(2+n)^5*den(3+n)^4)/1215+(4*(-4464-12456*n-6620*n^2+8916*n^3+14499*n^4+13723*n^5+18422*n^6+2293*n^7-2384*n^8+2932*n^9+1427*n^10)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^3*S(R(2),n))/27-(62*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n)^2)/3-(4*(-35352+27756*n+33166*n^2+17633*n^3+9090*n^4-6067*n^5-4467*n^6+602*n^7+263*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3),n))/27-24*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(4),n)-(40*(106+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,1),n))/3+8*(936-1452*n-726*n^2+243*n^3+885*n^4+167*n^5-295*n^6-34*n^7+20*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(-2,1),n)+(16*(226+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n))/3-(8*(-36-10*n+160*n^2+221*n^3+149*n^4+44*n^5)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2,1),n))/9-(16*(-70+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,1),n))/3-(16*(-374+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1),n))/3-(8*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,1),n))/3)+(88*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,2,1),n))/3-576*den(n)*den(1+n)*den(2+n)*S(R(3,1,1),n)-(32*(322+17*n+17*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1,1),n))/3 );

L   C2g3ca2nfz3
  = CA^2*NF*z3*( (2*(71424+33696*n-149632*n^2-190008*n^3-347892*n^4+60668*n^5+262897*n^6+34472*n^7-64351*n^8-21124*n^9+4027*n^10+1656*n^11+39*n^12)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/9+32*(139+197*n+110*n^2+26*n^3)*den(1+n)^3*den(2+n)^3*(-1)^n+64*(7-4*n+2*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)+(4*(-10656+22920*n+28540*n^2+9254*n^3+3891*n^4-4054*n^5-3288*n^6+392*n^7+233*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/9+(8*(190+17*n+17*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2)/3+24*(-1+n)*den(n)*den(1+n)*S(R(2),n) );

L   C2g3ca2nfz4
  = CA^2*NF*z4*( 12*(-2+n)*(3+n)*(4+4*n+7*n^2+6*n^3+3*n^4)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2+24*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n) );

L   C2g3ca2nfz5
  = CA^2*NF*z5*( 80*(14-11*n+n^2)*den(n)*den(1+n)*den(2+n) );

L   C2g3cfcanf
  = CA*CF*NF*( ((60466176000+444314419200*n+1239455831040*n^2+1214847217152*n^3-1670388168960*n^4-6006461907456*n^5-8317769150592*n^6-4516541930304*n^7+13308514812224*n^8+31843669878368*n^9+13024816232516*n^10-33282681723754*n^11-42601267828761*n^12-3425457573814*n^13+26048858431215*n^14+17656787538694*n^15-1041066919821*n^16-6642619963574*n^17-3255430505837*n^18-285060522542*n^19+365142983317*n^20+198050200686*n^21+55035082093*n^22+10540456914*n^23+1524630161*n^24+152142750*n^25+7382925*n^26)*den(-2+n)*den(-1+n)^4*den(n)^6*den(1+n)^6*den(2+n)^6*den(3+n)^4)/48600+(8*(622-265*n+23*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-5),n))/3-((-180-884*n-3197*n^2-556*n^3+777*n^4+522*n^5+206*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(1),n)^4)/27+S(R(-2),n)^2*((16*(1128+916*n-594*n^2-1527*n^3-489*n^4+292*n^5+155*n^6+15*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n))/3+(128*(11+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))/3)+S(R(-4),n)*((4*(19008+18168*n+4556*n^2-10734*n^3-5821*n^4+1761*n^5+1085*n^6+57*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n))/3+24*(78+7*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))-((-324-2636*n-3353*n^2-190*n^3+1419*n^4+1404*n^5+368*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2),n)^2)/9+S(R(1),n)^3*((-2*(4464+23496*n+52772*n^2+40082*n^3-14212*n^4-10187*n^5+26276*n^6+26752*n^7+10404*n^8+1721*n^9)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3)/81+(68*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/3)+S(R(-3),n)*((4*(27648+64800*n+118368*n^2+100456*n^3-70764*n^4-168312*n^5-46929*n^6+33918*n^7+15180*n^8+794*n^9+633*n^10+240*n^11)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/9-16*(-22+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)-(8*(-6720+3280*n+6880*n^2+5886*n^3-1915*n^4-3539*n^5+213*n^6+493*n^7+30*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/3-(8*(490+41*n+41*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2)/3+16*(286+25*n+25*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))-(4*(95040+92016*n-14280*n^2+1410836*n^3+413866*n^4-1024712*n^5-736401*n^6-122526*n^7+101430*n^8+85702*n^9+32993*n^10+4724*n^11)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(3),n))/81+(2*(-129672+19140*n-15746*n^2+54611*n^3+25449*n^4-14263*n^5-5853*n^6+1964*n^7+434*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(4),n))/9-(32*(-70+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(5),n))/3+128*(7+7*n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-4,1),n)+(8*(-10128+4256*n+10812*n^2+7682*n^3-2471*n^4-4062*n^5+302*n^6+512*n^7+9*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(-3,1),n))/3-(80*(86+7*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,2),n))/3-(8*(-16704-36096*n-7968*n^2+50200*n^3-12672*n^4-77274*n^5-19719*n^6+20184*n^7+8784*n^8+920*n^9+399*n^10+90*n^11)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(-2,1),n))/9+S(R(2),n)*(((8553600+45334080*n+88168608*n^2+86235984*n^3+66182040*n^4+11299540*n^5-100332926*n^6-157221691*n^7-109136687*n^8-37900364*n^9+5921640*n^10+25612718*n^11+25062566*n^12+13458352*n^13+4143038*n^14+684485*n^15+47145*n^16)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^4*den(3+n)^3)/270+(4*(14+31*n+31*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3-64*(72+7*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))-(8*(-11808+3096*n+9964*n^2+8834*n^3-2009*n^4-4234*n^5+244*n^6+512*n^7+9*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(2,-2),n))/3+(4*(3744+13344*n+13992*n^2+4640*n^3+1892*n^4+5852*n^5+5605*n^6+5282*n^7+5104*n^8+2370*n^9+383*n^10)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(2,1),n))/9+S(R(1),n)^2*(-((29393280+167728320*n+382908384*n^2+429615792*n^3+290730600*n^4+76168140*n^5-289726258*n^6-713941113*n^7-782382401*n^8-348697972*n^9+143127880*n^10+288893994*n^11+179694058*n^12+61287696*n^13+12159554*n^14+1316215*n^15+60215*n^16)*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^4*den(3+n)^3)/810+(2*(420-616*n-3295*n^2-1499*n^3+588*n^4+1029*n^5+349*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2),n))/9-(4*(-310+13*n+13*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/3+(16*(286+35*n+35*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))/3-16*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))+S(R(-2),n)*((-4*(-14100480-40020480*n-38368512*n^2+24157056*n^3+102839808*n^4+41205616*n^5-85830696*n^6-56812680*n^7+43204990*n^8+38998089*n^9-9710879*n^10-14182988*n^11-182312*n^12+2599758*n^13+454910*n^14-176340*n^15-49678*n^16+1825*n^17+1025*n^18)*den(-2+n)^2*den(-1+n)^2*den(n)^4*den(1+n)^4*den(2+n)^4*den(3+n)^3)/45+(4*(-1344-4888*n+7340*n^2+6258*n^3-521*n^4-1906*n^5-576*n^6+176*n^7+69*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n)^2)/3+(8*(178+17*n+17*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^3)/9-(4*(24960-4376*n-16580*n^2-17502*n^3+2719*n^4+7462*n^5-488*n^6-824*n^7+21*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(2),n))/3+S(R(1),n)*((-8*(-6336-10464*n-160656*n^2-114016*n^3+76604*n^4+31170*n^5-39495*n^6+3669*n^7+17751*n^8+814*n^9-2627*n^10-381*n^11+63*n^12)*den(-2+n)^2*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/9+8*(378+37*n+37*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))-(32*(598+263*n+47*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/9-(64*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))/3+32*(146+13*n+13*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))+(-1)^n*((-4*(281802240+2079862272*n+5838044544*n^2+5828359104*n^3+16887819456*n^4+25032116832*n^5-69913208804*n^6-173025160224*n^7+364564347*n^8+281604699248*n^9+196242229136*n^10-134746040316*n^11-215122484013*n^12-34803787871*n^13+80461512722*n^14+49198297929*n^15-1836214775*n^16-11720653406*n^17-4065424252*n^18+146165390*n^19+462316825*n^20+135813805*n^21+17643534*n^22+902597*n^23)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^6*den(3+n)^4)/675-(32*(497+715*n+388*n^2+85*n^3)*den(1+n)^3*den(2+n)^3*S(R(-3),n))/3+(8*(-864-4320*n-437724*n^2-546710*n^3+544768*n^4+1186754*n^5+335322*n^6-511811*n^7-431596*n^8-68509*n^9+58534*n^10+34153*n^11+7304*n^12+587*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3*S(R(1),n)^2)/15+(256*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n)^3)/9+S(R(-2),n)*((32*(-1296-6480*n-261846*n^2-372675*n^3+342312*n^4+831121*n^5+270528*n^6-312719*n^7-266879*n^8-38076*n^9+38096*n^10+21652*n^11+4701*n^12+393*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3)/15-(64*(103+149*n+80*n^2+17*n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n))/3)-(8*(-864-4320*n-348084*n^2-411170*n^3+445588*n^4+915934*n^5+250082*n^6-388241*n^7-321356*n^8-48139*n^9+44934*n^10+25643*n^11+5444*n^12+437*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3*S(R(2),n))/15+S(R(1),n)*((-4*(20217600+136639872*n+363386304*n^2-3015420768*n^3-2999131416*n^4+6922961204*n^5+8986010846*n^6-4721254877*n^7-12125346058*n^8-3519450157*n^9+5037254028*n^10+4173123942*n^11+303416436*n^12-952323614*n^13-445978538*n^14-19720409*n^15+45046638*n^16+16393495*n^17+2445760*n^18+139312*n^19)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4)/225-(224*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(2),n))/3)+(128*(716+1024*n+562*n^2+127*n^3)*den(1+n)^3*den(2+n)^3*S(R(3),n))/9+64*(119+173*n+92*n^2+19*n^3)*den(1+n)^3*den(2+n)^3*S(R(-2,1),n)-(64*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(2,1),n))/3)+(128*(50+19*n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,-2),n))/3-(8*(-15120+6888*n-440*n^2+5026*n^3+2993*n^4-1212*n^5-666*n^6+194*n^7+33*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3,1),n))/3-32*(38+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,2),n)-(32*(134+13*n+13*n^2)*den(n)*den(1+n)*den(2+n)*S(R(4,1),n))/3-80*(58+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,1,1),n)-(32*(118+11*n+11*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,-2),n))/3-(16*(-13488+1936*n+9116*n^2+9986*n^3-1547*n^4-4406*n^5+186*n^6+512*n^7+9*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(-2,1,1),n))/3-(1280*(11+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,2,1),n))/3-(32*(434+37*n+37*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,-2),n))/3-(8*(120+220*n+100*n^2-181*n^3-147*n^4-21*n^5+5*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2,1,1),n))/3+S(R(1),n)*(((6886425600+39708921600*n+81160444800*n^2+49148690112*n^3-80823108960*n^4-7036100208*n^5+82068293160*n^6-302396799036*n^7-517703854202*n^8+102299605332*n^9+706646752323*n^10+465426435277*n^11-90889669261*n^12-257572499261*n^13-116383988562*n^14+1018592950*n^15+20475795452*n^16+8893917962*n^17+2072661679*n^18+396627497*n^19+81359771*n^20+12434975*n^21+824200*n^22)*den(-2+n)*den(-1+n)^3*den(n)^5*den(1+n)^5*den(2+n)^5*den(3+n)^4)/6075+(2*(-5616+9720*n+81060*n^2+76414*n^3-40154*n^4-40505*n^5+98699*n^6+144412*n^7+75212*n^8+17463*n^9+1471*n^10)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(2),n))/27-40*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n)^2-(4*(137376-16824*n+3764*n^2-77522*n^3-42471*n^4+6508*n^5+7902*n^6+646*n^7+205*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3),n))/27+(4*(382+47*n+47*n^2)*den(n)*den(1+n)*den(2+n)*S(R(4),n))/3+(8*(1378+113*n+113*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,1),n))/3-(16*(-7056-5040*n-1832*n^2+2358*n^3+1640*n^4-461*n^5-260*n^6+3*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(-2,1),n))/3-64*(54+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n)+(4*(-24-68*n-74*n^2-45*n^3+14*n^4+17*n^5)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2,1),n))/3+(32*(-130+7*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,1),n))/3-(16*(1214+127*n+127*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1),n))/3-40*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,1),n))-(8*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,2,1),n))/3-48*(-46+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,1,1),n)+(160*(178+17*n+17*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1,1),n))/3+80*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,1,1),n) );

L   C2g3cacfnfz3
  = CA*CF*NF*z3*( (-4*(-113760-232368*n-251632*n^2-289912*n^3+255602*n^4+401965*n^5-8632*n^6-139295*n^7-37086*n^8+9719*n^9+4164*n^10+339*n^11)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/9-512*(38+54*n+30*n^2+7*n^3)*den(1+n)^3*den(2+n)^3*(-1)^n-512*(4-2*n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2),n)-(4*(-51120+8784*n+9640*n^2+49412*n^3+24861*n^4-11728*n^5-8862*n^6+1412*n^7+641*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/9+(16*(-166+19*n+19*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2)/3-48*(2+3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n) );

L   C2g3cacfnfz4
  = CA*CF*NF*z4*( -24*(-16-14*n^2-25*n^3-5*n^4+9*n^5+3*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2-24*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n) );

L   C2g3cacfnfz5
  = CA*CF*NF*z5*( -40*(118-95*n+n^2)*den(n)*den(1+n)*den(2+n) );

L   C2g3cfnf2
  = CF*NF^2*( -((-7558272000-40198809600*n-99293299200*n^2-153179579520*n^3-145386321984*n^4-32484411936*n^5+166796050608*n^6+371962334520*n^7+370613624632*n^8+2063332202*n^9-364064845889*n^10-246142563987*n^11+119149866314*n^12+207179317100*n^13+23560406149*n^14-113700159837*n^15-104055193612*n^16-45970980870*n^17-11349013223*n^18-1272824621*n^19+82855210*n^20+46742704*n^21+5872275*n^22+267525*n^23)*den(-1+n)^3*den(n)^6*den(1+n)^6*den(2+n)^5*den(3+n)^4)/24300+(128*den(n)*den(1+n)*den(2+n)*S(R(-4),n))/3+(64*den(n)*den(1+n)*den(2+n)*S(R(-2),n)^2)/3+(4*(-216-192*n-730*n^2-1226*n^3-759*n^4+181*n^5+609*n^6+481*n^7+124*n^8)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*S(R(1),n)^3)/81+(17*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^4)/27+S(R(-3),n)*((32*(-648-336*n-58*n^2+588*n^3+71*n^4-204*n^5-16*n^6+24*n^7+3*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n))/9+64*den(n)*den(1+n)*den(2+n)*S(R(1),n))+(-1)^n*((-8*(19128960+127282752*n+329063904*n^2-5479488*n^3-921317136*n^4-54427976*n^5+1610024276*n^6+264943913*n^7-1841387858*n^8-901737097*n^9+930369608*n^10+906029672*n^11+44601716*n^12-240370114*n^13-103644148*n^14-179279*n^15+11834878*n^16+3855795*n^17+537320*n^18+29342*n^19)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4)/675+(64*(13+19*n+10*n^2+2*n^3)*den(1+n)^3*den(2+n)^3*S(R(-2),n))/3-(32*(-8856-48600*n-252036*n^2-218335*n^3+242077*n^4+415286*n^5+101953*n^6-122214*n^7-79099*n^8-3406*n^9+10411*n^10+3737*n^11+526*n^12+28*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3*S(R(1),n))/45)+S(R(-2),n)*((-8*(-17280-19200*n+4544*n^2+7568*n^3-1592*n^4-5064*n^5+4076*n^6+4497*n^7-1637*n^8-1490*n^9+62*n^10+153*n^11+19*n^12)*den(-2+n)^2*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/9-(16*(-1008+144*n+592*n^2-12*n^3-269*n^4-84*n^5+34*n^6+24*n^7+3*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/9-(128*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2)/3)-((15552+46656*n+85008*n^2+127120*n^3+124188*n^4+94024*n^5+57489*n^6+19740*n^7+6837*n^8+13520*n^9+12675*n^10+4796*n^11+651*n^12)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^3*den(3+n)*S(R(2),n))/27+((226+17*n+17*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n)^2)/9+S(R(1),n)^2*(((15552+41472*n+73104*n^2+111968*n^3+92380*n^4+34756*n^5-2331*n^6+10185*n^7+35334*n^8+30742*n^9+11465*n^10+1565*n^11)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^3)/81-(2*(62+7*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/9)+(8*(-648-2088*n-6414*n^2-8164*n^3-3167*n^4+2124*n^5+4324*n^6+4500*n^7+2233*n^8+388*n^9)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*den(3+n)*S(R(3),n))/81-(14*(-14+17*n+17*n^2)*den(n)*den(1+n)*den(2+n)*S(R(4),n))/9-(256*den(n)*den(1+n)*den(2+n)*S(R(-3,1),n))/3+(128*(-3+5*n)*den(n)^2*den(1+n)*den(2+n)*S(R(-2,1),n))/9+(128*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n))/3-(64*(21+34*n+6*n^2+n^3+2*n^4)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2,1),n))/9+S(R(1),n)*((-2*(-23094720-100427040*n-219166560*n^2-344180016*n^3-363455964*n^4-169065738*n^5+115464000*n^6+313513702*n^7+350522359*n^8+255594701*n^9+137642832*n^10+60687138*n^11+19399424*n^12+2200022*n^13-498586*n^14+285160*n^15+317829*n^16+85575*n^17+7690*n^18)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^4*den(3+n)^3)/1215-(4*(-648-720*n-1902*n^2-3614*n^3-4153*n^4-1836*n^5+1892*n^6+2790*n^7+1139*n^8+140*n^9)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*den(3+n)*S(R(2),n))/27+(8*(-74+35*n+35*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/27+(128*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))/3-(32*(-1+n)*den(n)*den(1+n)*S(R(2,1),n))/3)+(16*(10+3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,1),n))/3+(16*(-10+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,1),n))/3 );

L   C2g3cfnf2z3
  = CF*NF^2*z3*( (-16*(144+2520*n+2852*n^2-314*n^3-282*n^4+589*n^5-534*n^6-932*n^7-26*n^8+177*n^9+30*n^10)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^2*den(3+n))/9+(16*(46+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))/9 );

L   C2g3canf2
  = CA*NF^2*( (2*(-466560+7309440*n+50453280*n^2+133691904*n^3+189221688*n^4+117601800*n^5-101834854*n^6-242156438*n^7-93832235*n^8+90251638*n^9+8202965*n^10-164630956*n^11-156977882*n^12-28064836*n^13+47253440*n^14+42068522*n^15+16956109*n^16+3835462*n^17+471345*n^18+24600*n^19)*den(-1+n)^2*den(n)^5*den(1+n)^5*den(2+n)^5*den(3+n)^3)/1215-(16*(26+7*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-4),n))/9-(32*den(n)*den(1+n)*den(2+n)*S(R(-2),n)^2)/3+(8*(-58-112*n-29*n^2-48*n^3+12*n^4+19*n^5)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*S(R(1),n)^3)/81+(7*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^4)/27+S(R(-3),n)*((32*(18+47*n+41*n^2+52*n^3+12*n^4+27*n^5+19*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2)/27+(32*(-1+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))/3)-(4*(216+236*n-10*n^2-1297*n^3-4130*n^4-2638*n^5+1060*n^6+1179*n^7+200*n^8)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(2),n))/81+((-34+31*n+31*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n)^2)/9+S(R(-2),n)*((-8*(-5184+864*n+11328*n^2-17632*n^3-26324*n^4+6388*n^5+15729*n^6-1008*n^7-5475*n^8-467*n^9+854*n^10+191*n^11)*den(-2+n)*den(-1+n)*den(n)^3*den(1+n)^3*den(2+n)^3*den(3+n))/81-(16*(-24+44*n+60*n^2-17*n^3-14*n^4+15*n^5+8*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(1),n))/9-(8*(-2+n)*(3+n)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2)/3+(8*(2+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/3)+S(R(1),n)^2*((4*(216-68*n-1322*n^2-2069*n^3-964*n^4-1469*n^5-436*n^6+654*n^7+274*n^8)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3)/81-(2*(14+19*n+19*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/9)+(-1)^n*((8*(-933120-6001776*n-15502104*n^2-19794024*n^3-13254054*n^4+8620299*n^5+35721164*n^6+34316273*n^7+2999571*n^8-18534096*n^9-14219959*n^10-2945280*n^11+1438813*n^12+1058317*n^13+276663*n^14+33375*n^15+1474*n^16)*den(-2+n)*den(-1+n)^2*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^3)/405-(32*(13+19*n+10*n^2+2*n^3)*den(1+n)^3*den(2+n)^3*S(R(-2),n))/3-(16*(-32-192*n-407*n^2-672*n^3-713*n^4-436*n^5-137*n^6-8*n^7+5*n^8)*den(-1+n)*den(n)^2*den(1+n)^4*den(2+n)^4*S(R(1),n))/9-(16*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n)^2)/3+(16*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(2),n))/3)-(16*(112-68*n+74*n^2+12*n^3+33*n^4+53*n^5)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*S(R(3),n))/81+(14*(-10+7*n+7*n^2)*den(n)*den(1+n)*den(2+n)*S(R(4),n))/9+(128*den(n)*den(1+n)*den(2+n)*S(R(-3,1),n))/3-(64*(-3+5*n)*den(n)^2*den(1+n)*den(2+n)*S(R(-2,1),n))/9-(64*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n))/3+(32*(-36-32*n+44*n^2+37*n^3+40*n^4+19*n^5)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2,1),n))/27+S(R(1),n)*((2*(5184+31968*n+94176*n^2+164896*n^3+239788*n^4+339534*n^5+281776*n^6+9951*n^7-204285*n^8-143194*n^9-7102*n^10+21717*n^11+5399*n^12)*den(-1+n)*den(n)^4*den(1+n)^4*den(2+n)^4)/243-(8*(72-106*n-304*n^2-35*n^3-12*n^4+102*n^5+67*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*S(R(2),n))/27+(8*(110+19*n+19*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3),n))/27-(64*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))/3+(64*(-1+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1),n))/9)-(32*(13+5*n+5*n^2)*den(n)*den(1+n)*den(2+n)*S(R(3,1),n))/9-(16*(-16+n+n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,1,1),n))/9 );

L   C2g3canf2z3
  = CA*NF^2*z3*( (8*(-92+228*n+383*n^2-53*n^3-61*n^4+81*n^5+42*n^6)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2)/9-(8*(62+13*n+13*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))/9 );

L   C2g3dabc
  = (dabc*NF^2)/NC*( (32*(-84672-511488*n-1042128*n^2+41191592*n^3+46217012*n^4-78207030*n^5-137369757*n^6-3297907*n^7+105864935*n^8+55565351*n^9-25575127*n^10-38901907*n^11-15761874*n^12-301820*n^13+2224009*n^14+961259*n^15+214271*n^16+37459*n^17+6195*n^18+555*n^19)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^3)/225-(128*(-1+n)*(21-2*n+n^2)*S(R(-5),n))/45+(1024*den(n)*den(1+n)*den(2+n)*S(R(-4),n))/3-128*(-1+n)*den(1+n)*den(2+n)*S(R(-2),n)^2+S(R(-3),n)*((128*(-450+225*n+59*n^2+59*n^3+n^4+n^5)*den(n)*den(1+n)*den(2+n)^2)/45-(256*(8-3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n))/3)+(-1)^n*((-32*(-84672-511488*n-1042128*n^2+41411912*n^3+46858532*n^4-78548310*n^5-140244117*n^6-5296777*n^7+109421330*n^8+60991856*n^9-25448902*n^10-43060582*n^11-18351924*n^12+96910*n^13+3316339*n^14+1433039*n^15+268406*n^16+19504*n^17)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^3)/225-256*(7+9*n+6*n^2+2*n^3)*den(1+n)^3*den(2+n)^3*S(R(-2),n)+(128*(10584+52920*n+2142774*n^2+445550*n^3-4386643*n^4-2732849*n^5+1965113*n^6+1710231*n^7-502359*n^8-701801*n^9-113759*n^10+55307*n^11+20866*n^12+1938*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3*S(R(1),n))/225)+128*(60+32*n+25*n^2-58*n^3-16*n^4+5*n^5)*den(-2+n)*den(n)*den(1+n)*den(2+n)^2*den(3+n)*S(R(3),n)+S(R(1),n)^2*((128*(19-30*n+3*n^2)*den(n)*den(1+n)*den(2+n))/3+256*(-4+n)*(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(3),n))-(256*(-144+36*n+202*n^2+358*n^3+41*n^4-154*n^5-33*n^6+6*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(4),n))/3+(128*(-1+n)*(-360+132*n+59*n^2+17*n^3+n^4+n^5)*den(n)*den(1+n)*den(2+n)*S(R(5),n))/45+(256*(8-3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-3,1),n))/3-(256*(-450+225*n+59*n^2+59*n^3+n^4+n^5)*den(n)*den(1+n)*den(2+n)^2*S(R(-2,1),n))/45+S(R(-2),n)*((64*(-21600-23040*n+3120*n^2+22432*n^3+32608*n^4+22709*n^5+3580*n^6-4148*n^7-2240*n^8-315*n^9+12*n^10+2*n^11)*den(-2+n)*den(n)^2*den(1+n)^3*den(2+n)^3*den(3+n))/45+(256*(-1944+984*n-740*n^2-1895*n^3-130*n^4+50*n^5+90*n^6+45*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/45-(256*(8-3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2)/3+(256*(8-3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2),n))/3+(256*(-1+n)*(21-2*n+n^2)*S(R(-2,1),n))/45)-(256*(8-3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(2,-2),n))/3+(256*(-1+n)*(21-2*n+n^2)*S(R(3,-2),n))/45+(512*(-144+36*n+202*n^2+358*n^3+41*n^4-154*n^5-33*n^6+6*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3,1),n))/3+S(R(1),n)*((-64*(21168+1162080*n+6108588*n^2-1149020*n^3-14089166*n^4-6093443*n^5+8230036*n^6+6145772*n^7-1102308*n^8-2119682*n^9-784408*n^10-258796*n^11-109798*n^12-24539*n^13-960*n^14+220*n^15)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3)/225-128*(-96-8*n+104*n^2+240*n^3+23*n^4-105*n^5-19*n^6+5*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3),n)+512*(-4+n)*(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(4),n)+(512*(8-3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1),n))/3-1024*(-4+n)*(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(3,1),n))-768*(-4+n)*(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(3,2),n)-768*(-4+n)*(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(4,1),n)-(256*(-1+n)*(21-2*n+n^2)*S(R(-2,1,-2),n))/45-(512*(8-3*n+3*n^2)*den(n)*den(1+n)*den(2+n)*S(R(-2,1,1),n))/3+1536*(-4+n)*(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(3,1,1),n) );

L   C2g3dabcz3
  = (dabc*NF^2*z3)/NC*( (-64*(16200+7020*n+6582*n^2-11255*n^3-3466*n^4+873*n^5+4*n^6+2*n^7)*den(-2+n)*den(n)*den(1+n)*den(2+n)^2*den(3+n))/45+(256*(-1+n)*(21-2*n+n^2)*S(R(-2),n))/45+(512*(-144-60*n+110*n^2+362*n^3+28*n^4-161*n^5-24*n^6+9*n^7)*den(-2+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/3-512*(-4+n)*(-1+n)*den(n)*den(1+n)*den(2+n)*S(R(1),n)^2 );

L   C2g3dabcz5
  = (dabc*NF^2*z5)/NC*( (64*(-1+n)*(720-138*n+59*n^2+17*n^3+n^4+n^5)*den(n)*den(1+n)*den(2+n))/9 );

L   Clg1
  = NF*( 8*den(1+n)*den(2+n) );

L   Clg2cfnf
  = CF*NF*( (8*(1404+2484*n-2193*n^2-5720*n^3+841*n^4+9342*n^5+8465*n^6+3244*n^7+539*n^8+26*n^9)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n)^3)/15+(32*(-108-324*n+645*n^2+392*n^3+913*n^4+1787*n^5+1132*n^6+222*n^7-39*n^8-13*n^9+n^10)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n)^3*(-1)^n)/15+32*(-1+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(-2),n)-8*(2+3*n+3*n^2)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n) );

L   Clg2canf
  = CA*NF*( -16*(-8-20*n-12*n^2+5*n^3+9*n^4+2*n^5)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^3+32*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*(-1)^n-32*den(1+n)*den(2+n)*S(R(-2),n)+32*(-1-n-2*n^2+2*n^3)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n)+16*den(1+n)*den(2+n)*S(R(1),n)^2-16*den(1+n)*den(2+n)*S(R(2),n) );

L   Clg3cf2nf
  = CF^2*NF*( (-4*(38724480+196966080*n+257647392*n^2-361792656*n^3-3696180840*n^4-6768193740*n^5+4364101822*n^6+21134639757*n^7+7412706779*n^8-27584807609*n^9-29467268860*n^10+4260069721*n^11+23185141879*n^12+11396411913*n^13-3925699956*n^14-6344738079*n^15-2398141415*n^16+69514481*n^17+390325324*n^18+159519447*n^19+32959357*n^20+3758315*n^21+213318*n^22+4050*n^23)*den(-2+n)*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^5*den(3+n)^5)/225+768*den(1+n)*den(2+n)*S(R(-5),n)-64*(-12-16*n-9*n^2+14*n^3+7*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(-4),n)-256*(-4+n+n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-2),n)^2+4*(16+78*n+99*n^2+84*n^3+35*n^4)*den(n)^2*den(1+n)^3*den(2+n)*S(R(1),n)^2-(40*(2+n+n^2)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n)^3)/3+S(R(-3),n)*(32*(192+112*n+300*n^2-12*n^3-463*n^4-484*n^5-42*n^6+112*n^7+29*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n)-64*(-18+n+n^2)*(2+n+n^2)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n))-4*(8+58*n+71*n^2+48*n^3+15*n^4)*den(n)^2*den(1+n)^3*den(2+n)*S(R(2),n)+(32*(240+3776*n+2960*n^2+836*n^3+775*n^4+986*n^5+616*n^6+162*n^7+17*n^8)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(3),n))/3+S(R(-2),n)*((-16*(-207360-58752*n+412992*n^2+334992*n^3+267440*n^4-670056*n^5-1046432*n^6+339111*n^7+1189486*n^8+434838*n^9-306362*n^10-253596*n^11-28294*n^12+24642*n^13+8834*n^14+885*n^15)*den(-2+n)^2*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^3*den(3+n)^3)/15+64*(-96+168*n-68*n^2-66*n^3+9*n^4-11*n^5-n^6+n^7)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n)+128*(2+n+n^2)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n)^2-256*(2+n+n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(2),n)+768*den(1+n)*den(2+n)*S(R(3),n))+(-1)^n*((16*(-1866240-7153920*n-5904576*n^2+1886976*n^3+1270875456*n^4+2592307560*n^5-2873847896*n^6-9005524898*n^7+540504131*n^8+14492925693*n^9+8195039934*n^10-8328580413*n^11-10120537003*n^12-362533343*n^13+4352636100*n^14+2117063163*n^15-278748131*n^16-554696313*n^17-156436098*n^18+16853545*n^19+20717227*n^20+5378163*n^21+640376*n^22+30267*n^23)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^5*den(3+n)^5)/225+(512*(108+378*n-2508*n^2-512*n^3+1861*n^4-1171*n^5-3293*n^6-1883*n^7-177*n^8+205*n^9+73*n^10+7*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^3*den(3+n)^3*S(R(-2),n))/15+(64*(31104+111456*n-81648*n^2+9470520*n^3+14666916*n^4-13989030*n^5-39321607*n^6-6873722*n^7+42228461*n^8+40227675*n^9+3732370*n^10-15660756*n^11-10659950*n^12-1907104*n^13+1006081*n^14+695886*n^15+185357*n^16+24531*n^17+1332*n^18)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4*S(R(1),n))/45-768*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(3),n))-64*(264-28*n-14*n^2+31*n^3+23*n^4+9*n^5+3*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(4),n)-768*den(1+n)*den(2+n)*S(R(-4,1),n)-1536*(2+n+n^2)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(-3,1),n)-64*(48+316*n+164*n^2-343*n^3-468*n^4-74*n^5+80*n^6+21*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)^2*den(3+n)*S(R(-2,1),n)+S(R(1),n)*((4*(-6096384-24178176*n-10435392*n^2-94970880*n^3-202367856*n^4+45654000*n^5+375603652*n^6+144291872*n^7-339688391*n^8-348250155*n^9-16584205*n^10+124324011*n^11+40823930*n^12-31495886*n^13-29013286*n^14-9149946*n^15-911507*n^16+179769*n^17+54783*n^18+4095*n^19)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4)/45+24*(2+n+n^2)*den(n)*den(1+n)^2*den(2+n)*S(R(2),n)+64*(-168+12*n-26*n^2-75*n^3-35*n^4+3*n^5+n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3),n)-384*(-1+n)*(2+n+n^2)*den(-2+n)*den(n)*den(1+n)^2*den(3+n)*S(R(-2,1),n))+128*(2+n+n^2)*(6+n+n^2)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2,-2),n)+32*(2+n+n^2)*den(n)*den(1+n)^2*den(2+n)*S(R(2,1),n)-768*den(1+n)*den(2+n)*S(R(3,-2),n)+2048*(12-n+n^2+4*n^3+2*n^4)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3,1),n)+512*(2+n+n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-2,1,1),n) );

L   Clg3cf2nfz3
  = CF^2*NF*z3*( 64*(288+120*n-772*n^2-134*n^3-537*n^4-1424*n^5-779*n^6+23*n^7+120*n^8+23*n^9)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*den(3+n)+1536*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*(-1)^n-1536*den(1+n)*den(2+n)*S(R(-2),n)-64*(-168-12*n-130*n^2-225*n^3-85*n^4+33*n^5+11*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n) );

L   Clg3cf2nfz5
  = CF^2*NF*z5*( -3840*den(1+n)*den(2+n) );

L   Clg3ca2nf
  = CA^2*NF*( (4*(-85100544-455222592*n-1049884416*n^2-1278987408*n^3-94996152*n^4+1369071432*n^5+1492367724*n^6+2357711577*n^7+3518329306*n^8+430339358*n^9-4414352248*n^10-4098975729*n^11+73295758*n^12+2175600892*n^13+1334447368*n^14+168811255*n^15-169917914*n^16-99192210*n^17-24096184*n^18-2645071*n^19-11510*n^20+23664*n^21+1500*n^22)*den(-2+n)*den(-1+n)^4*den(n)^4*den(1+n)^5*den(2+n)^5*den(3+n)^5)/135+192*den(1+n)*den(2+n)*S(R(-5),n)-16*(-126+29*n+29*n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-4),n)-16*(-14+5*n+5*n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-2),n)^2+(16*(-36-47*n-72*n^2+83*n^3)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n)^3)/9+16*den(1+n)*den(2+n)*S(R(1),n)^4+S(R(-3),n)*((-32*(-612-720*n-403*n^2+396*n^3+143*n^4-6*n^5+2*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n))/3+256*(-16+3*n+3*n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(1),n))-(16*(-72-12*n+1528*n^2+1753*n^3-226*n^4-1247*n^5-145*n^6+298*n^7+67*n^8)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^3*S(R(2),n))/9+16*den(1+n)*den(2+n)*S(R(2),n)^2+S(R(1),n)^2*((16*(-216-12*n+2764*n^2+2851*n^3-349*n^4-2729*n^5-469*n^6+1042*n^7+358*n^8)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^3)/9-128*den(1+n)*den(2+n)*S(R(2),n))-(16*(-6264-12372*n-3230*n^2+411*n^3-4206*n^4-4269*n^5-1239*n^6+30*n^7+35*n^8)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(3),n))/9+S(R(-2),n)*((-16*(102384+841104*n+358596*n^2-736746*n^3-167247*n^4+645997*n^5+112916*n^6-483219*n^7-272166*n^8+23775*n^9+55344*n^10+15521*n^11+1405*n^12)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^3*den(3+n)^3)/45-(32*(-612+678*n+794*n^2-669*n^3-427*n^4+129*n^5+59*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/3-64*den(1+n)*den(2+n)*S(R(1),n)^2-64*(-50+11*n+11*n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(2),n)+192*den(1+n)*den(2+n)*S(R(3),n))+(-1)^n*((4*(373248+17838144*n+113882112*n^2+294098256*n^3+83807784*n^4-366688704*n^5-311037588*n^6-171325389*n^7-388826892*n^8-115370216*n^9+608359086*n^10+587289283*n^11-94213386*n^12-421555804*n^13-244649816*n^14-29877735*n^15+31006128*n^16+18721640*n^17+5106558*n^18+787777*n^19+67070*n^20+2492*n^21)*den(-2+n)*den(-1+n)^4*den(n)^4*den(1+n)^5*den(2+n)^5*den(3+n)^5)/45+(32*(864+3024*n-7914*n^2-5311*n^3-2932*n^4-15803*n^5-18739*n^6-8494*n^7-786*n^8+605*n^9+179*n^10+11*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^3*den(3+n)^3*S(R(-2),n))/15+(16*(62208+1180656*n+5864184*n^2+20152764*n^3+30193062*n^4-6322532*n^5-71796388*n^6-63092565*n^7+30182293*n^8+84329744*n^9+47182058*n^10-6004534*n^11-18599584*n^12-7513068*n^13+266816*n^14+1194391*n^15+425437*n^16+66696*n^17+4106*n^18)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4*S(R(1),n))/45+64*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n)^2-64*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(2),n)-192*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(3),n))+32*(-72+32*n-4*n^2-71*n^3-33*n^4+3*n^5+n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(4),n)-192*den(1+n)*den(2+n)*S(R(-4,1),n)-128*(-34+7*n+7*n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-3,1),n)+64*(-60-32*n-9*n^2-26*n^3-13*n^4+20*n^5+8*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(-2,1),n)+S(R(1),n)*((16*(-5435424-27161568*n-65162232*n^2-95466492*n^3-17613036*n^4+168726111*n^5+174197004*n^6-112226605*n^7-276599614*n^8-71587052*n^9+153935081*n^10+118033192*n^11-14466658*n^12-52555791*n^13-22997948*n^14-723763*n^15+2638684*n^16+978212*n^17+151567*n^18+9100*n^19)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4)/135-16*(-32-66*n-79*n^2+46*n^3+35*n^4)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*S(R(2),n)+64*(-36+22*n-43*n^3-19*n^4+3*n^5+n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3),n)-256*(-14+3*n+3*n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-2,1),n))+64*(-62+13*n+13*n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(2,-2),n)+(704*den(1+n)*den(2+n)*S(R(2,1),n))/3-192*den(1+n)*den(2+n)*S(R(3,-2),n)+128*(36+2*n+8*n^2+13*n^3+9*n^4+3*n^5+n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3,1),n)+512*(-14+3*n+3*n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-2,1,1),n) );

L   Clg3ca2nfz3
  = CA^2*NF*z3*( 8*(-2304-3720*n+412*n^2-22*n^3-2979*n^4-2072*n^5-250*n^6+150*n^7+33*n^8)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)^3*den(3+n)+384*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*(-1)^n-384*den(1+n)*den(2+n)*S(R(-2),n)-64*(-72+40*n-4*n^2-85*n^3-35*n^4+9*n^5+3*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n) );

L   Clg3ca2nfz5
  = CA^2*NF*z5*( -960*den(1+n)*den(2+n) );

L   Clg3cacfnf
  = CA*CF*NF*( (-4*(-86780160-482018688*n-790166016*n^2+328737312*n^3+5161120272*n^4+6631803600*n^5-8107354016*n^6-18398794854*n^7+7065232183*n^8+37279498982*n^9+23095052658*n^10-12535040878*n^11-20246190771*n^12-3935660898*n^13+6373525388*n^14+4558911822*n^15+711579297*n^16-468906158*n^17-281609374*n^18-66363162*n^19-7407381*n^20-274598*n^21+7200*n^22)*den(-2+n)*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^5*den(3+n)^4)/675-768*den(1+n)*den(2+n)*S(R(-5),n)+64*(-6-47*n-31*n^2+32*n^3+16*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(-4),n)+32*(-54+13*n+13*n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n)*S(R(-2),n)^2-(16*(216+9396*n+33513*n^2+25940*n^3-33041*n^4-66407*n^5-23860*n^6+16406*n^7+14931*n^8+4089*n^9+385*n^10)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n)^3*S(R(1),n)^2)/15-(8*(2+13*n+13*n^2)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n)^3)/3+S(R(-3),n)*((-32*(288+696*n+1096*n^2+4*n^3-1213*n^4-1346*n^5-244*n^6+190*n^7+49*n^8)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n))/3-32*(36-52*n-27*n^2+50*n^3+25*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n))-(16*(-216-9396*n-12993*n^2+3580*n^3+13841*n^4+9727*n^5+4580*n^6+4554*n^7+3469*n^8+1151*n^9+135*n^10)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n)^3*S(R(2),n))/15-(16*(2496+9224*n+4756*n^2+550*n^3+2195*n^4+2968*n^5+1610*n^6+362*n^7+31*n^8)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)^3*den(3+n)*S(R(3),n))/3+S(R(-2),n)*((16*(-311040+487296*n+661824*n^2+640224*n^3+1425840*n^4-2216012*n^5-3754784*n^6+1279677*n^7+4228892*n^8+1473296*n^9-1100124*n^10-863182*n^11-81388*n^12+87444*n^13+29788*n^14+2905*n^15)*den(-2+n)^2*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^3*den(3+n)^3)/45+(128*(-144+828*n-880*n^2-109*n^3+514*n^4-85*n^5-137*n^6+11*n^7+14*n^8)*den(-2+n)^2*den(-1+n)*den(n)^2*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/3-128*(-6-7*n-6*n^2+2*n^3+n^4)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(1),n)^2+1088*(-1+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(2),n)-768*den(1+n)*den(2+n)*S(R(3),n))+(-1)^n*((-16*(-8398080-28024704*n+12939264*n^2+137475360*n^3+1657147608*n^4+1836359832*n^5-4833821758*n^6-7006190848*n^7+6963518030*n^8+16566525114*n^9+3712673296*n^10-10909389341*n^11-7562969741*n^12+2052303975*n^13+3889472131*n^14+932782414*n^15-587593332*n^16-377930872*n^17-38927010*n^18+28592575*n^19+11397675*n^20+1690415*n^21+93437*n^22)*den(-2+n)^2*den(-1+n)^4*den(n)^4*den(1+n)^6*den(2+n)^5*den(3+n)^4)/675-(64*(432+1512*n-11382*n^2-1913*n^3+9424*n^4-3969*n^5-14017*n^6-8262*n^7-778*n^8+935*n^9+337*n^10+33*n^11)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^3*den(3+n)^3*S(R(-2),n))/5-(32*(-2332800-10580544*n-9760608*n^2-130018464*n^3-119115168*n^4+266355392*n^5+273045508*n^6-496669721*n^7-932264359*n^8-371111336*n^9+296389069*n^10+340222066*n^11+80484778*n^12-46351172*n^13-32742674*n^14-4650457*n^15+2121149*n^16+1008660*n^17+165505*n^18+9976*n^19)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4*S(R(1),n))/225+(64*(-108-324*n+645*n^2+392*n^3+913*n^4+1787*n^5+1132*n^6+222*n^7-39*n^8-13*n^9+n^10)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n)^3*S(R(1),n)^2)/15-(64*(-108-324*n+645*n^2+392*n^3+913*n^4+1787*n^5+1132*n^6+222*n^7-39*n^8-13*n^9+n^10)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n)^3*S(R(2),n))/15+768*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(3),n))+32*(408-36*n+14*n^2+105*n^3+65*n^4+15*n^5+5*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(4),n)+768*den(1+n)*den(2+n)*S(R(-4,1),n)+256*(6-7*n-3*n^2+8*n^3+4*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(-3,1),n)+128*(72+138*n+29*n^2-120*n^3-160*n^4-48*n^5+7*n^6+2*n^7)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)^2*den(3+n)*S(R(-2,1),n)+S(R(1),n)*((-4*(-51321600-246053376*n-333918720*n^2-435263616*n^3-199027680*n^4+766096928*n^5+490212496*n^6-2178748036*n^7-3871957379*n^8-2089880671*n^9+446307303*n^10+906009903*n^11+125251426*n^12-278283350*n^13-180916546*n^14-40257926*n^15+2031633*n^16+2797669*n^17+526267*n^18+33675*n^19)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^4)/225+(8*(90+293*n+380*n^2+117*n^3)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2),n))/3-32*(-312+44*n-46*n^2-179*n^3-87*n^4+3*n^5+n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3),n)+64*(-12-52*n-31*n^2+42*n^3+21*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(-2,1),n))-64*(12-32*n-15*n^2+34*n^3+17*n^4)*den(-2+n)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2,-2),n)-(64*(9+35*n+50*n^2+18*n^3)*den(n)*den(1+n)^2*den(2+n)*den(3+n)*S(R(2,1),n))/3+768*den(1+n)*den(2+n)*S(R(3,-2),n)-128*(168-12*n+22*n^2+69*n^3+37*n^4+3*n^5+n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3,1),n)-2304*(-1+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(-2,1,1),n) );

L   Clg3cfcanfz3
  = CA*CF*NF*z3*( -32*(288-792*n-2300*n^2+2*n^3-775*n^4-2787*n^5-1487*n^6+41*n^7+194*n^8+32*n^9)*den(-2+n)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^3*den(3+n)-1536*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*(-1)^n+1536*den(1+n)*den(2+n)*S(R(-2),n)+32*(-456+108*n-154*n^2-507*n^3-211*n^4+51*n^5+17*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n) );

L   Clg3cfcanfz5
  = CA*CF*NF*z5*( 3840*den(1+n)*den(2+n) );

L   Clg3cfnf2
  = CF*NF^2*( (-8*(-8748000-29976480*n-36179136*n^2-11454480*n^3+32514210*n^4+70364430*n^5+19356563*n^6-74735304*n^7-83412639*n^8-43534010*n^9-32836502*n^10-30237792*n^11-13790020*n^12-178582*n^13+2554975*n^14+1153336*n^15+236289*n^16+23522*n^17+900*n^18)*den(-1+n)^3*den(n)^4*den(1+n)^5*den(2+n)^4*den(3+n)^4)/675+(128*(-1+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(-3),n))/3+(16*(12+8*n+9*n^2+4*n^3+7*n^4+6*n^5+2*n^6)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^2*S(R(1),n)^2)/3+S(R(-2),n)*((-32*(-864+520*n+172*n^2+74*n^3-113*n^4-103*n^5+13*n^6+13*n^7)*den(-2+n)^2*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n))/9-(64*(-1+n)*den(-2+n)*den(1+n)*den(3+n)*S(R(1),n))/3)+(-1)^n*((32*(-233280-1303776*n-2541888*n^2+11347344*n^3-10216044*n^4-33317158*n^5+409736*n^6+16999626*n^7-8392448*n^8-13014685*n^9+3082930*n^10+6760154*n^11+1549486*n^12-648234*n^13-322738*n^14-26084*n^15+6326*n^16+893*n^17)*den(-2+n)^2*den(-1+n)^3*den(n)^3*den(1+n)^4*den(2+n)^4*den(3+n)^4)/675-(64*(-108-324*n+645*n^2+392*n^3+913*n^4+1787*n^5+1132*n^6+222*n^7-39*n^8-13*n^9+n^10)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n)^3*S(R(1),n))/45)+(16*(-36-36*n-59*n^2-73*n^3-37*n^4+19*n^5+24*n^6+6*n^7)*den(-1+n)*den(n)^2*den(1+n)^3*den(2+n)^2*den(3+n)*S(R(2),n))/3+S(R(1),n)*((8*(77760+182304*n+122040*n^2+73860*n^3-18130*n^4-177783*n^5-290284*n^6-264044*n^7-90360*n^8+56030*n^9+70884*n^10+30096*n^11+5978*n^12+465*n^13)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^3*den(3+n)^3)/45-(32*(5+3*n)*den(1+n)*den(2+n)*den(3+n)*S(R(2),n))/3)-(32*(5+3*n)*den(1+n)*den(2+n)*den(3+n)*S(R(3),n))/3+(64*(5+3*n)*den(1+n)*den(2+n)*den(3+n)*S(R(2,1),n))/3 );

L   Clg3cfnf2z3
  = CF*NF^2*z3*( -64*(-2-3*n+n^2)*den(-2+n)*den(1+n)*den(2+n)*den(3+n) );

L   Clg3canf2
  = CA*NF^2*( (-8*(-38880-237168*n-295704*n^2+541260*n^3+2442780*n^4+3647056*n^5+2025261*n^6-1215908*n^7-2724526*n^8-1895300*n^9-659188*n^10-101976*n^11+2258*n^12+2772*n^13+255*n^14)*den(-1+n)^2*den(n)^3*den(1+n)^4*den(2+n)^4*den(3+n)^3)/135-(128*den(1+n)*den(2+n)*S(R(-3),n))/3-(32*(-3-8*n-6*n^2+11*n^3)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)*S(R(1),n)^2)/9-(32*den(1+n)*den(2+n)*S(R(1),n)^3)/9+S(R(-2),n)*((32*(-36+144*n+13*n^2-246*n^3-83*n^4+48*n^5+16*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n))/9+(64*den(1+n)*den(2+n)*S(R(1),n))/3)+(-1)^n*((-16*(7344+41040*n+46584*n^2-21940*n^3+62637*n^4+181011*n^5+69243*n^6-80559*n^7-75269*n^8-9111*n^9+16021*n^10+9467*n^11+2176*n^12+188*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3)/45-(64*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(1),n))/3)+(32*(-6-19*n+11*n^2+5*n^3)*den(-1+n)*den(n)*den(1+n)*den(2+n)^2*S(R(2),n))/9+S(R(1),n)*((-16*(-240-1628*n-2806*n^2-1697*n^3+800*n^4+1165*n^5+302*n^6)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)^3)/27+32*den(1+n)*den(2+n)*S(R(2),n))+(128*den(1+n)*den(2+n)*S(R(3),n))/9-(128*den(1+n)*den(2+n)*S(R(2,1),n))/3 );

L   Clg3canf2z3
  = CA*NF^2*z3*( -16*den(1+n)*den(2+n) );

L   Clg3dabc
  = (dabc*NF^2)/NC*( (-256*(42336+255744*n+521064*n^2-3127156*n^3-4259776*n^4+4585125*n^5+10236656*n^6+4788066*n^7+661905*n^8+2969332*n^9+4396921*n^10+2574096*n^11+640642*n^12+9405*n^13+15258*n^14+46698*n^15+23757*n^16+5058*n^17+405*n^18)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^3)/225+(128*(-1+n)*n*S(R(-5),n))/15+256*den(1+n)*den(2+n)*S(R(-2),n)^2+S(R(-3),n)*((-128*(10+n+n^2)*(30+n+n^2)*den(-1+n)*den(1+n)*den(2+n)^2)/15+512*den(1+n)*den(2+n)*S(R(1),n))+(-1)^n*((-256*(-42336-255744*n-521064*n^2+3127156*n^3+4201456*n^4-4857285*n^5-10602776*n^6-4570986*n^7+380970*n^8-2159332*n^9-4790176*n^10-3591456*n^11-1182532*n^12+94275*n^13+257712*n^14+105582*n^15+19578*n^16+1422*n^17)*den(-2+n)*den(-1+n)^3*den(n)^3*den(1+n)^5*den(2+n)^5*den(3+n)^3)/225-512*(5+7*n+4*n^2+n^3)*den(1+n)^3*den(2+n)^3*S(R(-2),n)+(256*(-117072-654480*n-1119552*n^2-1676800*n^3-1347671*n^4+464717*n^5+1329181*n^6+259212*n^7-639913*n^8-468442*n^9-104993*n^10+5684*n^11+5332*n^12+541*n^13)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3*S(R(1),n))/225)-1536*(1+n+n^2)*(-10+3*n+3*n^2)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)^2*den(3+n)*S(R(3),n)+S(R(1),n)^2*(-1408*den(1+n)*den(2+n)-1536*den(1+n)*den(2+n)*S(R(3),n))+256*(72-16*n-104*n^2-155*n^3-25*n^4+63*n^5+21*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(4),n)-(128*(180-2*n-n^2+2*n^3+n^4)*den(1+n)*den(2+n)*S(R(5),n))/15-512*den(1+n)*den(2+n)*S(R(-3,1),n)+(256*(10+n+n^2)*(30+n+n^2)*den(-1+n)*den(1+n)*den(2+n)^2*S(R(-2,1),n))/15+S(R(-2),n)*((-128*(6480+8160*n+3520*n^2+2174*n^3+890*n^4-987*n^5-1257*n^6-498*n^7-58*n^8+7*n^9+n^10)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^3*den(2+n)^3*den(3+n))/15-(256*(624-1420*n-1340*n^2+205*n^3+215*n^4+135*n^5+45*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n))/15+512*den(1+n)*den(2+n)*S(R(1),n)^2-512*den(1+n)*den(2+n)*S(R(2),n)-(256*(-1+n)*n*S(R(-2,1),n))/15)+512*den(1+n)*den(2+n)*S(R(2,-2),n)-(256*(-1+n)*n*S(R(3,-2),n))/15-512*(72-16*n-104*n^2-155*n^3-25*n^4+63*n^5+21*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3,1),n)+S(R(1),n)*((256*(117072+654480*n+1774032*n^2+3910240*n^3+3387431*n^4-1798997*n^5-5050966*n^6-2578482*n^7+788203*n^8+1538812*n^9+891233*n^10+329146*n^11+86618*n^12+14369*n^13+1065*n^14)*den(-2+n)*den(-1+n)^2*den(n)^2*den(1+n)^4*den(2+n)^4*den(3+n)^3)/225+512*(36-2*n-50*n^2-85*n^3-15*n^4+33*n^5+11*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(3),n)-3072*den(1+n)*den(2+n)*S(R(4),n)-1024*den(1+n)*den(2+n)*S(R(-2,1),n)+6144*den(1+n)*den(2+n)*S(R(3,1),n))+4608*den(1+n)*den(2+n)*S(R(3,2),n)+4608*den(1+n)*den(2+n)*S(R(4,1),n)+(256*(-1+n)*n*S(R(-2,1,-2),n))/15+1024*den(1+n)*den(2+n)*S(R(-2,1,1),n)-9216*den(1+n)*den(2+n)*S(R(3,1,1),n) );

L   Clg3dabcz3
  = (dabc*NF^2*z3)/NC*( (128*(-4860-2820*n-1661*n^2+2319*n^3+1162*n^4+3*n^5+n^6)*den(-2+n)*den(-1+n)*den(1+n)*den(2+n)^2*den(3+n))/15-(256*(-1+n)*n*S(R(-2),n))/15-512*(72+8*n-96*n^2-185*n^3-35*n^4+69*n^5+23*n^6)*den(-2+n)*den(-1+n)*den(n)*den(1+n)^2*den(2+n)^2*den(3+n)*S(R(1),n)+3072*den(1+n)*den(2+n)*S(R(1),n)^2 );

L   Clg3dabcz5
  = (dabc*NF^2*z5)/NC*( (-64*(-4+n)*(5+n)*(18+n+n^2)*den(1+n)*den(2+n))/3 );

L   Tqq0=Pqq0-gqq0(n);
	
L   Tqq1p=(Pqq1pcf2+Pqq1pcacf+Pqq1pcfnf)-gqq1p(n);

L   Tqq2p= Pqq2pcf3+Pqq2pcf3z3+Pqq2pcacf2z3+Pqq2pcacf2
          +Pqq2pca2cf+Pqq2pca2cfz3+Pqq2pcfnf2+Pqq2pcf2nf
          +Pqq2pcf2nfz3+Pqq2pcacfnf+Pqq2pcacfnfz3-(gqq2p(n));

L   Tps1 = Pps1cfnf-gps1(n);

L   Tps2 = Pps2cfnf2+Pps2cacfnf+Pps2nfcacfnfz3+Pps2cf2nf+Pps2cf2nfz3-gps2(n);

L   Tqg0 = Pqg0-gqg0(n);

L   Tqg1 = Pqg1canf+Pqg1cfnf-gqg1(n);

L   Tqg2 = Pqg2canf2+Pqg2cfnf2+Pqg2ca2nf+Pqg2ca2nfz3+Pqg2cacfnf+Pqg2cacfnfz3
          +Pqg2cf2nfz3+Pqg2cf2nf-gqg2(n);

L   Tgq0 = Pgq0-ggq0(n);

L   Tgq1 = Pgq1cf2+Pgq1cacf+Pgq1cfnf-ggq1(n);

L   Tgq2 = Pgq2cf3+Pgq2cf3z3+Pgq2ca2cf+Pgq2ca2cfz3+Pgq2cacf2+Pgq2cacf2z3
          +Pgq2cf2nf+Pgq2cf2nfz3+Pgq2cacfnf+Pgq2cacfnfz3+Pgq2cfnf2-ggq2(n);

L   Tgg0 = Pgg0-ggg0(n);

L   Tgg1 = Pgg1ca2+Pgg1canf+Pgg1cfnf-ggg1(n);

L   Tgg2 = Pgg2ca3+Pgg2cf2nf+Pgg2cf2nfz3+Pgg2ca2nf+Pgg2ca2nfz3+Pgg2cacfnf
           +Pgg2cacfnfz3+Pgg2canf2+Pgg2cfnf2-ggg2(n);

L   TC2ps2 = C2ps2cfnf-c2ps2(n);

L   TC2ps3 = C2ps3cf2nf+C2ps3cf2nfz3+C2ps3cf2nfz4+C2ps3cacfnf+C2ps3cacfnfz3
            +C2ps3cacfnfz4+C2ps3cfnf2+C2ps3cfnf2z3-c2ps3(n);

L   TClps2 = Clps2cfnf - clps2(n);

L   TClps3 = Clps3cf2nf+Clps3cf2nfz3+Clps3cacfnf+Clps3cacfnfz3
            +Clps3cfnf2-clps3(n);

L   TC2q1 = C2q1cf-c2q1(n);

L   TC2q2 = C2q2cf2+C2q2cf2z3+C2q2cacf+C2q2cacfz3+C2qcfnf-c2q2(n);
L   TC2q3 = C2q3cf3+C2q3cf3z3+C2q3cf3z4+C2q3cf3z5+C2q3cacf2
           +C2q3cacf2z3+C2q3cacf2z4+C2q3cacf2z5+C2q3ca2cf
           +C2q3ca2cfz3+C2q3ca2cfz4+C2q3ca2cfz5+C2q3cf2nf
           +C2q3cf2nfz3+C2q3cf2nfz4+C2q3cacfnf+C2q3cacfnfz3
           +C2q3cacfnfz4+C2q3cfnf2+C2q3cfnf2z3-c2q3(n);

L   TC2q3dabc= (C2q3dabc+C2q3dabcz3+C2q3dabcz5)/16-c2q3dabc(n);

L   TClq1 = Clq1-clq1(n);

L   TClq2 = Clq2cf2+Clq2cf2z3+Clq2cacf+Clq2cacfz3+Clq2cfnf-clq2(n);

L   TClq3 = Clq3cf3+Clq3cf3z3+Clq3cf3z5+Clq3cacf2+Clq3cacf2z3
           +Clq3cacf2z5+Clq3ca2cf+Clq3ca2cfz3+Clq3ca2cfz5
           +Clq3cacfnf+Clq3cacfnfz3+Clq3cf2nf+Clq3cf2nfz3
           +Clq3cfnf2-clq3(n);

L   TClq3dabc = (Clq3dabc+Clq3dabcz3+Clq3dabcz5)/16-clq3dabc(n);

L   TC2g1=C2g1nf-c2g1(n);

L   TC2g2 = C2g2cfnf+C2g2cfnfz3+C2g2canf+C2g2canfz3-c2g2(n);

L   TC2g3 = C2g3cf2nf+C2g3cf2nfz3+C2g3cf2nfz4+C2g3cf2nfz5+C2g3ca2nf
           +C2g3ca2nfz3+C2g3ca2nfz4+C2g3ca2nfz5+C2g3cfcanf+C2g3cacfnfz3
           +C2g3cacfnfz4+C2g3cacfnfz5+C2g3cfnf2+C2g3cfnf2z3+C2g3canf2
           +C2g3canf2z3-c2g3(n);

L   TC2g3dabc = (C2g3dabc+C2g3dabcz3+C2g3dabcz5)/16-c2g3dabc(n);

L   TClg1 = Clg1-clg1(n);

L   TClg2 = Clg2cfnf+Clg2canf-clg2(n);

L   TClg3 = Clg3cf2nf+Clg3cf2nfz3+Clg3cf2nfz5+Clg3ca2nf+Clg3ca2nfz3+Clg3ca2nfz5
           +Clg3cacfnf+Clg3cfcanfz3+Clg3cfcanfz5+Clg3cfnf2+Clg3cfnf2z3
           +Clg3canf2+Clg3canf2z3-clg3(n);

L  TClg3dabc=(Clg3dabc+Clg3dabcz3+Clg3dabcz5)/16-clg3dabc(n);

.sort

id den(a?)=1/a;
argument;
id n=4;
endargument;
id n=4;
id 1/n=1/4;
#call subesses(S);
.sort

id gqq0(2)=CF*8/3;   
id gqq0(4)=CF*(157)/(30);
id gqq0(6)=CF*(709)/(105);
id gqq0(8)=CF*(9883)/(1260);
id gqq1p(2)=CF*CA*376/27
           +CF^2*(-112/27)
           +NF*CF*(-64/27);  
id gps1(2) =0;
id gqq1p(4)=CF*CA*(16157)/(675)
           +CF^2 *( -(287303)/(54000) ) 
           +NF*CF*( -(13271)/(2700) );
id gps1(4) =NF*CF*(-(2147)/(27000) );
id gqq1p(6)=CF*CA*(157415)/(5292)  
           +CF^2*(  - (3173311)/(514500) )
           +NF*CF*(  - (428119)/(66150) ); 
id gps1(6) =NF*CF*(  - (289)/(18522) ); 
id gqq1p(8)=CF*CA*(25870049)/(762048) 
           +CF^2* ( - (27040578211)/(4000752000) )
           +NF*CF*(  - (36241943)/(4762800) );    
id gps1(8) =NF*CF*(  - (40333)/(8164800) );
#-----------------------------------------------------------------------------
id gqq2p(2)=
      CF*CA^2* ( (20920)/(243) + (64)/(3) *z3 ) 
   +  CF^2*CA* (  - (8528)/(243) - 64 *z3 )
   +  CF^3*    (  - (560)/(243) + (128)/(3) *z3 ) 
   +  NF*CF*CA*(  - (3128)/(243) - (64)/(3) *z3 )
   +  NF*CF^2* (  - (3412)/(243) + (64)/(3) *z3 )
   +  NF^2*CF* (  - (224)/(243) );   
id gps2(2)=(
      CF*CA*NF*( (2534)/(243) - (64)/(3) *z3 )
  +   CF^2*NF* (  - (3682)/(243) + (64)/(3) *z3 )
  +   CF*NF^2* (  - (628)/(243) ) );
#-----------------------------------------------------------------------------
id gqq2p(4)=CF*CA^2* ( 136066373/972000 + 1439/75 *z3 )
           +CF^2*CA* (  - (267028157)/(9720000) - (1439)/(25) *z3 ) 
           +CF^3*    (  - (714245693)/(48600000) + (2878)/(75) *z3 ) 
           +NF*CF*CA*(  - (8802581)/(486000) - (628)/(15) *z3 ) 
           +NF*CF^2* (  - (165237563)/(4860000) + (628)/(15) *z3 )
           +NF^2*CF* (  -  384277/243000 );
id gps2(4)=( 
            NF*CF*CA*(    2485097/2025000 - 242/75 *z3 )
           +NF*CF^2* (  - 2217031/2700000  + 242/75 *z3 )
           +NF^2*CF* (  - 618673/1215000 ));
#-----------------------------------------------------------------------------
id gqq2p(6)=CF*CA^2* (  (115237918583)/(666792000) + (69862)/(3675) *z3 )
           +CF^2*CA* ( - (34855421369)/(1166886000)- (69862)/(1225) *z3  ) 
           +CF^3*    (  - (854652999073)/(51051262500) + (139724)/(3675)*z3 )
           +NF*CF*CA*( - (13978373)/(686000) - (5672)/(105) *z3  ) 
           +NF*CF^2* (  - (44644018231)/(972405000) + (5672)/(105) *z3 )
           +NF^2*CF* (  - (80347571)/(41674500)  ); 
id gps2(6)=( 
             NF*CF*CA*(  (1988624681)/(16336404000) - (968)/(735) *z3 )
            +NF*CF^2* (  (11602048711)/(40841010000) + (968)/(735) *z3  )
            +NF^2*CF* (   - (31555763)/(145860750)  ));
#-----------------------------------------------------------------------------
id gqq2p(8)=CF*CA^2* ( (8101059985033)/(41150592000)+ (2510407)/(132300)*z3 ) 
          +CF^2*CA* (  - (3662576699059)/(112021056000) - (2510407)/(44100)*z3 )
          +CF^3*    (  - (109308710097437993)/(6351593875200000) 
                       + (2510407)/(66150)*z3 )
          +NF*CF*CA*(  - (1578915745223)/(72013536000)- (19766)/(315) *z3 ) 
          +NF*CF^2* (  - (91675209372043)/(1680315840000) 
                       + (19766)/(315) *z3 )
          +NF^2*CF* (  - (38920977797)/(18003384000) ); 
id gps2(8)=(
            NF*CF*CA*(  - (343248329803)/(2592487296000) - (1369)/(1890)*z3 )
           +NF*CF^2* ( (39929737384469)/(90737055360000) + (1369)/(1890) *z3 ) 
           +NF^2*CF* (  - (13131081443)/(108020304000) ));
#-----------------------------------------------------------------------------
id gqg0(2)=NF*(- (2)/(3) );
id gqg1(2)=NF*CF*(-(74)/(27))+NF*CA*(-(35)/(27));
id gqg2(2)=NF*CF*CA*( (139)/(9) - (104)/(3) *z3 )
          +NF*CF^2* (  - (2155)/(243) + (32)/(3) *z3 ) 
          +NF*CA^2* (  - (3589)/(162) + 24 *z3 )
          +NF^2*CF* (  - (173)/(243) )
          +NF^2*CA* ( (1058)/(243) ) ;
#-----------------------------------------------------------------------------
id gqg0(4)=NF*( -(11)/(30) );
id gqg1(4)=NF*CF*(  - (56317)/(18000) )+NF*CA*( (16387)/(9000)    );
id gqg2(4)=NF*CF*CA*( (278546497)/(8100000)- (969)/(25)*z3 ) 
          +NF*CF^2* (  - (757117001)/(48600000) + (261)/(25)*z3 )
          +NF*CA^2* (  - (295110931)/(12150000) + (708)/(25)*z3 ) 
          +NF^2*CF* ( (9613841)/(24300000) )
          +NF^2*CA* ( (4481539)/(2430000) );
#-----------------------------------------------------------------------------
id gqg0(6)=NF*( -(11)/(42) ); 
id gqg1(6)=NF*CF*(  - (296083)/(92610) )+NF*CA*( (867311)/(370440)  );
id gqg2(6)=NF*CF*CA*( (1199181909343)/(32672808000)- (23666)/(735) *z3 )
          +NF*CF^2*(  - (2933980223981)/(163364040000) + (1240)/(147) *z3 )
          +NF*CA^2*(  - (58595443051)/(2613824640) + (5822)/(245) *z3 ) 
          +NF^2*CF*( (1539874183)/(2722734000) )
          +NF^2*CA*( (86617163)/(93350880) )   ;
#-----------------------------------------------------------------------------
id gqg0(8)=NF*(- (37)/(180) ); 
id gqg1(8)=NF*CF*   (  - (51090517)/(16329600) )
          +NF*CA*   ( (100911011)/(40824000) ) ;
id gqg2(8)=NF*CF*CA*( (4896295442015177)/(129624364800000)- (515201)/(18900) *z3 )
          +NF*CF^2* (  - (4374484944665803)/(226842638400000)+ (749)/(108)   *z3 ) 
          +NF*CA^2*(  - (24648658224523)/(1157360400000) + (64021)/(3150) *z3 )
          +NF^2*CF*( (7903297846481)/(12962436480000) )
          +NF^2*CA*( (10379424541)/(22044960000) )    ;
#-----------------------------------------------------------------------------
id ggq0(2)=CF*(- (8)/(3) );  
id ggq1(2)=CF*CA*(  - (376)/(27) )   
          +CF^2* ( (112)/(27) )
          +NF*CF*( (104)/(27)   );
id ggq2(2)=CF*CA^2* (  - (20920)/(243) - (64)/(3) *z3 )
          +CF^2*CA* ( (8528)/(243) + 64 *z3 )  
          +CF^3*    ( (560)/(243) - (128)/(3) *z3 )
          +NF*CF*CA*( (22)/(9) + (128)/(3) *z3 ) 
          +NF*CF^2* ( (7094)/(243) - (128)/(3) *z3 ) 
          +NF^2*CF* ( (284)/(81) );
#-----------------------------------------------------------------------------
id ggq0(4)=CF*( -(11)/(15) );
id ggq1(4)=CF*CA*(  - (63949)/(13500) )  
          +CF^2*( (42109)/(27000) )
          +NF*CF*( (313)/(675)   );
id ggq2(4)=CF*CA^2* (  - (325575847)/(12150000) - (944)/(75) *z3 )
          +CF^2*CA* (  - (117100723)/(24300000) + (944)/(25) *z3 ) 
          +CF^3*    ( (110687611)/(6075000) - (1888)/(75) *z3 )
          +NF*CF*CA*(  - (799)/(48600) + (176)/(15) *z3 ) 
          +NF*CF^2* ( (3651671)/(759375) - (176)/(15) *z3 )
          +NF^2*CF* ( (54731)/(40500)  );
#-----------------------------------------------------------------------------
id ggq0(6)=CF*( - (44)/(105) );
id ggq1(6)=CF*CA*(  - (437033)/(154350) )   
          +CF^2* ( (1191271)/(1157625) )
          +NF*CF*( (2204)/(33075)     );
id ggq2(6)=CF*CA^2* (  - (202913519537)/(16336404000)- (37592)/(3675)*z3 )
          +CF^2*CA* (  - (150561431231)/(10210252500)+ (37592)/(1225) *z3 )  
          +CF^3*    ( (1031558954593)/(51051262500) - (75184)/(3675)*z3 )
          +NF*CF*CA*(  - (253841107)/(583443000) + (704)/(105) *z3 ) 
          +NF*CF^2* ( (20157323311)/(10210252500) - (704)/(105) *z3 )
          +NF^2*CF* ( (2833459)/(3472875)   );
#-----------------------------------------------------------------------------
id ggq0(8)=CF*( -(37)/(126) );
id ggq1(8)=CF*CA*(  - (58805263)/(28576800) ) 
          +CF^2* ( (331619149)/(400075200)  )
          +NF*CF*(  - (12613)/(238140) );
id ggq2(8)=CF*CA^2* (  - (840976971727)/(129624364800)- (58649)/(6615)*z3 )
          +CF^2*CA* (  - (16504689458671)/(907370553600)+ (58649)/(2205) *z3 ) 
          +CF^3*    ( (12876352060509647)/(635159387520000)- (117298)/(6615) *z3 )
          +NF*CF*CA*(  - (3105820553)/(6751269000) + (296)/(63)*z3 )
          +NF*CF^2* ( (8498139408671)/(9073705536000) - (296)/(63)*z3 )
          +NF^2*CF* ( (339184373)/(600112800) ) ;
#-----------------------------------------------------------------------------
id ggg0(2)=NF*(2)/(3);
id ggg1(2)=NF*CF*( (74)/(27) )
          +NF*CA*( (35)/(27) )   ;
id ggg2(2)=NF*CF*CA*(  - (139)/(9) + (104)/(3) *z3 ) 
          +NF*CF^2*( (2155)/(243) - (32)/(3) *z3 ) 
          +NF*CA^2*( (3589)/(162) - 24 *z3 ) 
          +NF^2*CF*( (173)/(243) )
          +NF^2*CA*(  - (1058)/(243)  );
#-----------------------------------------------------------------------------
id ggg0(4)=CA*( (21)/(5) ) 
          +NF*( (2)/(3) );
id ggg1(4)=CA^2*( (7121)/(500) )   
          +NF*CF*( (20951)/(9000) )
          +NF*CA*(  - (2513)/(450) );
id ggg2(4)=CA^3    *( (103309639)/(1350000) )
          +NF*CF*CA*(  - (235535117)/(4050000) + (1632)/(25)*z3 ) 
          +NF*CF^2*( (2557151)/(3037500) - (66)/(25) *z3 )
          +NF*CA^2*( (53797499)/(2430000) - (1566)/(25) *z3 )  
          +NF^2*CF*(  - (489887)/(607500) )
          +NF^2*CA*(  - (757861)/(243000) );
#-----------------------------------------------------------------------------
id ggg0(6)=CA*( (83)/(14) )  
           +NF*( (2)/(3) );
id ggg1(6)=CA^2 *( (1506899)/(74088) )   
          +NF*CF*( (100319)/(46305) )
          +NF*CA*(  - (102997)/(13230) );
id ggg2(6)=CA^3    *( (96390174479)/(871274880) )
         +NF*CF*CA*(  - (9691228129)/(130691232) + (57256)/(735)*z3 ) 
         +NF*CF^2 *(  - (11024749151)/(40841010000) - (176)/(147)*z3 )
         +NF*CA^2*( (9763460989)/(466754400) - (18792)/(245) *z3 ) 
         +NF^2*CF*(  - (280414331)/(291721500) )
         +NF^2*CA*(  - (6597737)/(2083725)    );
#-----------------------------------------------------------------------------
id ggg0(8)=CA*( (319)/(45) )  
          +NF*( (2)/(3)   );
id ggg1(8)=CA^2*( (2223694)/(91125) )   
          +NF*CF*( (685883)/(326592) )
          +NF*CA*(  - (623687)/(68040) );
id ggg2(8)=CA^3*    ( (1381390082227)/(10333575000) )
          +NF*CF*CA*(  - (220111823810087)/(2592487296000) + (81941)/(945) *z3 ) 
          +NF*CF^2* (  - (14058417959723)/(22684263840000) - (37)/(54) *z3 )
          +NF*CA^2* ( (2080130771161)/(102876480000)- (162587)/(1890) *z3 )  
          +NF^2*CF* (  - (1747563703)/(1687817250) )
          +NF^2*CA*  (  - (420970849)/(128595600)  );
#-----------------------------------------------------------------------------
id c2q0(2)=1;
id c2q1(2)=CF*( (1)/(3) ); 
id c2q2(2)= NF*CF*(  - 4 )
           +CF*CA*( (3677)/(135) - (128)/(5) *z3 ) 
           +CF^2* (  - (4189)/(810) + (96)/(5) *z3 );
id c2ps2(2)=NF*CF*(  - (133)/(81) );
id c2ps3(2)=NF*CF*CA*( (1177679)/(21870) - (1376)/(45) *z3 - (32)/(3)*z4 
                           - (64)/(3) *z5 ) 
           +NF*CF^2*(  - (28249)/(2430) - (17296)/(405) *z3 + (32)/(3)
                            *z4 + (128)/(3) *z5 )
           +NF^2*CF*(  - (77623)/(10935) + (3232)/(405) *z3 ); 
id c2q3dabc(2)=dabc*NF/NC*(  (31)/(5) - (76)/(15) *z3 - 16/3 *z5 );
id c2q3(2)=NF*CF*CA*(  - (998153)/(10935) + (17432)/(405) *z3 - (32)/(3)*z4 
                    + (80)/(3) *z5 )
        +NF*CF^2*(  - (341701)/(21870) - (1352)/(45) *z3 + (32)/(3) *z4 ) 
        +NF^2*CF*( (7814)/(2187) + (64)/(81) *z3 ) 
        +CF*CA^2*( (3667498)/(10935) - (46160)/(81) *z3 + (32)/(3) *z4 +296 *z5 ) 
        +CF^2*CA*(  - (1013578)/(10935) + (30776)/(45) *z3 - 32 *z4 
                    -(1552)/(3) *z5 )
        +CF^3*(  - (201577)/(7290) - (50864)/(405) *z3 + (64)/(3) *z4 
                 + (416)/(3) *z5 );   
#-----------------------------------------------------------------------------
id c2q0(4)=1;
id c2q1(4)=CF*( (91)/(20) ); 
id c2ps2(4)=NF*CF*( (393523)/(1080000) );
id c2q2(4)=NF*CF*(  - (1376021)/(108000) ) 
          +CF*CA*( (4649639)/(54000) - (269)/(5) *z3 )
          +CF^2* (  - (142624259)/(6480000) + (224)/(5) *z3 ); 
id c2ps3(4)=NF*CF*CA*( (20953881467)/(1458000000) - (10438)/(1125) *z3
                             - (121)/(75) *z4 ) 
           +NF*CF^2*( (107812550749)/(15309000000) - (161386)/(70875)
                           *z3 + (121)/(75) *z4 )
           +NF^2*CF*(  - (16205516)/(6834375) + (1204)/(2025) *z3 );
id c2q3dabc(4)=NF*dabc/NC*(   (77)/(45) - (38)/(15) *z3 - 8/3 *z5 );
id c2q3(4)=NF*CF*CA*(  - (36939762439)/(122472000) + (365878)/(2835) *z3
                       - (314)/(15) *z4 ) 
          +NF*CF^2*(   - (283057919183)/(3061800000) - (222433)/(4725) *z3
                       + (314)/(15) *z4 ) 
          +NF^2*CF*( (136926751)/(8748000) + (628)/(405) *z3 )
          +CF*CA^2*( (26155194283)/(24494400) - (16471321)/(14175) *z3 +
                        (1439)/(150) *z4 + 470 *z5 )
          +CF^2*CA*(  - (1209798320299)/(12247200000) + (21020311)/(47250)
                     *z3 - (1439)/(50) *z4 - (124)/(3) *z5 )
          +CF^3*( (4987373708399)/(40824000000) + (119936813)/(283500) *z3
                     + (1439)/(75) *z4 - (1624)/(3) *z5 );
#-----------------------------------------------------------------------------
id c2q0(6)=1;
id c2q1(6)=CF*( (5281)/(630) );
id c2ps2(6)=NF*CF*( (47344331)/(129654000) );
id c2q2(6)=NF*CF*(  - (1167429869)/(55566000) )
          +CF*CA*( (2962167319)/(22226400) - (348)/(5) *z3 )
          +CF^2*(  - (44524614749)/(3889620000) + (2036)/(35) *z3 ); 
id c2ps3(6)=NF*CF*CA*( (42613645803313)/(5145967260000)
                             - (907166)/(231525) *z3 - (484)/(735) *z4 ) 
           +NF*CF^2*( (44744425895431)/(5145967260000)
                           - (1313258)/(694575) *z3 + (484)/(735) *z4 ) 
           +NF^2*CF*(  - (18418888183)/(13613670000) + (3448)/(19845)
                             *z3 );  
id c2q3dabc(6)=NF*dabc/NC*(   (313979)/(50400) - (514)/(315) *z3 + -(160)/(21)
                            *z5 );
id c2q3(6)=NF*CF*CA*(  - (109033584779183)/(210039480000) + (358312)/(2025)
                    *z3 - (2836)/(105) *z4 ) 
          +NF*CF^2*(  - (11225895261923)/(51051262500) - (417224)/(6615)
                    *z3 + (2836)/(105) *z4 ) 
          +NF^2*CF*( (11510197169)/(388962000) + (5672)/(2835) *z3 ) 
          +CF*CA^2*( (492030789922433)/(280052640000) - (163363328)/(99225)
                    *z3 + (34931)/(3675) *z4 + (4436)/(7) *z5 ) 
          +CF^2*CA*( (86882592642607)/(204205050000) + (174615691)/(385875)
                   *z3 - (34931)/(1225) *z4 - (1116)/(7) *z5 ) 
          +CF^3*( (4962846338797159)/(257298363000000) + (2402912488)/(3472875)
                  *z3 + (69862)/(3675) *z4 - (4168)/(7) *z5 );
#-----------------------------------------------------------------------------
id c2q0(8)=1;
id c2q1(8)=CF*( (58703)/(5040) ); 
id c2ps2(8)=NF*CF*( (83382717493)/(288054144000) );
id c2q2(8)=NF*CF*(  - (682775147983)/(24004512000) )
          +CF*CA*( (3348220230689)/(19203609600) - (17071)/(210) *z3 ) 
          +CF^2*( (203744735078509)/(20163790080000) + (2396)/(35) *z3 );
id c2ps3(8)=NF*CF*CA*( (91829623403140453)/(16332669964800000) 
                             - (23440003)/(10716300) *z3 - (1369)/(3780) *z4 ) 
           +NF*CF^2*( (10181295454316382631)/(1257615587289600000)
                            - (174416989)/(117879300) *z3 + (1369)/(3780) *z4 ) 
           +NF^2*CF*(  - (16959835520839)/(19443654720000) 
                            + (2017)/(25515) *z3 ); 
id c2q3dabc(8)=NF*dabc/NC*(   (476784977)/(53581500)-(36443)/(56700) *z3
                               - (100)/(9) *z5 );
id c2q3(8)=NF*CF*CA*(  - (4344582726190968061)/(5988645653760000) +
                        (562955509)/(2619540) *z3 - (9883)/(315) *z4 ) 
           +NF*CF^2*(  - (119458136235341463641)/(314403896822400000) -
                         (41139607)/(523908) *z3 + (9883)/(315) *z4 ) 
           +NF^2*CF*( (1187935000932371)/(27221116608000) + (19766)/(8505)
                      *z3 ) 
           +CF*CA^2*( (327176399149038763)/(136105583040000)
                      - (1614116849)/(793800) *z3  
                   + (2510407)/(264600) *z4 + (47044)/(63) *z5 ) 
           +CF^2*CA*( (5717961692522254249661)/(5030462349158400000) +
                      (339247197811)/(916839000) *z3 
                    - (2510407)/(88200) *z4 - (1982)/(9) *z5)
           +CF^3*(  - (14319995334117562552891)/(352132364441088000000) 
                 + (33131600990227)/(33006204000) *z3 
                 + (2510407)/(132300) *z4 - 664*z5 ); 
#-----------------------------------------------------------------------------
id c2g1(2)=NF*(  - (1)/(2) );
id c2g2(2)=NF*CF*(  - (4799)/(810) + (16)/(5) *z3 ) 
           +NF*CA*( (115)/(324) - 2 *z3 );
id c2g3dabc(2)=NF^2*dabc/NC*(  - 1/2 + (34)/(15) *z3 - (8)/(3) *z5 ); 
id c2g3(2)=NF*CF*CA*(  - (161284)/(3645) + (274)/(15) *z3 - (52)/(3) *z4 +
                       40 *z5 ) 
           +NF*CF^2*( (28403)/(4860) + (4148)/(405) *z3 + (16)/(3) *z4) 
           +NF*CA^2*(  - (3444493)/(87480) + (1828)/(405) *z3 + 12 *z4 +
                      12 *z5 ) 
           +NF^2*CF*( (23291)/(4860) - (104)/(405) *z3 ) 
           +NF^2*CA*( (130219)/(21870) + (622)/(405) *z3 );
#-----------------------------------------------------------------------------
id c2g1(4)=NF*(  - (133)/(180) );
id c2g2(4)=NF*CF*(  - (6410867)/(720000) + (18)/(5) *z3 ) 
          +NF*CA*(  - (1812647)/(3240000) - (9)/(5) *z3 ); 
id c2g3dabc(4)=NF^2*dabc/NC*( - (205)/(36) - (1324)/(45) *z3  
                              + (116)/(3) *z5 ); 
id c2g3(4)=NF*CF*CA*(  - (1571010034879)/(61236000000) - (25747)/(630) *z3
                       - (969)/(50) *z4 + 82 *z5 ) 
          +NF*CF^2*(  - (4566936087251)/(122472000000) + (18867971)/(283500)
                         *z3 + (261)/(50) *z4 - (292)/(3) *z5 ) 
          +NF*CA^2*(  - (77953723693)/(729000000) + (1312997)/(20250) *z3
                      + (354)/(25) *z4 - (28)/(3) *z5 ) 
          +NF^2*CF*( (790842890021)/(61236000000)
                      - (595883)/(141750) *z3 ) 
          +NF^2*CA*( (109146757)/(9112500)+ (59)/(2025) *z3 );  
#-----------------------------------------------------------------------------
id c2g1(6)=NF*(  - (1777)/(2520) ); 
id c2g2(6)=NF*CF*(  - (12660217)/(1296540) + (20)/(7) *z3 ) 
          +NF*CA*(  - (16794343)/(7779240) - (10)/(7) *z3 ); 
id c2g3dabc(6)=NF^2*dabc/NC*(  - (1330183)/(72576) - (1673)/(24) *z3 
                              + (2050)/(21)*z5 ); 
id c2g3(6)=NF*CF*CA*(  - (395582364061093)/(13722579360000)
                       - (4535294)/(231525) *z3 - (11833)/(735) *z4 
                       + (1040)/(21) *z5 )
          +NF*CF^2*(  - (986797608696253)/(13722579360000)
                      + (65099719)/(1389150) *z3 + (620)/(147) *z4
                      - (440)/(7) *z5 )
          +NF*CA^2*(  - (230534380633807)/(1646709523200)
                      + (43271551)/(694575) *z3 + (2911)/(245) *z4
                      - (80)/(21) *z5 ) 
          +NF^2*CF*( (8883735865961)/(571774140000) - (485917)/(138915) *z3) 
          +NF^2*CA*( (4519688643989)/(294055272000) + (143)/(7938) *z3 );  
#-----------------------------------------------------------------------------
id c2g1(8)=NF*(  - (16231)/(25200) ); 
id c2g2(8)=NF*CF*(  - (23994462871)/(2351462400) + (7)/(3) *z3 ) 
          +NF*CA*(  - (89216988167)/(29393280000) - (7)/(6) *z3 ); 
id c2g3dabc(8)=NF^2*dabc/NC*(  - (692580563)/(15309000) - (294638)/(2025) *z3
                                + (1904)/(9) *z5 ); 
id c2g3(8)=NF*CF*CA*(  - (13175786598173293133)/(359318739225600000) 
                       - (2254405091)/(336798000) *z3 
                       - (515201)/(37800) *z4 + (289)/(9) *z5 ) 
          +NF*CF^2*(  - (954577609184015777449)/(10060924698316800000) +
                        (154197212633)/(4715172000) *z3 
                      + (749)/(216) *z4 - (130)/(3) *z5 ) 
          +NF*CA^2*(  - (3720425499755558929)/(23332385664000000) +
                        (12414318401)/(214326000) *z3 
                      + (64021)/(6300) *z4 - (10)/(9) *z5 ) 
          +NF^2*CF*( (4082506317130294583)/(239545826150400000) -
                     (187698097)/(67359600) *z3 ) 
          +NF^2*CA*( (3281715651209153)/(194436547200000) - (4591)/(72900)*z3 );
#-----------------------------------------------------------------------------
id clq1(2)=CF*( (4)/(3) ); 
id clps2(2)=NF*CF*(  - (80)/(27) ); 
id clq2(2)=NF*CF*(  - (92)/(27) ) 
          +CF*CA*( (2878)/(135) - (32)/(5) *z3 ) 
          +CF^2*(  - (1906)/(135) + (64)/(5) *z3 ); 
id clps3(2)=NF*CF*CA*(  - (48058)/(1215) + (304)/(5) *z3 - (256)/(3)*z5 ) 
           +NF*CF^2*(  - (46898)/(1215) - (5056)/(45) *z3 + (512)/(3)*z5 ) 
           +NF^2*CF*( (3364)/(405) + (64)/(15) *z3 ); 
id clq3dabc(2)=NF*dabc/NC*(   (82)/(15) - (168)/(5) *z3 + 32 *z5 );
id clq3(2)=NF*CF*CA*(  - (204548)/(1215) - (1568)/(45) *z3 + (320)/(3) *z5) 
          +NF*CF^2*( (25534)/(405) - (2848)/(45) *z3 ) 
          +NF^2*CF*( (2168)/(243) )
          +CF*CA^2*( (548668)/(1215) - (3680)/(9) *z3 + 224 *z5 ) 
          +CF^2*CA*(  - (41536)/(405) + (73504)/(45) *z3 - (5248)/(3) *z5 ) 
          +CF^3*(  - (232798)/(1215) - (39424)/(45) *z3 + (3584)/(3) *z5 );  
#-----------------------------------------------------------------------------
id clq1(4)=CF*( (4)/(5) ); 
id clps2(4)=NF*CF*(  - (586)/(1125) ); 
id clq2(4)=NF*CF*(  - (64)/(25) ) 
          +CF*CA*( (4763)/(225) - (48)/(5) *z3 ) 
          +CF^2*(  - (19967)/(1125) + (96)/(5) *z3 ); 
id clps3(4)=NF*CF*CA*(  - (5074537)/(405000) - (824)/(675) *z3 ) 
           +NF*CF^2*(  - (7715012)/(1063125) + (29488)/(4725) *z3 ) 
           +NF^2*CF*( (106981)/(60750) ); 
id clq3dabc(4)=NF*dabc/NC*( -(12359)/(540)-  (428)/(45) *z3 +32 *z5 );
id clq3(4)=NF*CF*CA*(  - (14259893)/(94500) + (55904)/(945) *z3 ) 
          +NF*CF^2*( (258828431)/(2835000) - (33344)/(315) *z3 ) 
          +NF^2*CF*( (82688)/(10125) ) 
          +CF*CA^2*( (171354151)/(283500) - (1889656)/(4725) *z3 + 32*z5 ) 
          +CF^2*CA*(  - (263016326)/(354375) + (1070306)/(1575) *z3 + 32*z5 ) 
          +CF^3*( (582157141)/(3780000) + (57356)/(945) *z3 - 192 *z5 );  
#-----------------------------------------------------------------------------
id clq1(6)=CF*( (4)/(7) ); 
id clps2(6)=NF*CF*(  - (14614)/(77175) ); 
id clq2(6)=NF*CF*(  - (1486)/(735) ) 
          +CF*CA*( (172106)/(11025) - (48)/(7) *z3 ) 
          +CF^2*(  - (257318)/(25725) + (96)/(7) *z3 ); 
id clps3(6)=NF*CF*CA*(  - (41368883483)/(8168202000) - (7384)/(11025)*z3 ) 
           +NF*CF^2*(  - (193467963407)/(61261515000) + (416)/(175) *z3) 
           +NF^2*CF*( (27905687)/(48620250) ); 
id clq3dabc(6)=NF*dabc/NC*( -(5869993)/(378000) - (472)/(63) *z3 + (160)/(7)*z5); 
id clq3(6)=NF*CF*CA*(  - (927531079)/(6945750) + (88916)/(1575) *z3 ) 
          +NF*CF^2*( (66489992539)/(875164500) - (31312)/(315) *z3 ) 
          +NF^2*CF*( (986872)/(138915) )
          +CF*CA^2*(3186722339/6174000-4977821/11025*z3+1040/7*z5)
          +CF^2*CA*(-4333877446411/8751645000+2071508/2205*z3-480*z5)
          +CF^3*(-90265366481/2268945000-536548/2205*z3+2560/7*z5);
#-----------------------------------------------------------------------------
id clq1(8)=CF*( (4)/(9) );
id clps2(8)=NF*CF*(  - (6523)/(71442) );
id clq2(8)=NF*CF*(  - (14234)/(8505) ) 
          +CF*CA*( (14741729)/(1190700) - (16)/(3) *z3 ) 
          +CF^2*(  - (21694349)/(3572100) + (32)/(3) *z3 ); 
id clps3(8)=NF*CF*CA*( - (4264597461073)/(1620304560000)
                           - (12892)/(33075) *z3 ) 
           +NF*CF^2*(  - (55595717822203)/(31190862780000)
                           + (1327432)/(1091475) *z3 ) 
           +NF^2*CF*( (3487324703)/(13502538000) );
id clq3dabc(8)=NF*dabc/NC*( -(35555777437)/(3000564000) - (85378)/(14175) *z3
                           + (160)/(9) *z5 ); 
id clq3(8)=NF*CF*CA*(  - (23153083641529)/(198037224000) + (18459136)/(363825) *z3 ) 
          +NF*CF^2*( (11844644404289)/(198037224000) - (914992)/(10395) *z3) 
          +NF^2*CF*( (1435876)/(229635) ) 
          +CF*CA^2*( (7653142193467)/(18003384000) - (9508318)/(19845) *z3
                     + (2240)/(9) *z5 ) 
          +CF^2*CA*(  - (7667007621800089)/(27725211360000)
                      + (2476882549)/(2182950) *z3 - (2720)/(3) *z5 ) 
          +CF^3*(  - (86167166469418457)/(499053804480000)
                 - (111668693)/(218295) *z3 + (7360)/(9) *z5 );
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
id clg1(2)=NF*( (2)/(3) );
id clg2(2)=NF*CF*(  - (116)/(135) - (16)/(5) *z3 ) 
          +NF*CA*( (173)/(27) ); 
id clg3dabc(2)=NF^2*dabc/NC*( (1)/(3) + (476)/(15) *z3 - (112)/(3) *z5 ); 
id clg3(2)=NF*CF*CA*(  - (71657)/(1215) - (248)/(5) *z3 + (80)/(3) *z5 ) 
          +NF*CF^2*( (51283)/(1215) + (928)/(45) *z3 - (160)/(3) *z5 ) 
          +NF*CA^2*( (235283)/(2430) - (148)/(5) *z3 + (64)/(3) *z5 ) 
          +NF^2*CF*( (9031)/(1215) + (256)/(45) *z3 ) 
          +NF^2*CA*(  - (5431)/(405) + (4)/(15) *z3 );
#-----------------------------------------------------------------------------
id clg1(4)=NF*( (4)/(15) );
id clg2(4)=NF*CF*(  - (2764)/(1125) ) 
          +NF*CA*( (19229)/(3375) );
id clg3dabc(4)=NF^2*dabc/NC*(  - (691)/(135) + (548)/(135) *z3 ); 
id clg3(4)=NF*CF*CA*(  - (261555163)/(1890000) - (272858)/(4725) *z3 + 128*z5 ) 
          +NF*CF^2*( (912595079)/(11340000) + (225908)/(4725) *z3 - 128*z5 ) 
          +NF*CA^2*( (172349813)/(1215000) + (5036)/(675) *z3 - 32 *z5 )
          +NF^2*CF*( (4921307)/(680400) - (32)/(105) *z3 ) 
          +NF^2*CA*(  - (445666)/(30375) - (8)/(15) *z3 ); 
#-----------------------------------------------------------------------------
id clg1(6)=NF*( (1)/(7) ); 
id clg2(6)=NF*CF*(  - (137761)/(92610) ) 
          +NF*CA*( (503977)/(123480) ); 
id clg3dabc(6)=NF^2*dabc/NC*( (7994213)/(2721600) + (30889)/(1260) *z3 
                            - (220)/(7)*z5 ); 
id clg3(6)=NF*CF*CA*(  - (1620883880209)/(16336404000) - (51181)/(2205)*z3 
                              + (480)/(7) *z5 ) 
          +NF*CF^2*( (101548438631)/(2042050500)+ (43574)/(2205) *z3 
                              - (480)/(7) *z5 ) 
          +NF*CA^2*( (380381802767)/(3267280800) + (10817)/(4410) *z3 
                              - (120)/(7) *z5 ) 
          +NF^2*CF*( (60190474091)/(12252303000) - (32)/(63) *z3 ) 
          +NF^2*CA*(  - (847812559)/(77792400) - (2)/(7) *z3 );  
#-----------------------------------------------------------------------------
id clg1(8)=NF*( (4)/(45) );
id clg2(8)=NF*CF*(  - (51097)/(51030) ) 
          +NF*CA*( (7712869)/(2551500) ); 
id clg3dabc(8)=NF^2*dabc/NC*( (3665714041)/(285768000) + (77209)/(1575) *z3 
                            -(208)/(3) *z5 ); 
id clg3(8)=NF*CF*CA*(  - (520855237960033)/(7129340064000)
                       - (6119609)/(519750) *z3 + (128)/(3) *z5 ) 
          +NF*CF^2*( (2384408424295187)/(71293400640000) + (7723411)/(779625)*z3 
                       -(128)/(3) *z5 ) 
          +NF*CA^2*( (27404278602137)/(289340100000) + (20438)/(23625) *z3
                       -(32)/(3) *z5 ) 
          +NF^2*CF*( (124374980290567)/(35646700320000) - (608)/(1485) *z3) 
          +NF^2*CA*(  - (11324757281)/(1377810000) - (8)/(45) *z3 );
#-----------------------------------------------------------------------------
B CF,CA,NF,NC,dabc;
*-------------------------------------------------------------------------------
*  correct terms:
*-------------------------------------------------------------------------------
print +s
Tqq0, Tqq1p, Tqq2p,
      Tps1,  Tps2,
Tqg0, Tqg1,  Tqg2,
Tgq0, Tgq1,  Tgq2,
Tgg0, Tgg1,  Tgg2,
TC2q1,TC2q2, TC2q3,
      TC2ps2,TC2ps3,
      TClps2,TClps3,
TClq1,TClq2, TClq3,
TC2g1,TC2g2, TC2g3,
TClg1,TClg2, TClg3,
             TC2q3dabc,
             TClq3dabc,
             TC2g3dabc,
             TClg3dabc;
.end





